#include <linux/version.h>

#include <linux/string.h>
#include <linux/errno.h>
#include <linux/module.h>

#include "nikal.h"

#ifdef nNIKAL100_kCopyrightString
   MODULE_LICENSE(nNIKAL100_kCopyrightString);
#endif

#ifdef nNIKAL100_kAuthorString
   MODULE_AUTHOR(nNIKAL100_kAuthorString);
#endif

#ifdef nNIKAL100_kDescriptionString
   MODULE_DESCRIPTION(nNIKAL100_kDescriptionString);
#endif


static struct nNIKAL100_tDriver kalDriver;
int nNIPAL100_driverEntry(struct nNIKAL100_tDriver *driver);

int init_module(void)
{
   /* We need to initialize the client first before registering our driver to the
    * kernel. This is to guarantee that we're ready to receive connection from
    * user mode right after we register to the kernel. */
   if (nNIPAL100_driverEntry(&kalDriver))
      return -ENODEV;
   kalDriver.module = THIS_MODULE;

   /* on fail registerDriver will call unregisterDriver which will
    * subsequently call driver->unload for us */
   return nNIKAL100_registerDriver(&kalDriver);
}

void cleanup_module(void)
{
   /* unregisterDriver also calls driver->unload for us */
   nNIKAL100_unregisterDriver(&kalDriver);
}


#define nNIKAL100_mExportSymbol EXPORT_SYMBOL
extern int ssHalt;
nNIKAL100_mExportSymbol(ssHalt);
extern int _ssDebugPrintRawStack;
nNIKAL100_mExportSymbol(_ssDebugPrintRawStack);
extern int palStatusSetStatusWithErrorDetails;
nNIKAL100_mExportSymbol(palStatusSetStatusWithErrorDetails);
extern int ssprintf;
nNIKAL100_mExportSymbol(ssprintf);
extern int _palLogEvent;
nNIKAL100_mExportSymbol(_palLogEvent);
extern int _ssDebugPrintf;
nNIKAL100_mExportSymbol(_ssDebugPrintf);
extern int _ZNK10tSSVersion17toStringInterfaceEPc;
nNIKAL100_mExportSymbol(_ZNK10tSSVersion17toStringInterfaceEPc);
extern int _ZNK10tSSVersion8toStringEPc;
nNIKAL100_mExportSymbol(_ZNK10tSSVersion8toStringEPc);
extern int _Z17palCompareVersion10tSSVersionS_;
nNIKAL100_mExportSymbol(_Z17palCompareVersion10tSSVersionS_);
extern int _Z20palGetCurrentVersionv;
nNIKAL100_mExportSymbol(_Z20palGetCurrentVersionv);
extern int _Z29palGetOldestCompatibleVersionv;
nNIKAL100_mExportSymbol(_Z29palGetOldestCompatibleVersionv);
extern int tSSVersion_check;
nNIKAL100_mExportSymbol(tSSVersion_check);
extern int tSSVersion_toString;
nNIKAL100_mExportSymbol(tSSVersion_toString);
extern int tSSVersion_toStringInterface;
nNIKAL100_mExportSymbol(tSSVersion_toStringInterface);
extern int palCompareVersionForC;
nNIKAL100_mExportSymbol(palCompareVersionForC);
extern int palGetCurrentVersionForC;
nNIKAL100_mExportSymbol(palGetCurrentVersionForC);
extern int palGetOldestCompatibleVersionForC;
nNIKAL100_mExportSymbol(palGetOldestCompatibleVersionForC);
extern int palStrLen;
nNIKAL100_mExportSymbol(palStrLen);
extern int palStrCmp;
nNIKAL100_mExportSymbol(palStrCmp);
extern int palStriCmp;
nNIKAL100_mExportSymbol(palStriCmp);
extern int palStrnCmp;
nNIKAL100_mExportSymbol(palStrnCmp);
extern int palStrniCmp;
nNIKAL100_mExportSymbol(palStrniCmp);
extern int palStrCpy;
nNIKAL100_mExportSymbol(palStrCpy);
extern int palStrnCpy;
nNIKAL100_mExportSymbol(palStrnCpy);
extern int palStrCat;
nNIKAL100_mExportSymbol(palStrCat);
extern int palASCIIToU32Base10;
nNIKAL100_mExportSymbol(palASCIIToU32Base10);
extern int palASCIIToU32Base16;
nNIKAL100_mExportSymbol(palASCIIToU32Base16);
extern int palSPrintf;
nNIKAL100_mExportSymbol(palSPrintf);
extern int palSNPrintf;
nNIKAL100_mExportSymbol(palSNPrintf);
extern int palVSNPrintf;
nNIKAL100_mExportSymbol(palVSNPrintf);
/* _ZN18___tMemHeapFactory22createSharedMemoryHeapER25tPIMMsharedHeapDescriptorjjPi=_ef940eacc50806929529a9bad2301a7d */
extern int _ef940eacc50806929529a9bad2301a7d;
nNIKAL100_mExportSymbol(_ef940eacc50806929529a9bad2301a7d);
extern int _ZN18___tMemHeapFactory22createSharedMemoryHeapEmPi;
nNIKAL100_mExportSymbol(_ZN18___tMemHeapFactory22createSharedMemoryHeapEmPi);
extern int _ZN18___tMemHeapFactory7destroyEP8iMemHeapPi;
nNIKAL100_mExportSymbol(_ZN18___tMemHeapFactory7destroyEP8iMemHeapPi);
/* _ZN18___tMemHeapFactory15createLocalHeapEj19tMemAllocationFlagsPij=_56571379f80506fd882bbb5ac85b3fa9 */
extern int _56571379f80506fd882bbb5ac85b3fa9;
nNIKAL100_mExportSymbol(_56571379f80506fd882bbb5ac85b3fa9);
/* _ZN18___tMemHeapFactory21createSingleBlockHeapEj19tMemAllocationFlagsjP22tMemBlockReferenceBasePi=_72cdbf0de0331f5e88002e736d36e03f */
extern int _72cdbf0de0331f5e88002e736d36e03f;
nNIKAL100_mExportSymbol(_72cdbf0de0331f5e88002e736d36e03f);
/* _ZN18___tMemHeapFactory19createFixedSizeHeapEjj19tMemAllocationFlagsPij=_13eaab544d3ae7c56b65d385bfccc5f0 */
extern int _13eaab544d3ae7c56b65d385bfccc5f0;
nNIKAL100_mExportSymbol(_13eaab544d3ae7c56b65d385bfccc5f0);
extern int _ZN15tMemHeapFactory6createERK18tMemHeapParametersPi;
nNIKAL100_mExportSymbol(_ZN15tMemHeapFactory6createERK18tMemHeapParametersPi);
extern int _ZN15tMemHeapFactory7destroyEP8iMemHeapPi;
nNIKAL100_mExportSymbol(_ZN15tMemHeapFactory7destroyEP8iMemHeapPi);
extern int _ZeqRK22tMemBlockReferenceBaseS1_;
nNIKAL100_mExportSymbol(_ZeqRK22tMemBlockReferenceBaseS1_);
extern int _ZneRK22tMemBlockReferenceBaseS1_;
nNIKAL100_mExportSymbol(_ZneRK22tMemBlockReferenceBaseS1_);
extern int _ZN22tMemBlockReferenceBase4copyEPvPKvmmmPi;
nNIKAL100_mExportSymbol(_ZN22tMemBlockReferenceBase4copyEPvPKvmmmPi);
/* _ZN22tMemBlockReferenceBase8allocateEmjPi19tMemAllocationFlagsj9tSSVectorI11tDevAddress12tSSAllocatorIS3_EE=_947a7f9f9ca3ffab36c456e0c48e1ae3 */
extern int _947a7f9f9ca3ffab36c456e0c48e1ae3;
nNIKAL100_mExportSymbol(_947a7f9f9ca3ffab36c456e0c48e1ae3);
extern int _ZN22tMemBlockReferenceBase13assignPointerEPvPi;
nNIKAL100_mExportSymbol(_ZN22tMemBlockReferenceBase13assignPointerEPvPi);
/* _ZN22tMemBlockReferenceBase21assignExternalPointerEmPv15tMemAccessFlags17tMemAddressOriginPiS0_=_0cc9dbaf5137f18fbb2212897459800f */
extern int _0cc9dbaf5137f18fbb2212897459800f;
nNIKAL100_mExportSymbol(_0cc9dbaf5137f18fbb2212897459800f);
/* _ZN22tMemBlockReferenceBase21assignExternalPointerEmPvPiS0_=_2313c748122abc7b737dcf7f666fe485 */
extern int _2313c748122abc7b737dcf7f666fe485;
nNIKAL100_mExportSymbol(_2313c748122abc7b737dcf7f666fe485);
/* _ZN22tMemBlockReferenceBase21assignExternalPointerEmPv15tMemAccessFlagsPiS0_=_8a0da3c008a6926d42da8c80e4f7ce1b */
extern int _8a0da3c008a6926d42da8c80e4f7ce1b;
nNIKAL100_mExportSymbol(_8a0da3c008a6926d42da8c80e4f7ce1b);
/* _ZN22tMemBlockReferenceBase30assignExternalPointerNonSharedEmPv17tMemAddressOriginPi15tMemAccessFlagsS0_=_46020aaee934d79ec654a9e2d2c1b3b9 */
extern int _46020aaee934d79ec654a9e2d2c1b3b9;
nNIKAL100_mExportSymbol(_46020aaee934d79ec654a9e2d2c1b3b9);
/* _ZN22tMemBlockReferenceBase30assignExternalPointerNonSharedEmPvPi15tMemAccessFlagsS0_=_c1ec09785e86f8418177dafd9db72791 */
extern int _c1ec09785e86f8418177dafd9db72791;
nNIKAL100_mExportSymbol(_c1ec09785e86f8418177dafd9db72791);
/* _ZN22tMemBlockReferenceBase23unmapMemoryFromUserModeERPvPi=_6328a9e034a33899a67baf3afbfd3bf0 */
extern int _6328a9e034a33899a67baf3afbfd3bf0;
nNIKAL100_mExportSymbol(_6328a9e034a33899a67baf3afbfd3bf0);
extern int _ZNK22tMemBlockReferenceBase9_getBlockEv;
nNIKAL100_mExportSymbol(_ZNK22tMemBlockReferenceBase9_getBlockEv);
extern int _ZN22tMemBlockReferenceBase23unassignExternalPointerEPi;
nNIKAL100_mExportSymbol(_ZN22tMemBlockReferenceBase23unassignExternalPointerEPi);
extern int _ZN22tMemBlockReferenceBase9lockBlockEPi;
nNIKAL100_mExportSymbol(_ZN22tMemBlockReferenceBase9lockBlockEPi);
extern int _ZN22tMemBlockReferenceBase11unlockBlockEPi;
nNIKAL100_mExportSymbol(_ZN22tMemBlockReferenceBase11unlockBlockEPi);
extern int _ZN22tMemBlockReferenceBase4freeEPi;
nNIKAL100_mExportSymbol(_ZN22tMemBlockReferenceBase4freeEPi);
extern int _ZN22tMemBlockReferenceBase17closeSharedMemoryEPi;
nNIKAL100_mExportSymbol(_ZN22tMemBlockReferenceBase17closeSharedMemoryEPi);
extern int _Z10_memDeletePv;
nNIKAL100_mExportSymbol(_Z10_memDeletePv);
extern int _ZNK22tMemBlockReferenceBase12getBlockSizeEPi;
nNIKAL100_mExportSymbol(_ZNK22tMemBlockReferenceBase12getBlockSizeEPi);
extern int _ZNK22tMemBlockReferenceBase15getPagedPointerEPi;
nNIKAL100_mExportSymbol(_ZNK22tMemBlockReferenceBase15getPagedPointerEPi);
extern int _ZNK22tMemBlockReferenceBase20getPageLockedPointerEPi;
nNIKAL100_mExportSymbol(_ZNK22tMemBlockReferenceBase20getPageLockedPointerEPi);
extern int _ZN22tMemBlockReferenceBase19mapMemoryToUserModeEmmPi;
nNIKAL100_mExportSymbol(_ZN22tMemBlockReferenceBase19mapMemoryToUserModeEmmPi);
extern int _ZNK22tMemBlockReferenceBase10getPointerEPi;
nNIKAL100_mExportSymbol(_ZNK22tMemBlockReferenceBase10getPointerEPi);
extern int _ZN22tMemBlockReferenceBase4copyEPvRKS_mmmPi;
nNIKAL100_mExportSymbol(_ZN22tMemBlockReferenceBase4copyEPvRKS_mmmPi);
extern int _ZN22tMemBlockReferenceBase4copyERS_PKvmmmPi;
nNIKAL100_mExportSymbol(_ZN22tMemBlockReferenceBase4copyERS_PKvmmmPi);
extern int _ZN22tMemBlockReferenceBase4copyERS_RKS_PKjmmmPi;
nNIKAL100_mExportSymbol(_ZN22tMemBlockReferenceBase4copyERS_RKS_PKjmmmPi);
extern int _ZN22tMemBlockReferenceBase4copyERS_RKS_mmmPi;
nNIKAL100_mExportSymbol(_ZN22tMemBlockReferenceBase4copyERS_RKS_mmmPi);
extern int _ZNK22tMemBlockReferenceBase18getPhysicalAddressEmPi;
nNIKAL100_mExportSymbol(_ZNK22tMemBlockReferenceBase18getPhysicalAddressEmPi);
/* _ZN22tMemBlockReferenceBase8allocateEmP8iMemHeapPi19tMemAllocationFlagsj=_916af6ab9989dcf234148d47c834ac6b */
extern int _916af6ab9989dcf234148d47c834ac6b;
nNIKAL100_mExportSymbol(_916af6ab9989dcf234148d47c834ac6b);
/* _ZN22tMemBlockReferenceBase8allocateEmPi19tMemAllocationFlagsj=_b4cbe67db946f4f4b54a85ce988ed0f0 */
extern int _b4cbe67db946f4f4b54a85ce988ed0f0;
nNIKAL100_mExportSymbol(_b4cbe67db946f4f4b54a85ce988ed0f0);
/* _ZN22tMemBlockReferenceBase16openSharedMemoryEPKcm21tMemSharedMemoryFlagsPi=_98211363025f539d690845c7ae96b479 */
extern int _98211363025f539d690845c7ae96b479;
nNIKAL100_mExportSymbol(_98211363025f539d690845c7ae96b479);
extern int tMemHeap_createLocal;
nNIKAL100_mExportSymbol(tMemHeap_createLocal);
extern int tMemHeap_createFixedSize;
nNIKAL100_mExportSymbol(tMemHeap_createFixedSize);
extern int tMemHeap_destroy;
nNIKAL100_mExportSymbol(tMemHeap_destroy);
extern int tMemBlockReference_allocate;
nNIKAL100_mExportSymbol(tMemBlockReference_allocate);
extern int tMemBlockReference_allocateFromHeap;
nNIKAL100_mExportSymbol(tMemBlockReference_allocateFromHeap);
extern int tMemBlockReference_free;
nNIKAL100_mExportSymbol(tMemBlockReference_free);
extern int tMemBlockReference_assignPointer;
nNIKAL100_mExportSymbol(tMemBlockReference_assignPointer);
extern int tMemBlockReference_assignExternalPointer;
nNIKAL100_mExportSymbol(tMemBlockReference_assignExternalPointer);
extern int tMemBlockReference_unassignExternalPointer;
nNIKAL100_mExportSymbol(tMemBlockReference_unassignExternalPointer);
extern int tMemBlockReference_lockBlock;
nNIKAL100_mExportSymbol(tMemBlockReference_lockBlock);
extern int tMemBlockReference_unlockBlock;
nNIKAL100_mExportSymbol(tMemBlockReference_unlockBlock);
extern int tMemBlockReference_getPointer;
nNIKAL100_mExportSymbol(tMemBlockReference_getPointer);
extern int tMemBlockReference_getPagedPointer;
nNIKAL100_mExportSymbol(tMemBlockReference_getPagedPointer);
extern int tMemBlockReference_getPageLockedPointer;
nNIKAL100_mExportSymbol(tMemBlockReference_getPageLockedPointer);
extern int tMemBlockReference_mapMemoryToUserMode;
nNIKAL100_mExportSymbol(tMemBlockReference_mapMemoryToUserMode);
extern int tMemBlockReference_unmapMemoryFromUserMode;
nNIKAL100_mExportSymbol(tMemBlockReference_unmapMemoryFromUserMode);
extern int tMemBlockReference_openSharedMemory;
nNIKAL100_mExportSymbol(tMemBlockReference_openSharedMemory);
extern int tMemBlockReference_closeSharedMemory;
nNIKAL100_mExportSymbol(tMemBlockReference_closeSharedMemory);
extern int tMemBlockReference_getPhysicalAddress;
nNIKAL100_mExportSymbol(tMemBlockReference_getPhysicalAddress);
extern int tMemBlockReference_getBlockSize;
nNIKAL100_mExportSymbol(tMemBlockReference_getBlockSize);
extern int tMemBlockReference_copy;
nNIKAL100_mExportSymbol(tMemBlockReference_copy);
extern int tMemBlockReference_copy1;
nNIKAL100_mExportSymbol(tMemBlockReference_copy1);
extern int tMemBlockReference_copy2;
nNIKAL100_mExportSymbol(tMemBlockReference_copy2);
extern int tMemBlockReference_copy3;
nNIKAL100_mExportSymbol(tMemBlockReference_copy3);
extern int tMemBlockReference_copy4;
nNIKAL100_mExportSymbol(tMemBlockReference_copy4);
extern int memNew;
nNIKAL100_mExportSymbol(memNew);
extern int memDelete;
nNIKAL100_mExportSymbol(memDelete);
extern int _Z7_memNewm19tMemAllocationFlags;
nNIKAL100_mExportSymbol(_Z7_memNewm19tMemAllocationFlags);
extern int _Z18_memNewUsingKernelm19tMemAllocationFlagsPi;
nNIKAL100_mExportSymbol(_Z18_memNewUsingKernelm19tMemAllocationFlagsPi);
extern int _Z15_memNewUsingCRTm19tMemAllocationFlagsPi;
nNIKAL100_mExportSymbol(_Z15_memNewUsingCRTm19tMemAllocationFlagsPi);
extern int tMemHeap_createDevice;
nNIKAL100_mExportSymbol(tMemHeap_createDevice);
extern int tMemBlockReference_allocateFromDevice;
nNIKAL100_mExportSymbol(tMemBlockReference_allocateFromDevice);
extern int pimmNewPointer;
nNIKAL100_mExportSymbol(pimmNewPointer);
extern int tPIMMblockReference_allocateMemory;
nNIKAL100_mExportSymbol(tPIMMblockReference_allocateMemory);
extern int pimmDeletePointer;
nNIKAL100_mExportSymbol(pimmDeletePointer);
extern int tPIMMblockReference_freeMemory;
nNIKAL100_mExportSymbol(tPIMMblockReference_freeMemory);
extern int tPIMMblockReference_assignPointer;
nNIKAL100_mExportSymbol(tPIMMblockReference_assignPointer);
extern int tPIMMblockReference_assignExternalPointer;
nNIKAL100_mExportSymbol(tPIMMblockReference_assignExternalPointer);
extern int tPIMMblockReference_unassignExternalPointer;
nNIKAL100_mExportSymbol(tPIMMblockReference_unassignExternalPointer);
extern int tPIMMblockReference_getPointer;
nNIKAL100_mExportSymbol(tPIMMblockReference_getPointer);
extern int tPIMMblockReference_getPagedPointer;
nNIKAL100_mExportSymbol(tPIMMblockReference_getPagedPointer);
extern int tPIMMblockReference_getPageLockedPointer;
nNIKAL100_mExportSymbol(tPIMMblockReference_getPageLockedPointer);
extern int tPIMMblockReference_getBlockSize;
nNIKAL100_mExportSymbol(tPIMMblockReference_getBlockSize);
extern int tPIMMblockReference_lockBlock;
nNIKAL100_mExportSymbol(tPIMMblockReference_lockBlock);
extern int tPIMMblockReference_unlockBlock;
nNIKAL100_mExportSymbol(tPIMMblockReference_unlockBlock);
extern int pimmCopyMemoryForC;
nNIKAL100_mExportSymbol(pimmCopyMemoryForC);
extern int _ZeqRK23tPIMMblockReferenceBaseS1_;
nNIKAL100_mExportSymbol(_ZeqRK23tPIMMblockReferenceBaseS1_);
extern int _ZneRK23tPIMMblockReferenceBaseS1_;
nNIKAL100_mExportSymbol(_ZneRK23tPIMMblockReferenceBaseS1_);
extern int _Z14pimmCopyMemoryPKvPvmmm;
nNIKAL100_mExportSymbol(_Z14pimmCopyMemoryPKvPvmmm);
/* _ZN18tPIMMheapReference16_createLocalHeapEm20tPIMMallocationFlags=_1695e7eb6d0ad74dfaf684a11051fb9d */
extern int _1695e7eb6d0ad74dfaf684a11051fb9d;
nNIKAL100_mExportSymbol(_1695e7eb6d0ad74dfaf684a11051fb9d);
/* _ZN18tPIMMheapReference22_createSingleBlockHeapEm20tPIMMallocationFlagsjP23tPIMMblockReferenceBase=_5eccda4dddd9104bf017f1c116e97160 */
extern int _5eccda4dddd9104bf017f1c116e97160;
nNIKAL100_mExportSymbol(_5eccda4dddd9104bf017f1c116e97160);
/* _ZN18tPIMMheapReference20_createFixedSizeHeapEmm20tPIMMallocationFlags=_f37e75d14f9dbe34dc8af68ac2824026 */
extern int _f37e75d14f9dbe34dc8af68ac2824026;
nNIKAL100_mExportSymbol(_f37e75d14f9dbe34dc8af68ac2824026);
extern int _ZN18tPIMMheapReference12_destroyHeapEv;
nNIKAL100_mExportSymbol(_ZN18tPIMMheapReference12_destroyHeapEv);
extern int _ZN18tPIMMheapReference16_pageUnlockHeapsEv;
nNIKAL100_mExportSymbol(_ZN18tPIMMheapReference16_pageUnlockHeapsEv);
/* _ZN18tPIMMheapReference15createLocalHeapEm20tPIMMallocationFlags=_aa6f87b6236e375d52568ce2f6f221b4 */
extern int _aa6f87b6236e375d52568ce2f6f221b4;
nNIKAL100_mExportSymbol(_aa6f87b6236e375d52568ce2f6f221b4);
/* _ZN18tPIMMheapReference19createFixedSizeHeapEmm20tPIMMallocationFlags=_fd91a4d13cee2d111f88197fae8d0170 */
extern int _fd91a4d13cee2d111f88197fae8d0170;
nNIKAL100_mExportSymbol(_fd91a4d13cee2d111f88197fae8d0170);
extern int _ZN18tPIMMheapReference11destroyHeapEv;
nNIKAL100_mExportSymbol(_ZN18tPIMMheapReference11destroyHeapEv);
extern int _ZNK23tPIMMblockReferenceBase9_getBlockEv;
nNIKAL100_mExportSymbol(_ZNK23tPIMMblockReferenceBase9_getBlockEv);
/* _ZN23tPIMMblockReferenceBase14allocateMemoryER18tPIMMheapReferencem20tPIMMallocationFlagsj=_788a9c03fa0d1e29cd639ff5231ec104 */
extern int _788a9c03fa0d1e29cd639ff5231ec104;
nNIKAL100_mExportSymbol(_788a9c03fa0d1e29cd639ff5231ec104);
/* _ZN23tPIMMblockReferenceBase14allocateMemoryEm20tPIMMallocationFlagsj=_464bafa5b4e1e9c4f95eaf5e36af2942 */
extern int _464bafa5b4e1e9c4f95eaf5e36af2942;
nNIKAL100_mExportSymbol(_464bafa5b4e1e9c4f95eaf5e36af2942);
extern int _ZN23tPIMMblockReferenceBase10freeMemoryEv;
nNIKAL100_mExportSymbol(_ZN23tPIMMblockReferenceBase10freeMemoryEv);
extern int _ZN23tPIMMblockReferenceBase13assignPointerEPKv;
nNIKAL100_mExportSymbol(_ZN23tPIMMblockReferenceBase13assignPointerEPKv);
/* _ZN23tPIMMblockReferenceBase21assignExternalPointerEmPvS0_=_8975299a07928c1ec3f50b1232717f09 */
extern int _8975299a07928c1ec3f50b1232717f09;
nNIKAL100_mExportSymbol(_8975299a07928c1ec3f50b1232717f09);
extern int _ZN23tPIMMblockReferenceBase23unassignExternalPointerEv;
nNIKAL100_mExportSymbol(_ZN23tPIMMblockReferenceBase23unassignExternalPointerEv);
extern int _ZN23tPIMMblockReferenceBase9lockBlockEv;
nNIKAL100_mExportSymbol(_ZN23tPIMMblockReferenceBase9lockBlockEv);
extern int _ZN23tPIMMblockReferenceBase11unlockBlockEv;
nNIKAL100_mExportSymbol(_ZN23tPIMMblockReferenceBase11unlockBlockEv);
extern int _ZNK23tPIMMblockReferenceBase10getPointerEv;
nNIKAL100_mExportSymbol(_ZNK23tPIMMblockReferenceBase10getPointerEv);
extern int _Z14pimmCopyMemoryRK23tPIMMblockReferenceBaseRS_mmm;
nNIKAL100_mExportSymbol(_Z14pimmCopyMemoryRK23tPIMMblockReferenceBaseRS_mmm);
extern int _Z14pimmCopyMemoryRK23tPIMMblockReferenceBasePvmmm;
nNIKAL100_mExportSymbol(_Z14pimmCopyMemoryRK23tPIMMblockReferenceBasePvmmm);
extern int _Z14pimmCopyMemoryPKvR23tPIMMblockReferenceBasemmm;
nNIKAL100_mExportSymbol(_Z14pimmCopyMemoryPKvR23tPIMMblockReferenceBasemmm);
extern int _ZNK23tPIMMblockReferenceBase15getPagedPointerEv;
nNIKAL100_mExportSymbol(_ZNK23tPIMMblockReferenceBase15getPagedPointerEv);
extern int _ZNK23tPIMMblockReferenceBase20getPageLockedPointerEv;
nNIKAL100_mExportSymbol(_ZNK23tPIMMblockReferenceBase20getPageLockedPointerEv);
extern int _ZNK23tPIMMblockReferenceBase18getPhysicalAddressEm;
nNIKAL100_mExportSymbol(_ZNK23tPIMMblockReferenceBase18getPhysicalAddressEm);
extern int _ZNK23tPIMMblockReferenceBase12getBlockSizeEv;
nNIKAL100_mExportSymbol(_ZNK23tPIMMblockReferenceBase12getBlockSizeEv);
extern int _ZN18tPIMMheapReferenceC1EP9tPIMMheap;
nNIKAL100_mExportSymbol(_ZN18tPIMMheapReferenceC1EP9tPIMMheap);
extern int _ZN18tPIMMheapReferenceC2EP9tPIMMheap;
nNIKAL100_mExportSymbol(_ZN18tPIMMheapReferenceC2EP9tPIMMheap);
extern int _ZN18tPIMMheapReferenceC2Ev;
nNIKAL100_mExportSymbol(_ZN18tPIMMheapReferenceC2Ev);
extern int _ZN18tPIMMheapReferenceC1Ev;
nNIKAL100_mExportSymbol(_ZN18tPIMMheapReferenceC1Ev);
extern int _ZN18tPIMMheapReferenceD1Ev;
nNIKAL100_mExportSymbol(_ZN18tPIMMheapReferenceD1Ev);
extern int _ZN18tPIMMheapReferenceD2Ev;
nNIKAL100_mExportSymbol(_ZN18tPIMMheapReferenceD2Ev);
extern int _ZN11tPALSysInfo29getPlatformPointerSizeInBytesEPi;
nNIKAL100_mExportSymbol(_ZN11tPALSysInfo29getPlatformPointerSizeInBytesEPi);
extern int _Z12sysInfoGetOSv;
nNIKAL100_mExportSymbol(_Z12sysInfoGetOSv);
extern int _Z17sysInfoGetOSMajorv;
nNIKAL100_mExportSymbol(_Z17sysInfoGetOSMajorv);
extern int _Z17sysInfoGetOSMinorv;
nNIKAL100_mExportSymbol(_Z17sysInfoGetOSMinorv);
extern int _ZN7tSSGUID11_fromStringEPKcPi;
nNIKAL100_mExportSymbol(_ZN7tSSGUID11_fromStringEPKcPi);
extern int tSSGUID_toString;
nNIKAL100_mExportSymbol(tSSGUID_toString);
extern int tSSGUID_equals;
nNIKAL100_mExportSymbol(tSSGUID_equals);
extern int tSSGUID_notEquals;
nNIKAL100_mExportSymbol(tSSGUID_notEquals);
extern int tSSGUID_lessThan;
nNIKAL100_mExportSymbol(tSSGUID_lessThan);
extern int tSSGUID_greaterThan;
nNIKAL100_mExportSymbol(tSSGUID_greaterThan);
extern int tSSGUID_lessThanEquals;
nNIKAL100_mExportSymbol(tSSGUID_lessThanEquals);
extern int tSSGUID_greaterThanEquals;
nNIKAL100_mExportSymbol(tSSGUID_greaterThanEquals);
extern int _ZN7tSSGUID12generateGUIDEPi;
nNIKAL100_mExportSymbol(_ZN7tSSGUID12generateGUIDEPi);
extern int tSSGUID_generateGUID;
nNIKAL100_mExportSymbol(tSSGUID_generateGUID);
extern int tSSGUID_fromString;
nNIKAL100_mExportSymbol(tSSGUID_fromString);
extern int _Z9syncCloseP5iSyncPi;
nNIKAL100_mExportSymbol(_Z9syncCloseP5iSyncPi);
extern int _Z8syncOpenRKN5iSync6tParamEPi;
nNIKAL100_mExportSymbol(_Z8syncOpenRKN5iSync6tParamEPi);
extern int _Z8syncOpenP5iSyncPi;
nNIKAL100_mExportSymbol(_Z8syncOpenP5iSyncPi);
extern int iSync_openMutex;
nNIKAL100_mExportSymbol(iSync_openMutex);
extern int iSync_openIsrLock;
nNIKAL100_mExportSymbol(iSync_openIsrLock);
extern int iSync_openSemaphore;
nNIKAL100_mExportSymbol(iSync_openSemaphore);
extern int iSync_openEventAuto;
nNIKAL100_mExportSymbol(iSync_openEventAuto);
extern int iSync_openEventGate;
nNIKAL100_mExportSymbol(iSync_openEventGate);
extern int iSync_openExisting;
nNIKAL100_mExportSymbol(iSync_openExisting);
extern int iSync_close;
nNIKAL100_mExportSymbol(iSync_close);
extern int iSync_acquire;
nNIKAL100_mExportSymbol(iSync_acquire);
extern int iSync_release;
nNIKAL100_mExportSymbol(iSync_release);
extern int iSync_setEventState;
nNIKAL100_mExportSymbol(iSync_setEventState);
extern int iSync_getKernelToken;
nNIKAL100_mExportSymbol(iSync_getKernelToken);
extern int _Z11printQWriteP10iMsgQWrite;
nNIKAL100_mExportSymbol(_Z11printQWriteP10iMsgQWrite);
extern int _ZN17tMsgQWriteFactory7destroyEP10iMsgQWritePi;
nNIKAL100_mExportSymbol(_ZN17tMsgQWriteFactory7destroyEP10iMsgQWritePi);
extern int _ZN17tMsgQWriteFactory6createERKNS_6tParamEPi;
nNIKAL100_mExportSymbol(_ZN17tMsgQWriteFactory6createERKNS_6tParamEPi);
extern int iMsgQWrite_write;
nNIKAL100_mExportSymbol(iMsgQWrite_write);
extern int iMsgQWrite_setEof;
nNIKAL100_mExportSymbol(iMsgQWrite_setEof);
extern int iMsgQWrite_getSpaceInfo;
nNIKAL100_mExportSymbol(iMsgQWrite_getSpaceInfo);
extern int tMsgQWriteFactory_create;
nNIKAL100_mExportSymbol(tMsgQWriteFactory_create);
extern int tMsgQWriteFactory_destroy;
nNIKAL100_mExportSymbol(tMsgQWriteFactory_destroy);
extern int _ZNK20tTimerTimeWasterSpin21getResolutionTimeUnitEPi;
nNIKAL100_mExportSymbol(_ZNK20tTimerTimeWasterSpin21getResolutionTimeUnitEPi);
extern int _ZNK20tTimerTimeWasterSpin22getResolutionTimeValueEPi;
nNIKAL100_mExportSymbol(_ZNK20tTimerTimeWasterSpin22getResolutionTimeValueEPi);
extern int _ZNK20tTimerTimeWasterSpin11canSleepNowEPi;
nNIKAL100_mExportSymbol(_ZNK20tTimerTimeWasterSpin11canSleepNowEPi);
extern int _ZNK20tTimerTimeWasterSpin5sleepEm14tTimerTimeUnitPi;
nNIKAL100_mExportSymbol(_ZNK20tTimerTimeWasterSpin5sleepEm14tTimerTimeUnitPi);
extern int _ZN8iProcessD2Ev;
nNIKAL100_mExportSymbol(_ZN8iProcessD2Ev);
extern int _ZN8iProcessD1Ev;
nNIKAL100_mExportSymbol(_ZN8iProcessD1Ev);
extern int _ZN8iProcessD0Ev;
nNIKAL100_mExportSymbol(_ZN8iProcessD0Ev);
extern int _Z12processGetIDPi;
nNIKAL100_mExportSymbol(_Z12processGetIDPi);
extern int _ZN7iThreadD2Ev;
nNIKAL100_mExportSymbol(_ZN7iThreadD2Ev);
extern int _ZN7iThreadD1Ev;
nNIKAL100_mExportSymbol(_ZN7iThreadD1Ev);
extern int _ZN7iThreadD0Ev;
nNIKAL100_mExportSymbol(_ZN7iThreadD0Ev);
extern int _ZN17iThreadControllerD2Ev;
nNIKAL100_mExportSymbol(_ZN17iThreadControllerD2Ev);
extern int _ZN17iThreadControllerD1Ev;
nNIKAL100_mExportSymbol(_ZN17iThreadControllerD1Ev);
extern int _ZN17iThreadControllerD0Ev;
nNIKAL100_mExportSymbol(_ZN17iThreadControllerD0Ev);
extern int _ZN24tThreadControllerFactory13createCurrentEPi;
nNIKAL100_mExportSymbol(_ZN24tThreadControllerFactory13createCurrentEPi);
/* _ZN24tThreadControllerFactory7destroyEP17iThreadControllerPi=_44cebdd4507871bab29ed82040c3f0af */
extern int _44cebdd4507871bab29ed82040c3f0af;
nNIKAL100_mExportSymbol(_44cebdd4507871bab29ed82040c3f0af);
extern int _ZN24tThreadControllerFactory6createERKNS_6tParamEPi;
nNIKAL100_mExportSymbol(_ZN24tThreadControllerFactory6createERKNS_6tParamEPi);
extern int _ZN14tThreadUtility5sleepEjPi;
nNIKAL100_mExportSymbol(_ZN14tThreadUtility5sleepEjPi);
extern int iThreadController_isThreadEqual;
nNIKAL100_mExportSymbol(iThreadController_isThreadEqual);
extern int iThreadController_join;
nNIKAL100_mExportSymbol(iThreadController_join);
extern int iThreadController_getThreadData;
nNIKAL100_mExportSymbol(iThreadController_getThreadData);
extern int iThreadController_setPriority;
nNIKAL100_mExportSymbol(iThreadController_setPriority);
extern int iThreadController_getPriority;
nNIKAL100_mExportSymbol(iThreadController_getPriority);
extern int tThreadControllerFactory_create;
nNIKAL100_mExportSymbol(tThreadControllerFactory_create);
extern int tThreadControllerFactory_createCurrent;
nNIKAL100_mExportSymbol(tThreadControllerFactory_createCurrent);
extern int tThreadControllerFactory_destroy;
nNIKAL100_mExportSymbol(tThreadControllerFactory_destroy);
extern int tThreadUtility_yield;
nNIKAL100_mExportSymbol(tThreadUtility_yield);
extern int tThreadUtility_sleep;
nNIKAL100_mExportSymbol(tThreadUtility_sleep);
extern int _ZN4iLib16exportDispatcherEPNS_11iDispatcherEPi;
nNIKAL100_mExportSymbol(_ZN4iLib16exportDispatcherEPNS_11iDispatcherEPi);
extern int _ZN4iLib18unexportDispatcherEPNS_11iDispatcherEPi;
nNIKAL100_mExportSymbol(_ZN4iLib18unexportDispatcherEPNS_11iDispatcherEPi);
extern int _ZN4iLib17isValidDispatcherEPNS_11iDispatcherERi;
nNIKAL100_mExportSymbol(_ZN4iLib17isValidDispatcherEPNS_11iDispatcherERi);
extern int _ZN10iLibSocketD2Ev;
nNIKAL100_mExportSymbol(_ZN10iLibSocketD2Ev);
extern int _ZN10iLibSocketD1Ev;
nNIKAL100_mExportSymbol(_ZN10iLibSocketD1Ev);
extern int _ZN10iLibSocketD0Ev;
nNIKAL100_mExportSymbol(_ZN10iLibSocketD0Ev);
extern int _ZN18iLibSocketListenerD2Ev;
nNIKAL100_mExportSymbol(_ZN18iLibSocketListenerD2Ev);
extern int _ZN18iLibSocketListenerD1Ev;
nNIKAL100_mExportSymbol(_ZN18iLibSocketListenerD1Ev);
extern int _ZN18iLibSocketListenerD0Ev;
nNIKAL100_mExportSymbol(_ZN18iLibSocketListenerD0Ev);
extern int _ZN4iLib11iDispatcherC1EPKcPi;
nNIKAL100_mExportSymbol(_ZN4iLib11iDispatcherC1EPKcPi);
extern int _ZN4iLib11iDispatcherC2EPKcPi;
nNIKAL100_mExportSymbol(_ZN4iLib11iDispatcherC2EPKcPi);
extern int _ZN4iLib11iDispatcherD1Ev;
nNIKAL100_mExportSymbol(_ZN4iLib11iDispatcherD1Ev);
extern int _ZN4iLib11iDispatcherD2Ev;
nNIKAL100_mExportSymbol(_ZN4iLib11iDispatcherD2Ev);
extern int _ZN4iLib11iDispatcherD0Ev;
nNIKAL100_mExportSymbol(_ZN4iLib11iDispatcherD0Ev);
/* _ZN18iLibSocketListener22registerSocketListenerEPKS_PKcPi=_ea3df47d6f2b160e9cdb7c5ba5ad28d3 */
extern int _ea3df47d6f2b160e9cdb7c5ba5ad28d3;
nNIKAL100_mExportSymbol(_ea3df47d6f2b160e9cdb7c5ba5ad28d3);
extern int _ZN18iLibSocketListener24unregisterSocketListenerEjPi;
nNIKAL100_mExportSymbol(_ZN18iLibSocketListener24unregisterSocketListenerEjPi);
extern int iLib_load;
nNIKAL100_mExportSymbol(iLib_load);
extern int iLib_queryLoad;
nNIKAL100_mExportSymbol(iLib_queryLoad);
extern int iLib_unload;
nNIKAL100_mExportSymbol(iLib_unload);
extern int iLib_exportDispatcher;
nNIKAL100_mExportSymbol(iLib_exportDispatcher);
extern int iLib_unexportDispatcher;
nNIKAL100_mExportSymbol(iLib_unexportDispatcher);
extern int iLib_flush;
nNIKAL100_mExportSymbol(iLib_flush);
extern int iLib_getDispatcher;
nNIKAL100_mExportSymbol(iLib_getDispatcher);
extern int iLib_getFunction;
nNIKAL100_mExportSymbol(iLib_getFunction);
extern int iLib_get;
nNIKAL100_mExportSymbol(iLib_get);
extern int iLib_set;
nNIKAL100_mExportSymbol(iLib_set);
extern int iLibDispatcherReference_call;
nNIKAL100_mExportSymbol(iLibDispatcherReference_call);
extern int iLibDispatcherReference_flush;
nNIKAL100_mExportSymbol(iLibDispatcherReference_flush);
extern int iLibDispatcherReference_get;
nNIKAL100_mExportSymbol(iLibDispatcherReference_get);
extern int iLibDispatcherReference_set;
nNIKAL100_mExportSymbol(iLibDispatcherReference_set);
extern int iDevice_getOS;
nNIKAL100_mExportSymbol(iDevice_getOS);
extern int iDevice_setEnumerated;
nNIKAL100_mExportSymbol(iDevice_setEnumerated);
extern int iDevice_setOS;
nNIKAL100_mExportSymbol(iDevice_setOS);
extern int iDevice_setU32;
nNIKAL100_mExportSymbol(iDevice_setU32);
extern int iDevice_setUserData;
nNIKAL100_mExportSymbol(iDevice_setUserData);
extern int iDeviceTree_deleteDeviceObject;
nNIKAL100_mExportSymbol(iDeviceTree_deleteDeviceObject);
extern int iDeviceTree_insertDeviceObject;
nNIKAL100_mExportSymbol(iDeviceTree_insertDeviceObject);
extern int iDeviceTree_removeDeviceObject;
nNIKAL100_mExportSymbol(iDeviceTree_removeDeviceObject);
extern int iDevice_getU32;
nNIKAL100_mExportSymbol(iDevice_getU32);
extern int iDevice_getEnumerated;
nNIKAL100_mExportSymbol(iDevice_getEnumerated);
extern int iDevice_getUserData;
nNIKAL100_mExportSymbol(iDevice_getUserData);
extern int iDevice_getMasterObject;
nNIKAL100_mExportSymbol(iDevice_getMasterObject);
extern int iDeviceTree_newDeviceObject;
nNIKAL100_mExportSymbol(iDeviceTree_newDeviceObject);
extern int iDeviceTree_findDeviceObjects;
nNIKAL100_mExportSymbol(iDeviceTree_findDeviceObjects);
extern int iDeviceTree_getDeviceTree;
nNIKAL100_mExportSymbol(iDeviceTree_getDeviceTree);
extern int iDeviceTree_toString;
nNIKAL100_mExportSymbol(iDeviceTree_toString);
extern int iDevice_toString;
nNIKAL100_mExportSymbol(iDevice_toString);
extern int _Z17iDevice_getStringP7iDevice19tDevAttributeStringPi;
nNIKAL100_mExportSymbol(_Z17iDevice_getStringP7iDevice19tDevAttributeStringPi);
extern int iDevice_getAddress;
nNIKAL100_mExportSymbol(iDevice_getAddress);
extern int iDevice_getSignal;
nNIKAL100_mExportSymbol(iDevice_getSignal);
extern int iDevice_setSignal;
nNIKAL100_mExportSymbol(iDevice_setSignal);
extern int iDevice_setAddress;
nNIKAL100_mExportSymbol(iDevice_setAddress);
/* _ZN9nNIPAL17013nDeviceEvents22iObserverDeviceStartedD2Ev=_3d0c30e60dc5363e14cc021c7af2fc7a */
extern int _3d0c30e60dc5363e14cc021c7af2fc7a;
nNIKAL100_mExportSymbol(_3d0c30e60dc5363e14cc021c7af2fc7a);
/* _ZN9nNIPAL17013nDeviceEvents22iObserverDeviceStartedD1Ev=_50b86bbb5258c59276f0e62b8283e92f */
extern int _50b86bbb5258c59276f0e62b8283e92f;
nNIKAL100_mExportSymbol(_50b86bbb5258c59276f0e62b8283e92f);
/* _ZN9nNIPAL17013nDeviceEvents22iObserverDeviceStartedD0Ev=_50d6c2de484f31481a2fa32c12f7cd53 */
extern int _50d6c2de484f31481a2fa32c12f7cd53;
nNIKAL100_mExportSymbol(_50d6c2de484f31481a2fa32c12f7cd53);
/* _ZN9nNIPAL17013nDeviceEvents26iObserverConfirmDeviceStopD1Ev=_0e4a25dc0af9e61aec35b7d931728f86 */
extern int _0e4a25dc0af9e61aec35b7d931728f86;
nNIKAL100_mExportSymbol(_0e4a25dc0af9e61aec35b7d931728f86);
/* _ZN9nNIPAL17013nDeviceEvents26iObserverConfirmDeviceStopD2Ev=_6c37978ee7c5d8c74d12f8f6dd8a26a6 */
extern int _6c37978ee7c5d8c74d12f8f6dd8a26a6;
nNIKAL100_mExportSymbol(_6c37978ee7c5d8c74d12f8f6dd8a26a6);
/* _ZN9nNIPAL17013nDeviceEvents26iObserverConfirmDeviceStopD0Ev=_5122fa31581d9d98c1ffcd1a1269fbcb */
extern int _5122fa31581d9d98c1ffcd1a1269fbcb;
nNIKAL100_mExportSymbol(_5122fa31581d9d98c1ffcd1a1269fbcb);
/* _ZN9nNIPAL17013nDeviceEvents22iObserverDeviceStoppedD1Ev=_47eadd80cb1e5de7b2e5bf12360d4be7 */
extern int _47eadd80cb1e5de7b2e5bf12360d4be7;
nNIKAL100_mExportSymbol(_47eadd80cb1e5de7b2e5bf12360d4be7);
/* _ZN9nNIPAL17013nDeviceEvents22iObserverDeviceStoppedD2Ev=_15e0e9d3000b8977989cc1f71aa26662 */
extern int _15e0e9d3000b8977989cc1f71aa26662;
nNIKAL100_mExportSymbol(_15e0e9d3000b8977989cc1f71aa26662);
/* _ZN9nNIPAL17013nDeviceEvents22iObserverDeviceStoppedD0Ev=_e53f942ac33f642ed4e852b239194f01 */
extern int _e53f942ac33f642ed4e852b239194f01;
nNIKAL100_mExportSymbol(_e53f942ac33f642ed4e852b239194f01);
/* _ZN9nNIPAL17013nDeviceEvents25iObserverCancelDeviceStopD2Ev=_b21f30e8b4736ab31b5e545297a6d272 */
extern int _b21f30e8b4736ab31b5e545297a6d272;
nNIKAL100_mExportSymbol(_b21f30e8b4736ab31b5e545297a6d272);
/* _ZN9nNIPAL17013nDeviceEvents25iObserverCancelDeviceStopD1Ev=_1f3c2836e74ec8d41f0ceb8af5a0847b */
extern int _1f3c2836e74ec8d41f0ceb8af5a0847b;
nNIKAL100_mExportSymbol(_1f3c2836e74ec8d41f0ceb8af5a0847b);
/* _ZN9nNIPAL17013nDeviceEvents25iObserverCancelDeviceStopD0Ev=_f6efd3e8db18b8dd0bc7673e2b00481e */
extern int _f6efd3e8db18b8dd0bc7673e2b00481e;
nNIKAL100_mExportSymbol(_f6efd3e8db18b8dd0bc7673e2b00481e);
/* _ZN9nNIPAL17013nDeviceEvents28iObserverConfirmPowerSuspendD2Ev=_5309aba6485968e843c6d0f44633f664 */
extern int _5309aba6485968e843c6d0f44633f664;
nNIKAL100_mExportSymbol(_5309aba6485968e843c6d0f44633f664);
/* _ZN9nNIPAL17013nDeviceEvents28iObserverConfirmPowerSuspendD1Ev=_77f428b415011ce512a47a70ae7e3dfe */
extern int _77f428b415011ce512a47a70ae7e3dfe;
nNIKAL100_mExportSymbol(_77f428b415011ce512a47a70ae7e3dfe);
/* _ZN9nNIPAL17013nDeviceEvents28iObserverConfirmPowerSuspendD0Ev=_5fcee68d28c06e5916c3f86fa35b8175 */
extern int _5fcee68d28c06e5916c3f86fa35b8175;
nNIKAL100_mExportSymbol(_5fcee68d28c06e5916c3f86fa35b8175);
extern int _ZN9nNIPAL17013nDeviceEvents21iObserverPowerSuspendD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIPAL17013nDeviceEvents21iObserverPowerSuspendD1Ev);
extern int _ZN9nNIPAL17013nDeviceEvents21iObserverPowerSuspendD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIPAL17013nDeviceEvents21iObserverPowerSuspendD2Ev);
extern int _ZN9nNIPAL17013nDeviceEvents21iObserverPowerSuspendD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIPAL17013nDeviceEvents21iObserverPowerSuspendD0Ev);
/* _ZN9nNIPAL17013nDeviceEvents27iObserverCancelPowerSuspendD1Ev=_df0f6ad3265eae7b48cfb0a9ac30a45f */
extern int _df0f6ad3265eae7b48cfb0a9ac30a45f;
nNIKAL100_mExportSymbol(_df0f6ad3265eae7b48cfb0a9ac30a45f);
/* _ZN9nNIPAL17013nDeviceEvents27iObserverCancelPowerSuspendD2Ev=_dcc6a56ee422eb9b1b21efd0cc7d8f9c */
extern int _dcc6a56ee422eb9b1b21efd0cc7d8f9c;
nNIKAL100_mExportSymbol(_dcc6a56ee422eb9b1b21efd0cc7d8f9c);
/* _ZN9nNIPAL17013nDeviceEvents27iObserverCancelPowerSuspendD0Ev=_d2dd9039e6c7a2b1f3c748b0b42ae8d6 */
extern int _d2dd9039e6c7a2b1f3c748b0b42ae8d6;
nNIKAL100_mExportSymbol(_d2dd9039e6c7a2b1f3c748b0b42ae8d6);
extern int _ZN9nNIPAL17013nDeviceEvents21iObserverPowerRestoreD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIPAL17013nDeviceEvents21iObserverPowerRestoreD2Ev);
extern int _ZN9nNIPAL17013nDeviceEvents21iObserverPowerRestoreD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIPAL17013nDeviceEvents21iObserverPowerRestoreD1Ev);
extern int _ZN9nNIPAL17013nDeviceEvents21iObserverPowerRestoreD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIPAL17013nDeviceEvents21iObserverPowerRestoreD0Ev);
/* _ZN9nNIPAL17013nDeviceEvents31iObserverDeviceAttributeChangedD2Ev=_3e94e1e1b7c60c7364fe5053af650391 */
extern int _3e94e1e1b7c60c7364fe5053af650391;
nNIKAL100_mExportSymbol(_3e94e1e1b7c60c7364fe5053af650391);
/* _ZN9nNIPAL17013nDeviceEvents31iObserverDeviceAttributeChangedD1Ev=_e69be797fcdbfcfd1a322653deb51c6a */
extern int _e69be797fcdbfcfd1a322653deb51c6a;
nNIKAL100_mExportSymbol(_e69be797fcdbfcfd1a322653deb51c6a);
/* _ZN9nNIPAL17013nDeviceEvents31iObserverDeviceAttributeChangedD0Ev=_4e8976e769e371ada15a3978b7b220d4 */
extern int _4e8976e769e371ada15a3978b7b220d4;
nNIKAL100_mExportSymbol(_4e8976e769e371ada15a3978b7b220d4);
extern int iBus_runAtomicOperation;
nNIKAL100_mExportSymbol(iBus_runAtomicOperation);
extern int iBus_reserveInterruptResources;
nNIKAL100_mExportSymbol(iBus_reserveInterruptResources);
extern int busDeleteBusObjectForC;
nNIKAL100_mExportSymbol(busDeleteBusObjectForC);
extern int iBus_destroyAddressSpace;
nNIKAL100_mExportSymbol(iBus_destroyAddressSpace);
extern int iBus_flush;
nNIKAL100_mExportSymbol(iBus_flush);
extern int iBus_getFirmwareData;
nNIKAL100_mExportSymbol(iBus_getFirmwareData);
extern int iBus_readAndWrite;
nNIKAL100_mExportSymbol(iBus_readAndWrite);
extern int iBus_relinquishDMAResources;
nNIKAL100_mExportSymbol(iBus_relinquishDMAResources);
extern int iBus_relinquishInterruptResources;
nNIKAL100_mExportSymbol(iBus_relinquishInterruptResources);
extern int iBus_relinquishWindowResources;
nNIKAL100_mExportSymbol(iBus_relinquishWindowResources);
extern int iBus_setFirmwareData;
nNIKAL100_mExportSymbol(iBus_setFirmwareData);
extern int iBus_write;
nNIKAL100_mExportSymbol(iBus_write);
extern int iBus_write8;
nNIKAL100_mExportSymbol(iBus_write8);
extern int iBus_write16;
nNIKAL100_mExportSymbol(iBus_write16);
extern int iBus_write32;
nNIKAL100_mExportSymbol(iBus_write32);
extern int iBus_read8;
nNIKAL100_mExportSymbol(iBus_read8);
extern int iBus_read16;
nNIKAL100_mExportSymbol(iBus_read16);
extern int iBus_getU32;
nNIKAL100_mExportSymbol(iBus_getU32);
extern int iBus_read;
nNIKAL100_mExportSymbol(iBus_read);
extern int iBus_read32;
nNIKAL100_mExportSymbol(iBus_read32);
extern int iBus_getU64;
nNIKAL100_mExportSymbol(iBus_getU64);
extern int iBus_getAndClearStatus;
nNIKAL100_mExportSymbol(iBus_getAndClearStatus);
extern int iBus_getEnumerated;
nNIKAL100_mExportSymbol(iBus_getEnumerated);
extern int iBus_createAddressSpace;
nNIKAL100_mExportSymbol(iBus_createAddressSpace);
extern int iBus_reserveWindowResources;
nNIKAL100_mExportSymbol(iBus_reserveWindowResources);
extern int iBus_reserveDMAResources0;
nNIKAL100_mExportSymbol(iBus_reserveDMAResources0);
extern int iBus_reserveDMAResources1;
nNIKAL100_mExportSymbol(iBus_reserveDMAResources1);
extern int iBus_reserveDMAResources2;
nNIKAL100_mExportSymbol(iBus_reserveDMAResources2);
extern int busNewBusObjectForC;
nNIKAL100_mExportSymbol(busNewBusObjectForC);
extern int busNewBusObjectWithStatusForC;
nNIKAL100_mExportSymbol(busNewBusObjectWithStatusForC);
extern int iBus_getMasterObject;
nNIKAL100_mExportSymbol(iBus_getMasterObject);
extern int _ZN25tBusUnregisteredBaseClassD1Ev;
nNIKAL100_mExportSymbol(_ZN25tBusUnregisteredBaseClassD1Ev);
extern int _ZN25tBusUnregisteredBaseClassD2Ev;
nNIKAL100_mExportSymbol(_ZN25tBusUnregisteredBaseClassD2Ev);
extern int _ZN23tBusRegisteredBaseClassD2Ev;
nNIKAL100_mExportSymbol(_ZN23tBusRegisteredBaseClassD2Ev);
extern int _ZN23tBusRegisteredBaseClassD1Ev;
nNIKAL100_mExportSymbol(_ZN23tBusRegisteredBaseClassD1Ev);
extern int _ZN23tBusRegisteredBaseClassD0Ev;
nNIKAL100_mExportSymbol(_ZN23tBusRegisteredBaseClassD0Ev);
extern int _ZN11iBusManager13getBusManagerEv;
nNIKAL100_mExportSymbol(_ZN11iBusManager13getBusManagerEv);
extern int _ZN25tBusUnregisteredBaseClassdlEPv;
nNIKAL100_mExportSymbol(_ZN25tBusUnregisteredBaseClassdlEPv);
extern int _ZN25tBusUnregisteredBaseClassD0Ev;
nNIKAL100_mExportSymbol(_ZN25tBusUnregisteredBaseClassD0Ev);
extern int _ZN23tBusRegisteredBaseClassnwEmjj;
nNIKAL100_mExportSymbol(_ZN23tBusRegisteredBaseClassnwEmjj);
extern int _ZN23tBusRegisteredBaseClass5_findEjj;
nNIKAL100_mExportSymbol(_ZN23tBusRegisteredBaseClass5_findEjj);
extern int _ZN23tBusRegisteredBaseClass7destroyEPS_;
nNIKAL100_mExportSymbol(_ZN23tBusRegisteredBaseClass7destroyEPS_);
extern int _ZN25tBusUnregisteredBaseClassnwEm;
nNIKAL100_mExportSymbol(_ZN25tBusUnregisteredBaseClassnwEm);
extern int iDMAChannel_control;
nNIKAL100_mExportSymbol(iDMAChannel_control);
extern int iDMAChannel_getDMAAttr;
nNIKAL100_mExportSymbol(iDMAChannel_getDMAAttr);
extern int iDMAChannel_getU32;
nNIKAL100_mExportSymbol(iDMAChannel_getU32);
extern int iDMAChannel_getU64;
nNIKAL100_mExportSymbol(iDMAChannel_getU64);
extern int iDMAChannel_getBlockRef;
nNIKAL100_mExportSymbol(iDMAChannel_getBlockRef);
extern int iDMAChannel_getVoid;
nNIKAL100_mExportSymbol(iDMAChannel_getVoid);
extern int iDMAChannel_setDMAAttr;
nNIKAL100_mExportSymbol(iDMAChannel_setDMAAttr);
extern int iDMAChannel_setU32;
nNIKAL100_mExportSymbol(iDMAChannel_setU32);
extern int iDMAChannel_setU64;
nNIKAL100_mExportSymbol(iDMAChannel_setU64);
extern int iDMAChannel_setBlockRef;
nNIKAL100_mExportSymbol(iDMAChannel_setBlockRef);
extern int iDMAChannel_setVoid;
nNIKAL100_mExportSymbol(iDMAChannel_setVoid);
extern int iDMAChannel_addErrorObserver;
nNIKAL100_mExportSymbol(iDMAChannel_addErrorObserver);
extern int iDMAChannel_addSampleTransferredObserver;
nNIKAL100_mExportSymbol(iDMAChannel_addSampleTransferredObserver);
extern int iDMAChannel_addPauseObserver;
nNIKAL100_mExportSymbol(iDMAChannel_addPauseObserver);
extern int iDMAChannel_addTransferCompleteObserver;
nNIKAL100_mExportSymbol(iDMAChannel_addTransferCompleteObserver);
extern int iDMAChannel_addInterruptObserver;
nNIKAL100_mExportSymbol(iDMAChannel_addInterruptObserver);
extern int iDMAChannel_removeErrorObserver;
nNIKAL100_mExportSymbol(iDMAChannel_removeErrorObserver);
extern int iDMAChannel_removeSampleTransferredObserver;
nNIKAL100_mExportSymbol(iDMAChannel_removeSampleTransferredObserver);
extern int iDMAChannel_removePauseObserver;
nNIKAL100_mExportSymbol(iDMAChannel_removePauseObserver);
extern int iDMAChannel_removeTransferCompleteObserver;
nNIKAL100_mExportSymbol(iDMAChannel_removeTransferCompleteObserver);
extern int iDMAChannel_removeInterruptObserver;
nNIKAL100_mExportSymbol(iDMAChannel_removeInterruptObserver);
extern int _ZN11iDMAChannelD2Ev;
nNIKAL100_mExportSymbol(_ZN11iDMAChannelD2Ev);
extern int _ZN11iDMAChannelD1Ev;
nNIKAL100_mExportSymbol(_ZN11iDMAChannelD1Ev);
extern int _ZN11iDMAChannelD0Ev;
nNIKAL100_mExportSymbol(_ZN11iDMAChannelD0Ev);
extern int _ZN11iDMAChannelC1Ev;
nNIKAL100_mExportSymbol(_ZN11iDMAChannelC1Ev);
extern int _ZN11iDMAChannelC2Ev;
nNIKAL100_mExportSymbol(_ZN11iDMAChannelC2Ev);
extern int ssRandom;
nNIKAL100_mExportSymbol(ssRandom);
extern int ssSeedRandom;
nNIKAL100_mExportSymbol(ssSeedRandom);
extern int tTimerConvert;
nNIKAL100_mExportSymbol(tTimerConvert);
extern int tTimer_destroyTimer;
nNIKAL100_mExportSymbol(tTimer_destroyTimer);
extern int tTimer_reset;
nNIKAL100_mExportSymbol(tTimer_reset);
extern int tTimer_isRunning;
nNIKAL100_mExportSymbol(tTimer_isRunning);
extern int tTimer_getResolutionTimeUnit;
nNIKAL100_mExportSymbol(tTimer_getResolutionTimeUnit);
extern int tTimer_getResolutionValue;
nNIKAL100_mExportSymbol(tTimer_getResolutionValue);
extern int tTimer_getCounterValue;
nNIKAL100_mExportSymbol(tTimer_getCounterValue);
extern int tTimerTimeout_destroyTimeout;
nNIKAL100_mExportSymbol(tTimerTimeout_destroyTimeout);
extern int tTimerTimeout_reset;
nNIKAL100_mExportSymbol(tTimerTimeout_reset);
extern int tTimerTimeout_isRunning;
nNIKAL100_mExportSymbol(tTimerTimeout_isRunning);
extern int tTimerTimeout_getResolutionValue;
nNIKAL100_mExportSymbol(tTimerTimeout_getResolutionValue);
extern int tTimerTimeout_getCounterValue;
nNIKAL100_mExportSymbol(tTimerTimeout_getCounterValue);
extern int tTimerTimeout_getSleepResolutionTimeUnit;
nNIKAL100_mExportSymbol(tTimerTimeout_getSleepResolutionTimeUnit);
extern int tTimerTimeout_getResolutionTimeUnit;
nNIKAL100_mExportSymbol(tTimerTimeout_getResolutionTimeUnit);
extern int tTimerTimeout_getSleepResolutionValue;
nNIKAL100_mExportSymbol(tTimerTimeout_getSleepResolutionValue);
extern int tTimerTimeout_canSleepNow;
nNIKAL100_mExportSymbol(tTimerTimeout_canSleepNow);
extern int tTimedNotifier_createNotifier;
nNIKAL100_mExportSymbol(tTimedNotifier_createNotifier);
extern int tTimedNotifier_destroyNotifier;
nNIKAL100_mExportSymbol(tTimedNotifier_destroyNotifier);
extern int tTimedNotifier_setDuration;
nNIKAL100_mExportSymbol(tTimedNotifier_setDuration);
extern int tTimedNotifier_getObserveCount;
nNIKAL100_mExportSymbol(tTimedNotifier_getObserveCount);
extern int tTimedNotifier_schedule;
nNIKAL100_mExportSymbol(tTimedNotifier_schedule);
extern int tTimedNotifier_cancel;
nNIKAL100_mExportSymbol(tTimedNotifier_cancel);
extern int tTimer_createTimer;
nNIKAL100_mExportSymbol(tTimer_createTimer);
extern int tTimer_start;
nNIKAL100_mExportSymbol(tTimer_start);
extern int tTimerTimeout_start;
nNIKAL100_mExportSymbol(tTimerTimeout_start);
extern int tTimer_stop;
nNIKAL100_mExportSymbol(tTimer_stop);
extern int tTimerTimeout_stop;
nNIKAL100_mExportSymbol(tTimerTimeout_stop);
extern int tTimer_getElapsedTime;
nNIKAL100_mExportSymbol(tTimer_getElapsedTime);
extern int tTimerTimeout_getElapsedTime;
nNIKAL100_mExportSymbol(tTimerTimeout_getElapsedTime);
extern int tTimer_getSystemClock;
nNIKAL100_mExportSymbol(tTimer_getSystemClock);
extern int tTimerTimeout_getSystemClock;
nNIKAL100_mExportSymbol(tTimerTimeout_getSystemClock);
extern int tTimerTimeout_createTimeout;
nNIKAL100_mExportSymbol(tTimerTimeout_createTimeout);
extern int tTimerTimeout_createGuaranteedTimeout;
nNIKAL100_mExportSymbol(tTimerTimeout_createGuaranteedTimeout);
extern int tTimerTimeout_setTimeout;
nNIKAL100_mExportSymbol(tTimerTimeout_setTimeout);
extern int tTimerTimeout_isTimeout;
nNIKAL100_mExportSymbol(tTimerTimeout_isTimeout);
extern int tTimerTimeout_waitForTimeout;
nNIKAL100_mExportSymbol(tTimerTimeout_waitForTimeout);
extern int tTimerTimeout_getRemainingTime;
nNIKAL100_mExportSymbol(tTimerTimeout_getRemainingTime);
extern int pkgModulePackageEventLog;
nNIKAL100_mExportSymbol(pkgModulePackageEventLog);
/* _ZNK10nNIMBDC10019iAsynchronousStream20___CPPKRLDynamicCastEPKPv=_c339e18f0650ed2f1b065342512b35a7 */
extern int _c339e18f0650ed2f1b065342512b35a7;
nNIKAL100_mExportSymbol(_c339e18f0650ed2f1b065342512b35a7);
/* _ZN10nNIMBDC10019iAsynchronousStream20___CPPKRLDynamicCastEPKPv=_c38e1739d114aad0c6b083108a61df1d */
extern int _c38e1739d114aad0c6b083108a61df1d;
nNIKAL100_mExportSymbol(_c38e1739d114aad0c6b083108a61df1d);
/* _ZN10nNIMBDC10019iAsynchronousStream13___CPPKRLCastEPS0_PKPv=_9c4c4047a074d40ebcae2f0c69a91d6a */
extern int _9c4c4047a074d40ebcae2f0c69a91d6a;
nNIKAL100_mExportSymbol(_9c4c4047a074d40ebcae2f0c69a91d6a);
/* _ZN10nNIMBDC10019iAsynchronousStream13___CPPKRLCastEPKS0_PKPv=_44f56c7f7b31a21303ed64b11783ad12 */
extern int _44f56c7f7b31a21303ed64b11783ad12;
nNIKAL100_mExportSymbol(_44f56c7f7b31a21303ed64b11783ad12);
extern int _ZN10nNIMBDC10019iAsynchronousStreamD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10019iAsynchronousStreamD1Ev);
extern int _ZN10nNIMBDC10019iAsynchronousStreamD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10019iAsynchronousStreamD2Ev);
extern int _ZN10nNIMBDC10019iAsynchronousStreamD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10019iAsynchronousStreamD0Ev);
extern int _ZN10nNIMBDC10013nDeviceEvents17iObserverBusResetD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10013nDeviceEvents17iObserverBusResetD2Ev);
extern int _ZN10nNIMBDC10013nDeviceEvents17iObserverBusResetD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10013nDeviceEvents17iObserverBusResetD1Ev);
extern int _ZN10nNIMBDC10013nDeviceEvents17iObserverBusResetD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10013nDeviceEvents17iObserverBusResetD0Ev);
/* _ZN10nNIMBDC10016iObserverContext20___CPPKRLDynamicCastEPKPv=_34a470a4a7f2bf2cbfb3ea0ec3a6f547 */
extern int _34a470a4a7f2bf2cbfb3ea0ec3a6f547;
nNIKAL100_mExportSymbol(_34a470a4a7f2bf2cbfb3ea0ec3a6f547);
/* _ZN10nNIMBDC10016iObserverContext13___CPPKRLCastEPKS0_PKPv=_a78c1d1322be7f9012ebd2e128b98ec4 */
extern int _a78c1d1322be7f9012ebd2e128b98ec4;
nNIKAL100_mExportSymbol(_a78c1d1322be7f9012ebd2e128b98ec4);
/* _ZNK10nNIMBDC10016iObserverContext20___CPPKRLDynamicCastEPKPv=_deeb0be99de97a6b81042b62f5c8c6b8 */
extern int _deeb0be99de97a6b81042b62f5c8c6b8;
nNIKAL100_mExportSymbol(_deeb0be99de97a6b81042b62f5c8c6b8);
/* _ZN10nNIMBDC10016iObserverContext13___CPPKRLCastEPS0_PKPv=_6a9e0c98ac0172a41cbaae8b8c72491c */
extern int _6a9e0c98ac0172a41cbaae8b8c72491c;
nNIKAL100_mExportSymbol(_6a9e0c98ac0172a41cbaae8b8c72491c);
extern int _ZN10nNIMBDC10016iObserverContextD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10016iObserverContextD2Ev);
extern int _ZN10nNIMBDC10016iObserverContextD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10016iObserverContextD1Ev);
extern int _ZN10nNIMBDC10016iObserverContextD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10016iObserverContextD0Ev);
extern int _ZN10nNIMBDC1007iStream13___CPPKRLCastEPKS0_PKPv;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC1007iStream13___CPPKRLCastEPKS0_PKPv);
extern int _ZN10nNIMBDC1007iStream20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC1007iStream20___CPPKRLDynamicCastEPKPv);
extern int _ZNK10nNIMBDC1007iStream20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZNK10nNIMBDC1007iStream20___CPPKRLDynamicCastEPKPv);
extern int _ZN10nNIMBDC1007iStream13___CPPKRLCastEPS0_PKPv;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC1007iStream13___CPPKRLCastEPS0_PKPv);
extern int _ZN10nNIMBDC1007iStreamD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC1007iStreamD2Ev);
extern int _ZN10nNIMBDC1007iStreamD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC1007iStreamD1Ev);
extern int _ZN10nNIMBDC1007iStreamD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC1007iStreamD0Ev);
/* _ZNK10nNIMBDC10016tStreamParameter20___CPPKRLDynamicCastEPKPv=_e5e1c5e5d3b86b995065ec3353c50894 */
extern int _e5e1c5e5d3b86b995065ec3353c50894;
nNIKAL100_mExportSymbol(_e5e1c5e5d3b86b995065ec3353c50894);
/* _ZN10nNIMBDC10016tStreamParameter13___CPPKRLCastEPKS0_PKPv=_fb524149b61e1359b1deaef8b4cd5ba5 */
extern int _fb524149b61e1359b1deaef8b4cd5ba5;
nNIKAL100_mExportSymbol(_fb524149b61e1359b1deaef8b4cd5ba5);
/* _ZN10nNIMBDC10016tStreamParameter20___CPPKRLDynamicCastEPKPv=_8a118351d30e1bef804b0680f701929e */
extern int _8a118351d30e1bef804b0680f701929e;
nNIKAL100_mExportSymbol(_8a118351d30e1bef804b0680f701929e);
/* _ZN10nNIMBDC10016tStreamParameter13___CPPKRLCastEPS0_PKPv=_11983ff436bdcb12dd6b2337d2a0e2d6 */
extern int _11983ff436bdcb12dd6b2337d2a0e2d6;
nNIKAL100_mExportSymbol(_11983ff436bdcb12dd6b2337d2a0e2d6);
/* _ZN10nNIMBDC10025iTransferCompleteObserver20___CPPKRLDynamicCastEPKPv=_e2910777be6b47f36d2b4a38d1dc2a99 */
extern int _e2910777be6b47f36d2b4a38d1dc2a99;
nNIKAL100_mExportSymbol(_e2910777be6b47f36d2b4a38d1dc2a99);
/* _ZNK10nNIMBDC10025iTransferCompleteObserver20___CPPKRLDynamicCastEPKPv=_8053978eeb7ba8a13af15972b950947f */
extern int _8053978eeb7ba8a13af15972b950947f;
nNIKAL100_mExportSymbol(_8053978eeb7ba8a13af15972b950947f);
/* _ZN10nNIMBDC10025iTransferCompleteObserver13___CPPKRLCastEPKS0_PKPv=_23374380d4ce2cb7c79ba85f102a617e */
extern int _23374380d4ce2cb7c79ba85f102a617e;
nNIKAL100_mExportSymbol(_23374380d4ce2cb7c79ba85f102a617e);
/* _ZN10nNIMBDC10025iTransferCompleteObserver13___CPPKRLCastEPS0_PKPv=_b41e8566aff87010529072f37ba7195b */
extern int _b41e8566aff87010529072f37ba7195b;
nNIKAL100_mExportSymbol(_b41e8566aff87010529072f37ba7195b);
extern int _ZN10nNIMBDC10025iTransferCompleteObserverD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10025iTransferCompleteObserverD1Ev);
extern int _ZN10nNIMBDC10025iTransferCompleteObserverD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10025iTransferCompleteObserverD2Ev);
extern int _ZN10nNIMBDC10025iTransferCompleteObserverD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10025iTransferCompleteObserverD0Ev);
/* _ZN10nNIMBDC10030iConfigurationCompleteObserver13___CPPKRLCastEPKS0_PKPv=_30b8d075a9e147f53fd2f51c8eea160b */
extern int _30b8d075a9e147f53fd2f51c8eea160b;
nNIKAL100_mExportSymbol(_30b8d075a9e147f53fd2f51c8eea160b);
/* _ZNK10nNIMBDC10030iConfigurationCompleteObserver20___CPPKRLDynamicCastEPKPv=_af68840f2b72e69f3d24635981a12785 */
extern int _af68840f2b72e69f3d24635981a12785;
nNIKAL100_mExportSymbol(_af68840f2b72e69f3d24635981a12785);
/* _ZN10nNIMBDC10030iConfigurationCompleteObserver20___CPPKRLDynamicCastEPKPv=_f91a78b5e694bc75b9ea8fd612042c5b */
extern int _f91a78b5e694bc75b9ea8fd612042c5b;
nNIKAL100_mExportSymbol(_f91a78b5e694bc75b9ea8fd612042c5b);
/* _ZN10nNIMBDC10030iConfigurationCompleteObserver13___CPPKRLCastEPS0_PKPv=_546a81a739cb651e3bba1af235435dfa */
extern int _546a81a739cb651e3bba1af235435dfa;
nNIKAL100_mExportSymbol(_546a81a739cb651e3bba1af235435dfa);
extern int _ZN10nNIMBDC10030iConfigurationCompleteObserverD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10030iConfigurationCompleteObserverD2Ev);
extern int _ZN10nNIMBDC10030iConfigurationCompleteObserverD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10030iConfigurationCompleteObserverD1Ev);
extern int _ZN10nNIMBDC10030iConfigurationCompleteObserverD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10030iConfigurationCompleteObserverD0Ev);
/* _ZN10nNIMBDC10019iTransferDescriptor13___CPPKRLCastEPKS0_PKPv=_8ba7c9bbf4cf9c6b74b95de13d15033e */
extern int _8ba7c9bbf4cf9c6b74b95de13d15033e;
nNIKAL100_mExportSymbol(_8ba7c9bbf4cf9c6b74b95de13d15033e);
/* _ZN10nNIMBDC10019iTransferDescriptor20___CPPKRLDynamicCastEPKPv=_fea626f4881ec817e3bec5113fb53f7c */
extern int _fea626f4881ec817e3bec5113fb53f7c;
nNIKAL100_mExportSymbol(_fea626f4881ec817e3bec5113fb53f7c);
/* _ZNK10nNIMBDC10019iTransferDescriptor20___CPPKRLDynamicCastEPKPv=_4f72321633bbaac89d4f96f744f71347 */
extern int _4f72321633bbaac89d4f96f744f71347;
nNIKAL100_mExportSymbol(_4f72321633bbaac89d4f96f744f71347);
/* _ZN10nNIMBDC10019iTransferDescriptor13___CPPKRLCastEPS0_PKPv=_b28080247aba03281893a684b60c1399 */
extern int _b28080247aba03281893a684b60c1399;
nNIKAL100_mExportSymbol(_b28080247aba03281893a684b60c1399);
extern int _ZN10nNIMBDC10019iTransferDescriptorD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10019iTransferDescriptorD1Ev);
extern int _ZN10nNIMBDC10019iTransferDescriptorD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10019iTransferDescriptorD2Ev);
extern int _ZN10nNIMBDC10019iTransferDescriptorD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10019iTransferDescriptorD0Ev);
/* _ZNK10nNIMBDC10032tAsynchronousStreamParameter139420___CPPKRLDynamicCastEPKPv=_8dc974e381548dd0967524487d5d7c9d */
extern int _8dc974e381548dd0967524487d5d7c9d;
nNIKAL100_mExportSymbol(_8dc974e381548dd0967524487d5d7c9d);
/* _ZN10nNIMBDC10032tAsynchronousStreamParameter139420___CPPKRLDynamicCastEPKPv=_6722bab63d90db11ec2cdd11a298f539 */
extern int _6722bab63d90db11ec2cdd11a298f539;
nNIKAL100_mExportSymbol(_6722bab63d90db11ec2cdd11a298f539);
/* _ZN10nNIMBDC10032tAsynchronousStreamParameter139413___CPPKRLCastEPS0_PKPv=_bda2fce8c0e3a2efa799baa455c87d55 */
extern int _bda2fce8c0e3a2efa799baa455c87d55;
nNIKAL100_mExportSymbol(_bda2fce8c0e3a2efa799baa455c87d55);
/* _ZN10nNIMBDC10032tAsynchronousStreamParameter139413___CPPKRLCastEPKS0_PKPv=_99f3c59b67bd5fe761ed47895c1cf7d4 */
extern int _99f3c59b67bd5fe761ed47895c1cf7d4;
nNIKAL100_mExportSymbol(_99f3c59b67bd5fe761ed47895c1cf7d4);
/* _ZNK10nNIMBDC10019tStreamParameterUSB20___CPPKRLDynamicCastEPKPv=_b422e1da4b5ee3031e77c2b140207206 */
extern int _b422e1da4b5ee3031e77c2b140207206;
nNIKAL100_mExportSymbol(_b422e1da4b5ee3031e77c2b140207206);
/* _ZN10nNIMBDC10019tStreamParameterUSB20___CPPKRLDynamicCastEPKPv=_ff1bfba9d99dd313d5198d894912d153 */
extern int _ff1bfba9d99dd313d5198d894912d153;
nNIKAL100_mExportSymbol(_ff1bfba9d99dd313d5198d894912d153);
/* _ZN10nNIMBDC10019tStreamParameterUSB13___CPPKRLCastEPS0_PKPv=_f02b51afa3f028beed0f1aa539e5479a */
extern int _f02b51afa3f028beed0f1aa539e5479a;
nNIKAL100_mExportSymbol(_f02b51afa3f028beed0f1aa539e5479a);
/* _ZN10nNIMBDC10019tStreamParameterUSB13___CPPKRLCastEPKS0_PKPv=_75b192c7c17c170e582a46e2871d4613 */
extern int _75b192c7c17c170e582a46e2871d4613;
nNIKAL100_mExportSymbol(_75b192c7c17c170e582a46e2871d4613);
/* _ZNK10nNIMBDC10023tBulkStreamParameterUSB20___CPPKRLDynamicCastEPKPv=_17ec6a9b23a31e3c43d6abd4fc4b3ab8 */
extern int _17ec6a9b23a31e3c43d6abd4fc4b3ab8;
nNIKAL100_mExportSymbol(_17ec6a9b23a31e3c43d6abd4fc4b3ab8);
/* _ZN10nNIMBDC10023tBulkStreamParameterUSB20___CPPKRLDynamicCastEPKPv=_f730ea6a48eb041fc831b49b2261d430 */
extern int _f730ea6a48eb041fc831b49b2261d430;
nNIKAL100_mExportSymbol(_f730ea6a48eb041fc831b49b2261d430);
/* _ZN10nNIMBDC10023tBulkStreamParameterUSB13___CPPKRLCastEPS0_PKPv=_9f354bcd67f80ffa8fbda4d0d96f526c */
extern int _9f354bcd67f80ffa8fbda4d0d96f526c;
nNIKAL100_mExportSymbol(_9f354bcd67f80ffa8fbda4d0d96f526c);
/* _ZN10nNIMBDC10023tBulkStreamParameterUSB13___CPPKRLCastEPKS0_PKPv=_2c6d82f44c39f0da352ebf5fbb027141 */
extern int _2c6d82f44c39f0da352ebf5fbb027141;
nNIKAL100_mExportSymbol(_2c6d82f44c39f0da352ebf5fbb027141);
/* _ZN10nNIMBDC10026tControlStreamParameterUSB20___CPPKRLDynamicCastEPKPv=_ee00f191084c7aa2ed116bcc8cc72528 */
extern int _ee00f191084c7aa2ed116bcc8cc72528;
nNIKAL100_mExportSymbol(_ee00f191084c7aa2ed116bcc8cc72528);
/* _ZNK10nNIMBDC10026tControlStreamParameterUSB20___CPPKRLDynamicCastEPKPv=_a523feb373af105d3c72b560335b4582 */
extern int _a523feb373af105d3c72b560335b4582;
nNIKAL100_mExportSymbol(_a523feb373af105d3c72b560335b4582);
/* _ZN10nNIMBDC10026tControlStreamParameterUSB13___CPPKRLCastEPS0_PKPv=_c8cc70fc0e479aa4354200052d259939 */
extern int _c8cc70fc0e479aa4354200052d259939;
nNIKAL100_mExportSymbol(_c8cc70fc0e479aa4354200052d259939);
/* _ZN10nNIMBDC10026tControlStreamParameterUSB13___CPPKRLCastEPKS0_PKPv=_61a25cf1fd68f55932f76ca0b811a286 */
extern int _61a25cf1fd68f55932f76ca0b811a286;
nNIKAL100_mExportSymbol(_61a25cf1fd68f55932f76ca0b811a286);
/* _ZN10nNIMBDC10028tInterruptStreamParameterUSB20___CPPKRLDynamicCastEPKPv=_fd93b6bee6f70112e51413ccabd479c3 */
extern int _fd93b6bee6f70112e51413ccabd479c3;
nNIKAL100_mExportSymbol(_fd93b6bee6f70112e51413ccabd479c3);
/* _ZNK10nNIMBDC10028tInterruptStreamParameterUSB20___CPPKRLDynamicCastEPKPv=_f1e4fe4264e199f5a33c7c22f117b1d3 */
extern int _f1e4fe4264e199f5a33c7c22f117b1d3;
nNIKAL100_mExportSymbol(_f1e4fe4264e199f5a33c7c22f117b1d3);
/* _ZN10nNIMBDC10028tInterruptStreamParameterUSB13___CPPKRLCastEPS0_PKPv=_d65e29abdc055b7bf74c59ac2a8c6632 */
extern int _d65e29abdc055b7bf74c59ac2a8c6632;
nNIKAL100_mExportSymbol(_d65e29abdc055b7bf74c59ac2a8c6632);
/* _ZN10nNIMBDC10028tInterruptStreamParameterUSB13___CPPKRLCastEPKS0_PKPv=_6ed18cbbae1c34eb2b495d63cbef9fb5 */
extern int _6ed18cbbae1c34eb2b495d63cbef9fb5;
nNIKAL100_mExportSymbol(_6ed18cbbae1c34eb2b495d63cbef9fb5);
/* _ZNK10nNIMBDC10031tIsochronousStreamParameter139420___CPPKRLDynamicCastEPKPv=_a1b4a921844ca389feafe1a5a2d236a6 */
extern int _a1b4a921844ca389feafe1a5a2d236a6;
nNIKAL100_mExportSymbol(_a1b4a921844ca389feafe1a5a2d236a6);
/* _ZN10nNIMBDC10031tIsochronousStreamParameter139420___CPPKRLDynamicCastEPKPv=_33c019c49b450d74d87f67f1c5415b2b */
extern int _33c019c49b450d74d87f67f1c5415b2b;
nNIKAL100_mExportSymbol(_33c019c49b450d74d87f67f1c5415b2b);
/* _ZN10nNIMBDC10031tIsochronousStreamParameter139413___CPPKRLCastEPS0_PKPv=_10201aa608daa9f0bd618c36a98f38fc */
extern int _10201aa608daa9f0bd618c36a98f38fc;
nNIKAL100_mExportSymbol(_10201aa608daa9f0bd618c36a98f38fc);
/* _ZN10nNIMBDC10031tIsochronousStreamParameter139413___CPPKRLCastEPKS0_PKPv=_3f7de396b02bea18b9eb008b7f44dee0 */
extern int _3f7de396b02bea18b9eb008b7f44dee0;
nNIKAL100_mExportSymbol(_3f7de396b02bea18b9eb008b7f44dee0);
/* _ZN10nNIMBDC10018tTransferParameter13___CPPKRLCastEPKS0_PKPv=_79b778d4837d88aa212b73c30969e7b1 */
extern int _79b778d4837d88aa212b73c30969e7b1;
nNIKAL100_mExportSymbol(_79b778d4837d88aa212b73c30969e7b1);
/* _ZNK10nNIMBDC10018tTransferParameter20___CPPKRLDynamicCastEPKPv=_f7c6404c58e98353730feb0188f032b2 */
extern int _f7c6404c58e98353730feb0188f032b2;
nNIKAL100_mExportSymbol(_f7c6404c58e98353730feb0188f032b2);
/* _ZN10nNIMBDC10018tTransferParameter20___CPPKRLDynamicCastEPKPv=_2298c473bdb723ba772ab90cd5d2bd6d */
extern int _2298c473bdb723ba772ab90cd5d2bd6d;
nNIKAL100_mExportSymbol(_2298c473bdb723ba772ab90cd5d2bd6d);
/* _ZN10nNIMBDC10018tTransferParameter13___CPPKRLCastEPS0_PKPv=_874c4e2a106fcb4a81f7124e06a49feb */
extern int _874c4e2a106fcb4a81f7124e06a49feb;
nNIKAL100_mExportSymbol(_874c4e2a106fcb4a81f7124e06a49feb);
/* _ZN10nNIMBDC10022tTransferParameter139420___CPPKRLDynamicCastEPKPv=_2391c6afbba110c309cdb031c485bf8d */
extern int _2391c6afbba110c309cdb031c485bf8d;
nNIKAL100_mExportSymbol(_2391c6afbba110c309cdb031c485bf8d);
/* _ZNK10nNIMBDC10022tTransferParameter139420___CPPKRLDynamicCastEPKPv=_42ab3c71782db0c9c0da969e77e8bc73 */
extern int _42ab3c71782db0c9c0da969e77e8bc73;
nNIKAL100_mExportSymbol(_42ab3c71782db0c9c0da969e77e8bc73);
/* _ZN10nNIMBDC10022tTransferParameter139413___CPPKRLCastEPS0_PKPv=_50dc95880b034581646a13e9d890f18d */
extern int _50dc95880b034581646a13e9d890f18d;
nNIKAL100_mExportSymbol(_50dc95880b034581646a13e9d890f18d);
/* _ZN10nNIMBDC10022tTransferParameter139413___CPPKRLCastEPKS0_PKPv=_2a3447d3e3c8b0cc737d3201c4c73616 */
extern int _2a3447d3e3c8b0cc737d3201c4c73616;
nNIKAL100_mExportSymbol(_2a3447d3e3c8b0cc737d3201c4c73616);
/* _ZN10nNIMBDC10021tTransferParameterUSB20___CPPKRLDynamicCastEPKPv=_c325e7874b48e33377209163d67189c2 */
extern int _c325e7874b48e33377209163d67189c2;
nNIKAL100_mExportSymbol(_c325e7874b48e33377209163d67189c2);
/* _ZNK10nNIMBDC10021tTransferParameterUSB20___CPPKRLDynamicCastEPKPv=_7bf1320183f1d0750879c9c2f7cef970 */
extern int _7bf1320183f1d0750879c9c2f7cef970;
nNIKAL100_mExportSymbol(_7bf1320183f1d0750879c9c2f7cef970);
/* _ZN10nNIMBDC10021tTransferParameterUSB13___CPPKRLCastEPS0_PKPv=_a5c097895dc9b612770f962145e73516 */
extern int _a5c097895dc9b612770f962145e73516;
nNIKAL100_mExportSymbol(_a5c097895dc9b612770f962145e73516);
/* _ZN10nNIMBDC10021tTransferParameterUSB13___CPPKRLCastEPKS0_PKPv=_dd6f4a9086cb59db58fbd04868852783 */
extern int _dd6f4a9086cb59db58fbd04868852783;
nNIKAL100_mExportSymbol(_dd6f4a9086cb59db58fbd04868852783);
/* _ZN10nNIMBDC10028tTransferParameterUSBControl20___CPPKRLDynamicCastEPKPv=_6773d8b5fb0be6aa10d9aa271d726b5c */
extern int _6773d8b5fb0be6aa10d9aa271d726b5c;
nNIKAL100_mExportSymbol(_6773d8b5fb0be6aa10d9aa271d726b5c);
/* _ZNK10nNIMBDC10028tTransferParameterUSBControl20___CPPKRLDynamicCastEPKPv=_44fb3dd68265378f76073ea9872e4bfc */
extern int _44fb3dd68265378f76073ea9872e4bfc;
nNIKAL100_mExportSymbol(_44fb3dd68265378f76073ea9872e4bfc);
/* _ZN10nNIMBDC10028tTransferParameterUSBControl13___CPPKRLCastEPS0_PKPv=_2d984b6bc60ab76f398ecfec86db8bac */
extern int _2d984b6bc60ab76f398ecfec86db8bac;
nNIKAL100_mExportSymbol(_2d984b6bc60ab76f398ecfec86db8bac);
/* _ZN10nNIMBDC10028tTransferParameterUSBControl13___CPPKRLCastEPKS0_PKPv=_cdb38d52d4e1090918f25985e4b64d46 */
extern int _cdb38d52d4e1090918f25985e4b64d46;
nNIKAL100_mExportSymbol(_cdb38d52d4e1090918f25985e4b64d46);
/* _ZN10nNIMBDC10025tTransferParameterUSBBulk20___CPPKRLDynamicCastEPKPv=_c25fac2e5f49b33aad2585b338859f44 */
extern int _c25fac2e5f49b33aad2585b338859f44;
nNIKAL100_mExportSymbol(_c25fac2e5f49b33aad2585b338859f44);
/* _ZNK10nNIMBDC10025tTransferParameterUSBBulk20___CPPKRLDynamicCastEPKPv=_d542d9834e3b37669aa6835f30c160e2 */
extern int _d542d9834e3b37669aa6835f30c160e2;
nNIKAL100_mExportSymbol(_d542d9834e3b37669aa6835f30c160e2);
/* _ZN10nNIMBDC10025tTransferParameterUSBBulk13___CPPKRLCastEPS0_PKPv=_62bf28758f0de0b33558ad344baa82e4 */
extern int _62bf28758f0de0b33558ad344baa82e4;
nNIKAL100_mExportSymbol(_62bf28758f0de0b33558ad344baa82e4);
/* _ZN10nNIMBDC10025tTransferParameterUSBBulk13___CPPKRLCastEPKS0_PKPv=_1badf04f0821518cef5c3fa5d9aa3cbe */
extern int _1badf04f0821518cef5c3fa5d9aa3cbe;
nNIKAL100_mExportSymbol(_1badf04f0821518cef5c3fa5d9aa3cbe);
/* _ZNK10nNIMBDC10030tTransferParameterUSBInterrupt20___CPPKRLDynamicCastEPKPv=_931fc79a03684c50015c9b1d4bb9047c */
extern int _931fc79a03684c50015c9b1d4bb9047c;
nNIKAL100_mExportSymbol(_931fc79a03684c50015c9b1d4bb9047c);
/* _ZN10nNIMBDC10030tTransferParameterUSBInterrupt20___CPPKRLDynamicCastEPKPv=_9719880911640c7086b4c2984676fade */
extern int _9719880911640c7086b4c2984676fade;
nNIKAL100_mExportSymbol(_9719880911640c7086b4c2984676fade);
/* _ZN10nNIMBDC10030tTransferParameterUSBInterrupt13___CPPKRLCastEPS0_PKPv=_3a6ee60ee5e51e9c73e47f60e188c6ff */
extern int _3a6ee60ee5e51e9c73e47f60e188c6ff;
nNIKAL100_mExportSymbol(_3a6ee60ee5e51e9c73e47f60e188c6ff);
/* _ZN10nNIMBDC10030tTransferParameterUSBInterrupt13___CPPKRLCastEPKS0_PKPv=_66cc0c2052fe262506c511ccfe5080f5 */
extern int _66cc0c2052fe262506c511ccfe5080f5;
nNIKAL100_mExportSymbol(_66cc0c2052fe262506c511ccfe5080f5);
/* _ZN10nNIMBDC10034iIsochronousBufferCompleteObserver20___CPPKRLDynamicCastEPKPv=_b7ed548fe9b6735d990714300cee608b */
extern int _b7ed548fe9b6735d990714300cee608b;
nNIKAL100_mExportSymbol(_b7ed548fe9b6735d990714300cee608b);
/* _ZN10nNIMBDC10034iIsochronousBufferCompleteObserver13___CPPKRLCastEPKS0_PKPv=_b87d75ebe1ee4969d5c904726c6b58df */
extern int _b87d75ebe1ee4969d5c904726c6b58df;
nNIKAL100_mExportSymbol(_b87d75ebe1ee4969d5c904726c6b58df);
/* _ZNK10nNIMBDC10034iIsochronousBufferCompleteObserver20___CPPKRLDynamicCastEPKPv=_4ac3ca46e5cc1d9a42977149bfa14c1c */
extern int _4ac3ca46e5cc1d9a42977149bfa14c1c;
nNIKAL100_mExportSymbol(_4ac3ca46e5cc1d9a42977149bfa14c1c);
/* _ZN10nNIMBDC10034iIsochronousBufferCompleteObserver13___CPPKRLCastEPS0_PKPv=_3945a94521221129da86e8cbf7fb89ae */
extern int _3945a94521221129da86e8cbf7fb89ae;
nNIKAL100_mExportSymbol(_3945a94521221129da86e8cbf7fb89ae);
extern int _ZN10nNIMBDC10034iIsochronousBufferCompleteObserverD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10034iIsochronousBufferCompleteObserverD1Ev);
extern int _ZN10nNIMBDC10034iIsochronousBufferCompleteObserverD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10034iIsochronousBufferCompleteObserverD2Ev);
extern int _ZN10nNIMBDC10034iIsochronousBufferCompleteObserverD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10034iIsochronousBufferCompleteObserverD0Ev);
/* _ZNK10nNIMBDC10027tIsochronousBufferParameter20___CPPKRLDynamicCastEPKPv=_dd7f8f57e67d4d8916bbecf1758c655e */
extern int _dd7f8f57e67d4d8916bbecf1758c655e;
nNIKAL100_mExportSymbol(_dd7f8f57e67d4d8916bbecf1758c655e);
/* _ZN10nNIMBDC10027tIsochronousBufferParameter20___CPPKRLDynamicCastEPKPv=_1342658fb3824d7bd59164809868a6e4 */
extern int _1342658fb3824d7bd59164809868a6e4;
nNIKAL100_mExportSymbol(_1342658fb3824d7bd59164809868a6e4);
/* _ZN10nNIMBDC10027tIsochronousBufferParameter13___CPPKRLCastEPKS0_PKPv=_f94d39190d235d6e9dc0fd23f55f7f43 */
extern int _f94d39190d235d6e9dc0fd23f55f7f43;
nNIKAL100_mExportSymbol(_f94d39190d235d6e9dc0fd23f55f7f43);
/* _ZN10nNIMBDC10027tIsochronousBufferParameter13___CPPKRLCastEPS0_PKPv=_358b292f7450709bdc03a7001831c193 */
extern int _358b292f7450709bdc03a7001831c193;
nNIKAL100_mExportSymbol(_358b292f7450709bdc03a7001831c193);
/* _ZNK10nNIMBDC10031tIsochronousBufferParameter139420___CPPKRLDynamicCastEPKPv=_9cb027c4a4e40ed4edb13923bf02b894 */
extern int _9cb027c4a4e40ed4edb13923bf02b894;
nNIKAL100_mExportSymbol(_9cb027c4a4e40ed4edb13923bf02b894);
/* _ZN10nNIMBDC10031tIsochronousBufferParameter139420___CPPKRLDynamicCastEPKPv=_1e7585ba6229a398616db3f7e6b11850 */
extern int _1e7585ba6229a398616db3f7e6b11850;
nNIKAL100_mExportSymbol(_1e7585ba6229a398616db3f7e6b11850);
/* _ZN10nNIMBDC10031tIsochronousBufferParameter139413___CPPKRLCastEPS0_PKPv=_6224d109edb164ec8257c848fdf39e43 */
extern int _6224d109edb164ec8257c848fdf39e43;
nNIKAL100_mExportSymbol(_6224d109edb164ec8257c848fdf39e43);
/* _ZN10nNIMBDC10031tIsochronousBufferParameter139413___CPPKRLCastEPKS0_PKPv=_b09551271d6b1d6020c3c66699b34e66 */
extern int _b09551271d6b1d6020c3c66699b34e66;
nNIKAL100_mExportSymbol(_b09551271d6b1d6020c3c66699b34e66);
/* _ZNK10nNIMBDC10035iIsochronousCommandCompleteObserver20___CPPKRLDynamicCastEPKPv=_b75f500330be199d07bdf3089ec77312 */
extern int _b75f500330be199d07bdf3089ec77312;
nNIKAL100_mExportSymbol(_b75f500330be199d07bdf3089ec77312);
/* _ZN10nNIMBDC10035iIsochronousCommandCompleteObserver13___CPPKRLCastEPKS0_PKPv=_d677c5ea3997c745456d71ba3c4ccc08 */
extern int _d677c5ea3997c745456d71ba3c4ccc08;
nNIKAL100_mExportSymbol(_d677c5ea3997c745456d71ba3c4ccc08);
/* _ZN10nNIMBDC10035iIsochronousCommandCompleteObserver20___CPPKRLDynamicCastEPKPv=_0f6c50bef084a3e23625840b488d7c2a */
extern int _0f6c50bef084a3e23625840b488d7c2a;
nNIKAL100_mExportSymbol(_0f6c50bef084a3e23625840b488d7c2a);
/* _ZN10nNIMBDC10035iIsochronousCommandCompleteObserver13___CPPKRLCastEPS0_PKPv=_823384fea31253cbb0e58daf2cbb87d5 */
extern int _823384fea31253cbb0e58daf2cbb87d5;
nNIKAL100_mExportSymbol(_823384fea31253cbb0e58daf2cbb87d5);
/* _ZN10nNIMBDC10035iIsochronousCommandCompleteObserverD1Ev=_28b2ed3c4f93dad5f8a7a9e512e112e9 */
extern int _28b2ed3c4f93dad5f8a7a9e512e112e9;
nNIKAL100_mExportSymbol(_28b2ed3c4f93dad5f8a7a9e512e112e9);
/* _ZN10nNIMBDC10035iIsochronousCommandCompleteObserverD2Ev=_a0420db35371c2ac939dd0810cd878f0 */
extern int _a0420db35371c2ac939dd0810cd878f0;
nNIKAL100_mExportSymbol(_a0420db35371c2ac939dd0810cd878f0);
/* _ZN10nNIMBDC10035iIsochronousCommandCompleteObserverD0Ev=_51c72cccf5a1c3c635201f9a08ff9fa7 */
extern int _51c72cccf5a1c3c635201f9a08ff9fa7;
nNIKAL100_mExportSymbol(_51c72cccf5a1c3c635201f9a08ff9fa7);
/* _ZNK10nNIMBDC10028tIsochronousCommandParameter20___CPPKRLDynamicCastEPKPv=_fa600377aa1afa128d26daaed091a4ca */
extern int _fa600377aa1afa128d26daaed091a4ca;
nNIKAL100_mExportSymbol(_fa600377aa1afa128d26daaed091a4ca);
/* _ZN10nNIMBDC10028tIsochronousCommandParameter20___CPPKRLDynamicCastEPKPv=_9e2e694fa5e23947cb60ff5faa6dce2f */
extern int _9e2e694fa5e23947cb60ff5faa6dce2f;
nNIKAL100_mExportSymbol(_9e2e694fa5e23947cb60ff5faa6dce2f);
/* _ZN10nNIMBDC10028tIsochronousCommandParameter13___CPPKRLCastEPKS0_PKPv=_58285fd7d78b8784bdb0a7e5f82fd2c3 */
extern int _58285fd7d78b8784bdb0a7e5f82fd2c3;
nNIKAL100_mExportSymbol(_58285fd7d78b8784bdb0a7e5f82fd2c3);
/* _ZN10nNIMBDC10028tIsochronousCommandParameter13___CPPKRLCastEPS0_PKPv=_3e28d015c25caf3473989b7cc905eb97 */
extern int _3e28d015c25caf3473989b7cc905eb97;
nNIKAL100_mExportSymbol(_3e28d015c25caf3473989b7cc905eb97);
/* _ZN10nNIMBDC10044tIsochronousCommandParameterAttachBuffer139420___CPPKRLDynamicCastEPKPv=_f0ada1873ac3798f6b940a9dcebc082d */
extern int _f0ada1873ac3798f6b940a9dcebc082d;
nNIKAL100_mExportSymbol(_f0ada1873ac3798f6b940a9dcebc082d);
/* _ZNK10nNIMBDC10044tIsochronousCommandParameterAttachBuffer139420___CPPKRLDynamicCastEPKPv=_282197d9345493a8fd20b6748bfbc34b */
extern int _282197d9345493a8fd20b6748bfbc34b;
nNIKAL100_mExportSymbol(_282197d9345493a8fd20b6748bfbc34b);
/* _ZN10nNIMBDC10044tIsochronousCommandParameterAttachBuffer139413___CPPKRLCastEPS0_PKPv=_5a4c98da22af5f613fe79c1c37a844df */
extern int _5a4c98da22af5f613fe79c1c37a844df;
nNIKAL100_mExportSymbol(_5a4c98da22af5f613fe79c1c37a844df);
/* _ZN10nNIMBDC10044tIsochronousCommandParameterAttachBuffer139413___CPPKRLCastEPKS0_PKPv=_81805140eb6eb01f809aed19aa92ce49 */
extern int _81805140eb6eb01f809aed19aa92ce49;
nNIKAL100_mExportSymbol(_81805140eb6eb01f809aed19aa92ce49);
/* _ZN10nNIMBDC10044tIsochronousCommandParameterDetachBuffer139420___CPPKRLDynamicCastEPKPv=_3a9a0c168ab717a09423a6c3ad901236 */
extern int _3a9a0c168ab717a09423a6c3ad901236;
nNIKAL100_mExportSymbol(_3a9a0c168ab717a09423a6c3ad901236);
/* _ZNK10nNIMBDC10044tIsochronousCommandParameterDetachBuffer139420___CPPKRLDynamicCastEPKPv=_950b807d7d966e09c8987df46d66e12d */
extern int _950b807d7d966e09c8987df46d66e12d;
nNIKAL100_mExportSymbol(_950b807d7d966e09c8987df46d66e12d);
/* _ZN10nNIMBDC10044tIsochronousCommandParameterDetachBuffer139413___CPPKRLCastEPS0_PKPv=_35430e8fb7a24c070e1ca1f78d106771 */
extern int _35430e8fb7a24c070e1ca1f78d106771;
nNIKAL100_mExportSymbol(_35430e8fb7a24c070e1ca1f78d106771);
/* _ZN10nNIMBDC10044tIsochronousCommandParameterDetachBuffer139413___CPPKRLCastEPKS0_PKPv=_8355f2fce03b2e00208c72b402ffac25 */
extern int _8355f2fce03b2e00208c72b402ffac25;
nNIKAL100_mExportSymbol(_8355f2fce03b2e00208c72b402ffac25);
/* _ZN10nNIMBDC10037tIsochronousCommandParameterStart139420___CPPKRLDynamicCastEPKPv=_4abcd434dff385b1fa36d26e1d4a1ce9 */
extern int _4abcd434dff385b1fa36d26e1d4a1ce9;
nNIKAL100_mExportSymbol(_4abcd434dff385b1fa36d26e1d4a1ce9);
/* _ZNK10nNIMBDC10037tIsochronousCommandParameterStart139420___CPPKRLDynamicCastEPKPv=_6f22a18ec9ef570b2f871dbe17374701 */
extern int _6f22a18ec9ef570b2f871dbe17374701;
nNIKAL100_mExportSymbol(_6f22a18ec9ef570b2f871dbe17374701);
/* _ZN10nNIMBDC10037tIsochronousCommandParameterStart139413___CPPKRLCastEPS0_PKPv=_9afe1a90d060be5eaeef707e4e6302af */
extern int _9afe1a90d060be5eaeef707e4e6302af;
nNIKAL100_mExportSymbol(_9afe1a90d060be5eaeef707e4e6302af);
/* _ZN10nNIMBDC10037tIsochronousCommandParameterStart139413___CPPKRLCastEPKS0_PKPv=_35a5ec1072f98c7bd7dffa635dffd1b0 */
extern int _35a5ec1072f98c7bd7dffa635dffd1b0;
nNIKAL100_mExportSymbol(_35a5ec1072f98c7bd7dffa635dffd1b0);
/* _ZNK10nNIMBDC10036tIsochronousCommandParameterStop139420___CPPKRLDynamicCastEPKPv=_2b0c7a5b1302bb531b17135f59140cba */
extern int _2b0c7a5b1302bb531b17135f59140cba;
nNIKAL100_mExportSymbol(_2b0c7a5b1302bb531b17135f59140cba);
/* _ZN10nNIMBDC10036tIsochronousCommandParameterStop139420___CPPKRLDynamicCastEPKPv=_6663224ecc0ec0e6ce5d692310deebb3 */
extern int _6663224ecc0ec0e6ce5d692310deebb3;
nNIKAL100_mExportSymbol(_6663224ecc0ec0e6ce5d692310deebb3);
/* _ZN10nNIMBDC10036tIsochronousCommandParameterStop139413___CPPKRLCastEPS0_PKPv=_fe970ffa35ae484d498f08a6ad62a264 */
extern int _fe970ffa35ae484d498f08a6ad62a264;
nNIKAL100_mExportSymbol(_fe970ffa35ae484d498f08a6ad62a264);
/* _ZN10nNIMBDC10036tIsochronousCommandParameterStop139413___CPPKRLCastEPKS0_PKPv=_b70417853015411eb2add24cc4a5ca7c */
extern int _b70417853015411eb2add24cc4a5ca7c;
nNIKAL100_mExportSymbol(_b70417853015411eb2add24cc4a5ca7c);
/* _ZN10nNIMBDC10017tReserveParameter20___CPPKRLDynamicCastEPKPv=_b1280e2fc5ad0e13e3a3002a3e77a3b1 */
extern int _b1280e2fc5ad0e13e3a3002a3e77a3b1;
nNIKAL100_mExportSymbol(_b1280e2fc5ad0e13e3a3002a3e77a3b1);
/* _ZN10nNIMBDC10017tReserveParameter13___CPPKRLCastEPKS0_PKPv=_1176b1db12f93a9da1cd8a96b30e8ec9 */
extern int _1176b1db12f93a9da1cd8a96b30e8ec9;
nNIKAL100_mExportSymbol(_1176b1db12f93a9da1cd8a96b30e8ec9);
/* _ZNK10nNIMBDC10017tReserveParameter20___CPPKRLDynamicCastEPKPv=_3b8d8da92b14375cc54aa9177bbea45f */
extern int _3b8d8da92b14375cc54aa9177bbea45f;
nNIKAL100_mExportSymbol(_3b8d8da92b14375cc54aa9177bbea45f);
/* _ZN10nNIMBDC10017tReserveParameter13___CPPKRLCastEPS0_PKPv=_4b064f7d1ff69141edbd9433eebf7013 */
extern int _4b064f7d1ff69141edbd9433eebf7013;
nNIKAL100_mExportSymbol(_4b064f7d1ff69141edbd9433eebf7013);
/* _ZN10nNIMBDC10020tRelinquishParameter20___CPPKRLDynamicCastEPKPv=_4e3af9cb308854963c8fa25bb8c4cfd0 */
extern int _4e3af9cb308854963c8fa25bb8c4cfd0;
nNIKAL100_mExportSymbol(_4e3af9cb308854963c8fa25bb8c4cfd0);
/* _ZN10nNIMBDC10020tRelinquishParameter13___CPPKRLCastEPKS0_PKPv=_e8f29e540cf9911320bbdaca8fd22590 */
extern int _e8f29e540cf9911320bbdaca8fd22590;
nNIKAL100_mExportSymbol(_e8f29e540cf9911320bbdaca8fd22590);
/* _ZNK10nNIMBDC10020tRelinquishParameter20___CPPKRLDynamicCastEPKPv=_51a7bcabaee4b2e0a1b6bc18725a1b28 */
extern int _51a7bcabaee4b2e0a1b6bc18725a1b28;
nNIKAL100_mExportSymbol(_51a7bcabaee4b2e0a1b6bc18725a1b28);
/* _ZN10nNIMBDC10020tRelinquishParameter13___CPPKRLCastEPS0_PKPv=_ae620b252c30036f9ef221864075ae3e */
extern int _ae620b252c30036f9ef221864075ae3e;
nNIKAL100_mExportSymbol(_ae620b252c30036f9ef221864075ae3e);
/* _ZNK10nNIMBDC10030tReserveParameterBandwidth139420___CPPKRLDynamicCastEPKPv=_b451b68fa204e492a9ef1a1b1be420dc */
extern int _b451b68fa204e492a9ef1a1b1be420dc;
nNIKAL100_mExportSymbol(_b451b68fa204e492a9ef1a1b1be420dc);
/* _ZN10nNIMBDC10030tReserveParameterBandwidth139420___CPPKRLDynamicCastEPKPv=_d16cf8d90a73212672ced2f8c86dcd13 */
extern int _d16cf8d90a73212672ced2f8c86dcd13;
nNIKAL100_mExportSymbol(_d16cf8d90a73212672ced2f8c86dcd13);
/* _ZN10nNIMBDC10030tReserveParameterBandwidth139413___CPPKRLCastEPS0_PKPv=_5fedcd07409268ee9b8b85a115c74f65 */
extern int _5fedcd07409268ee9b8b85a115c74f65;
nNIKAL100_mExportSymbol(_5fedcd07409268ee9b8b85a115c74f65);
/* _ZN10nNIMBDC10030tReserveParameterBandwidth139413___CPPKRLCastEPKS0_PKPv=_7e2e43dc4dcc2e613e260ad5d1a12a8e */
extern int _7e2e43dc4dcc2e613e260ad5d1a12a8e;
nNIKAL100_mExportSymbol(_7e2e43dc4dcc2e613e260ad5d1a12a8e);
/* _ZN10nNIMBDC10028tReserveParameterChannel139420___CPPKRLDynamicCastEPKPv=_56f886305bc7928923bb444522ec4805 */
extern int _56f886305bc7928923bb444522ec4805;
nNIKAL100_mExportSymbol(_56f886305bc7928923bb444522ec4805);
/* _ZNK10nNIMBDC10028tReserveParameterChannel139420___CPPKRLDynamicCastEPKPv=_a219c7a0b430b7f9aaab1d31939b4f38 */
extern int _a219c7a0b430b7f9aaab1d31939b4f38;
nNIKAL100_mExportSymbol(_a219c7a0b430b7f9aaab1d31939b4f38);
/* _ZN10nNIMBDC10028tReserveParameterChannel139413___CPPKRLCastEPS0_PKPv=_400d74db94103dfc944972185b733695 */
extern int _400d74db94103dfc944972185b733695;
nNIKAL100_mExportSymbol(_400d74db94103dfc944972185b733695);
/* _ZN10nNIMBDC10028tReserveParameterChannel139413___CPPKRLCastEPKS0_PKPv=_249a44b9f9519239de86008922c1aff2 */
extern int _249a44b9f9519239de86008922c1aff2;
nNIKAL100_mExportSymbol(_249a44b9f9519239de86008922c1aff2);
/* _ZNK10nNIMBDC10030tReserveParameterResources139420___CPPKRLDynamicCastEPKPv=_a2163717e85595cb893bbddb2fc2ea90 */
extern int _a2163717e85595cb893bbddb2fc2ea90;
nNIKAL100_mExportSymbol(_a2163717e85595cb893bbddb2fc2ea90);
/* _ZN10nNIMBDC10030tReserveParameterResources139420___CPPKRLDynamicCastEPKPv=_33e953c04132a4677049f4a75dec572a */
extern int _33e953c04132a4677049f4a75dec572a;
nNIKAL100_mExportSymbol(_33e953c04132a4677049f4a75dec572a);
/* _ZN10nNIMBDC10030tReserveParameterResources139413___CPPKRLCastEPS0_PKPv=_c71c9d41a02a935cb87cfc7b3dfd297e */
extern int _c71c9d41a02a935cb87cfc7b3dfd297e;
nNIKAL100_mExportSymbol(_c71c9d41a02a935cb87cfc7b3dfd297e);
/* _ZN10nNIMBDC10030tReserveParameterResources139413___CPPKRLCastEPKS0_PKPv=_3e524e461a098ec6def98a2488c37d8e */
extern int _3e524e461a098ec6def98a2488c37d8e;
nNIKAL100_mExportSymbol(_3e524e461a098ec6def98a2488c37d8e);
/* _ZN10nNIMBDC10033tRelinquishParameterBandwidth139420___CPPKRLDynamicCastEPKPv=_884f7009907bfcc115f209efa19348ea */
extern int _884f7009907bfcc115f209efa19348ea;
nNIKAL100_mExportSymbol(_884f7009907bfcc115f209efa19348ea);
/* _ZNK10nNIMBDC10033tRelinquishParameterBandwidth139420___CPPKRLDynamicCastEPKPv=_78d6219b61203c4995c4ac4f439b7610 */
extern int _78d6219b61203c4995c4ac4f439b7610;
nNIKAL100_mExportSymbol(_78d6219b61203c4995c4ac4f439b7610);
/* _ZN10nNIMBDC10033tRelinquishParameterBandwidth139413___CPPKRLCastEPS0_PKPv=_41c8d0a138ef42e4102dc61bce3bdcf1 */
extern int _41c8d0a138ef42e4102dc61bce3bdcf1;
nNIKAL100_mExportSymbol(_41c8d0a138ef42e4102dc61bce3bdcf1);
/* _ZN10nNIMBDC10033tRelinquishParameterBandwidth139413___CPPKRLCastEPKS0_PKPv=_4cbc66c55f30315f417b541ebdf188bb */
extern int _4cbc66c55f30315f417b541ebdf188bb;
nNIKAL100_mExportSymbol(_4cbc66c55f30315f417b541ebdf188bb);
/* _ZNK10nNIMBDC10031tRelinquishParameterChannel139420___CPPKRLDynamicCastEPKPv=_7dd516abe9329a7c63217461dbee981a */
extern int _7dd516abe9329a7c63217461dbee981a;
nNIKAL100_mExportSymbol(_7dd516abe9329a7c63217461dbee981a);
/* _ZN10nNIMBDC10031tRelinquishParameterChannel139420___CPPKRLDynamicCastEPKPv=_6f38048fa38b325b35848833b590c192 */
extern int _6f38048fa38b325b35848833b590c192;
nNIKAL100_mExportSymbol(_6f38048fa38b325b35848833b590c192);
/* _ZN10nNIMBDC10031tRelinquishParameterChannel139413___CPPKRLCastEPS0_PKPv=_de4b8b318a09cba912edfc6903881b88 */
extern int _de4b8b318a09cba912edfc6903881b88;
nNIKAL100_mExportSymbol(_de4b8b318a09cba912edfc6903881b88);
/* _ZN10nNIMBDC10031tRelinquishParameterChannel139413___CPPKRLCastEPKS0_PKPv=_14311c4bca86f82cdaa8ffe8f853042b */
extern int _14311c4bca86f82cdaa8ffe8f853042b;
nNIKAL100_mExportSymbol(_14311c4bca86f82cdaa8ffe8f853042b);
/* _ZNK10nNIMBDC10033tRelinquishParameterResources139420___CPPKRLDynamicCastEPKPv=_29feba41dacc9580ee355145a7e0877e */
extern int _29feba41dacc9580ee355145a7e0877e;
nNIKAL100_mExportSymbol(_29feba41dacc9580ee355145a7e0877e);
/* _ZN10nNIMBDC10033tRelinquishParameterResources139420___CPPKRLDynamicCastEPKPv=_237cd57ea55a9aceb215b8a93ab2e207 */
extern int _237cd57ea55a9aceb215b8a93ab2e207;
nNIKAL100_mExportSymbol(_237cd57ea55a9aceb215b8a93ab2e207);
/* _ZN10nNIMBDC10033tRelinquishParameterResources139413___CPPKRLCastEPS0_PKPv=_3af423e4a015048cac16fbace2735940 */
extern int _3af423e4a015048cac16fbace2735940;
nNIKAL100_mExportSymbol(_3af423e4a015048cac16fbace2735940);
/* _ZN10nNIMBDC10033tRelinquishParameterResources139413___CPPKRLCastEPKS0_PKPv=_140b73970059f621a315560e2f4dd964 */
extern int _140b73970059f621a315560e2f4dd964;
nNIKAL100_mExportSymbol(_140b73970059f621a315560e2f4dd964);
extern int _ZN10nNIMBDC10021t1394DeviceDescriptorD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10021t1394DeviceDescriptorD1Ev);
extern int _ZN10nNIMBDC10021t1394DeviceDescriptorD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10021t1394DeviceDescriptorD2Ev);
extern int _ZN10nNIMBDC10021t1394DeviceDescriptorD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10021t1394DeviceDescriptorD0Ev);
/* _ZNK10nNIMBDC10021t1394DeviceDescriptor20___CPPKRLDynamicCastEPKPv=_93594eb022bda416f11ee57e1d644241 */
extern int _93594eb022bda416f11ee57e1d644241;
nNIKAL100_mExportSymbol(_93594eb022bda416f11ee57e1d644241);
/* _ZN10nNIMBDC10021t1394DeviceDescriptor20___CPPKRLDynamicCastEPKPv=_ae6b84c4bf049ab77b3e637d82177d62 */
extern int _ae6b84c4bf049ab77b3e637d82177d62;
nNIKAL100_mExportSymbol(_ae6b84c4bf049ab77b3e637d82177d62);
/* _ZN10nNIMBDC10021t1394DeviceDescriptor13___CPPKRLCastEPS0_PKPv=_e40d1c2385e6fedcc141bc47f0c19e47 */
extern int _e40d1c2385e6fedcc141bc47f0c19e47;
nNIKAL100_mExportSymbol(_e40d1c2385e6fedcc141bc47f0c19e47);
/* _ZN10nNIMBDC10021t1394DeviceDescriptor13___CPPKRLCastEPKS0_PKPv=_18ffd8fb62134fd1fbad4f1e5219192b */
extern int _18ffd8fb62134fd1fbad4f1e5219192b;
nNIKAL100_mExportSymbol(_18ffd8fb62134fd1fbad4f1e5219192b);
extern int _ZN10nNIMBDC10021t1394DeviceDescriptor11getGUIDHostEv;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10021t1394DeviceDescriptor11getGUIDHostEv);
extern int _ZN10nNIMBDC10021t1394DeviceDescriptor11setGUIDHostERKm;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10021t1394DeviceDescriptor11setGUIDHostERKm);
extern int _ZN10nNIMBDC10021t1394DeviceDescriptorC1Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10021t1394DeviceDescriptorC1Ev);
extern int _ZN10nNIMBDC10021t1394DeviceDescriptorC2Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10021t1394DeviceDescriptorC2Ev);
/* _ZNK10nNIMBDC10025tUSBDeviceDescriptorProxy3getENS_20tUSBDeviceAttributesERi=_159f386a147624d619583b7f121ad3d2 */
extern int _159f386a147624d619583b7f121ad3d2;
nNIKAL100_mExportSymbol(_159f386a147624d619583b7f121ad3d2);
/* _ZN10nNIMBDC10025tUSBDeviceDescriptorProxy22setActiveConfigurationEjRi=_58b6a5aec492d3597fe38ab69e0564bc */
extern int _58b6a5aec492d3597fe38ab69e0564bc;
nNIKAL100_mExportSymbol(_58b6a5aec492d3597fe38ab69e0564bc);
/* _ZNK10nNIMBDC10025tUSBDeviceDescriptorProxy37populateActiveConfigurationDescriptorERNS_27iUSBConfigurationDescriptorERi=_705c16b380808272757c711db5cdfb45 */
extern int _705c16b380808272757c711db5cdfb45;
nNIKAL100_mExportSymbol(_705c16b380808272757c711db5cdfb45);
/* _ZNK10nNIMBDC10025tUSBDeviceDescriptorProxy31populateConfigurationDescriptorEjRNS_27iUSBConfigurationDescriptorERi=_0867d015b20131a6b4c3206427a1a173 */
extern int _0867d015b20131a6b4c3206427a1a173;
nNIKAL100_mExportSymbol(_0867d015b20131a6b4c3206427a1a173);
/* _ZNK10nNIMBDC10025tUSBDeviceDescriptorProxy24populateStringDescriptorEjjRNS_20iUSBStringDescriptorERi=_36560299cb84888a56be1d0f979fd5bd */
extern int _36560299cb84888a56be1d0f979fd5bd;
nNIKAL100_mExportSymbol(_36560299cb84888a56be1d0f979fd5bd);
/* _ZN10nNIMBDC10025tUSBDeviceDescriptorProxy19submitConfigurationEPNS_30iConfigurationCompleteObserverERi=_809c5630e5e6a12728414e607d09955e */
extern int _809c5630e5e6a12728414e607d09955e;
nNIKAL100_mExportSymbol(_809c5630e5e6a12728414e607d09955e);
extern int _ZN10nNIMBDC10025tUSBDeviceDescriptorProxyD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10025tUSBDeviceDescriptorProxyD1Ev);
extern int _ZN10nNIMBDC10025tUSBDeviceDescriptorProxyD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10025tUSBDeviceDescriptorProxyD2Ev);
extern int _ZN10nNIMBDC10025tUSBDeviceDescriptorProxyD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10025tUSBDeviceDescriptorProxyD0Ev);
/* _ZN10nNIMBDC10025tUSBDeviceDescriptorProxy20___CPPKRLDynamicCastEPKPv=_a508238343fcd6d8eb6244e99c1aaf6d */
extern int _a508238343fcd6d8eb6244e99c1aaf6d;
nNIKAL100_mExportSymbol(_a508238343fcd6d8eb6244e99c1aaf6d);
/* _ZNK10nNIMBDC10025tUSBDeviceDescriptorProxy20___CPPKRLDynamicCastEPKPv=_34ea3d14efdb244e6cf3803f54123482 */
extern int _34ea3d14efdb244e6cf3803f54123482;
nNIKAL100_mExportSymbol(_34ea3d14efdb244e6cf3803f54123482);
/* _ZN10nNIMBDC10025tUSBDeviceDescriptorProxy13___CPPKRLCastEPS0_PKPv=_ed283a8c7ef080f00618f547ca14d057 */
extern int _ed283a8c7ef080f00618f547ca14d057;
nNIKAL100_mExportSymbol(_ed283a8c7ef080f00618f547ca14d057);
/* _ZN10nNIMBDC10025tUSBDeviceDescriptorProxy13___CPPKRLCastEPKS0_PKPv=_c1f1845545c3fd51f6f8ca17498ffca4 */
extern int _c1f1845545c3fd51f6f8ca17498ffca4;
nNIKAL100_mExportSymbol(_c1f1845545c3fd51f6f8ca17498ffca4);
/* _ZN10nNIMBDC10025tUSBDeviceDescriptorProxy13setDescriptorEPNS_20iUSBDeviceDescriptorERi=_f48210b69d931f8bda1bafb10fe48b2e */
extern int _f48210b69d931f8bda1bafb10fe48b2e;
nNIKAL100_mExportSymbol(_f48210b69d931f8bda1bafb10fe48b2e);
extern int _ZN10nNIMBDC10025tUSBDeviceDescriptorProxyC2Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10025tUSBDeviceDescriptorProxyC2Ev);
extern int _ZN10nNIMBDC10025tUSBDeviceDescriptorProxyC1Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10025tUSBDeviceDescriptorProxyC1Ev);
extern int _ZN10nNIMBDC10025tUSBDeviceDescriptorProxyC2ERKS0_;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10025tUSBDeviceDescriptorProxyC2ERKS0_);
extern int _ZN10nNIMBDC10025tUSBDeviceDescriptorProxyC1ERKS0_;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10025tUSBDeviceDescriptorProxyC1ERKS0_);
/* _ZNK10nNIMBDC10032tUSBConfigurationDescriptorProxy3getENS_27tUSBConfigurationAttributesERi=_33584082d1a5676d7edafb800f10ed31 */
extern int _33584082d1a5676d7edafb800f10ed31;
nNIKAL100_mExportSymbol(_33584082d1a5676d7edafb800f10ed31);
/* _ZN10nNIMBDC10032tUSBConfigurationDescriptorProxy25setActiveInterfaceSettingEjjRi=_32bed8afd82bc8778003e9c8c1d8f573 */
extern int _32bed8afd82bc8778003e9c8c1d8f573;
nNIKAL100_mExportSymbol(_32bed8afd82bc8778003e9c8c1d8f573);
/* _ZNK10nNIMBDC10032tUSBConfigurationDescriptorProxy27populateInterfaceDescriptorEjjRNS_23iUSBInterfaceDescriptorERi=_d8917769bb59c1c2e473977ccbc6e095 */
extern int _d8917769bb59c1c2e473977ccbc6e095;
nNIKAL100_mExportSymbol(_d8917769bb59c1c2e473977ccbc6e095);
/* _ZNK10nNIMBDC10032tUSBConfigurationDescriptorProxy33populateActiveInterfaceDescriptorEjRNS_23iUSBInterfaceDescriptorERi=_134accad373704863bacc88326f0093a */
extern int _134accad373704863bacc88326f0093a;
nNIKAL100_mExportSymbol(_134accad373704863bacc88326f0093a);
/* _ZNK10nNIMBDC10032tUSBConfigurationDescriptorProxy24populateStringDescriptorEjjRNS_20iUSBStringDescriptorERi=_43efde662959ea71e85feb3930a7d850 */
extern int _43efde662959ea71e85feb3930a7d850;
nNIKAL100_mExportSymbol(_43efde662959ea71e85feb3930a7d850);
/* _ZNK10nNIMBDC10032tUSBConfigurationDescriptorProxy21getInterfaceAddressesERN4_STL6vectorIjNS1_13tPALAllocatorIjL19tMemAllocationFlags4EEEEERi=_2e3ea87fe8ac02fa9ac1e472bc41da3c */
extern int _2e3ea87fe8ac02fa9ac1e472bc41da3c;
nNIKAL100_mExportSymbol(_2e3ea87fe8ac02fa9ac1e472bc41da3c);
/* _ZNK10nNIMBDC10032tUSBConfigurationDescriptorProxy20___CPPKRLDynamicCastEPKPv=_a5f77e7993bc810781d08c92b35ee1f5 */
extern int _a5f77e7993bc810781d08c92b35ee1f5;
nNIKAL100_mExportSymbol(_a5f77e7993bc810781d08c92b35ee1f5);
/* _ZN10nNIMBDC10032tUSBConfigurationDescriptorProxy20___CPPKRLDynamicCastEPKPv=_69b0d57b2bafcda6cbf133d5f8fd9f23 */
extern int _69b0d57b2bafcda6cbf133d5f8fd9f23;
nNIKAL100_mExportSymbol(_69b0d57b2bafcda6cbf133d5f8fd9f23);
extern int _ZN10nNIMBDC10032tUSBConfigurationDescriptorProxyD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10032tUSBConfigurationDescriptorProxyD1Ev);
extern int _ZN10nNIMBDC10032tUSBConfigurationDescriptorProxyD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10032tUSBConfigurationDescriptorProxyD2Ev);
extern int _ZN10nNIMBDC10032tUSBConfigurationDescriptorProxyD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10032tUSBConfigurationDescriptorProxyD0Ev);
/* _ZNK10nNIMBDC10032tUSBConfigurationDescriptorProxy24getAlternateSettingCountEjRi=_f50db0fecb7019b86dc29c6ce59e3fc2 */
extern int _f50db0fecb7019b86dc29c6ce59e3fc2;
nNIKAL100_mExportSymbol(_f50db0fecb7019b86dc29c6ce59e3fc2);
/* _ZN10nNIMBDC10032tUSBConfigurationDescriptorProxy13___CPPKRLCastEPS0_PKPv=_185d92a4d0b408d32344070a7aadc255 */
extern int _185d92a4d0b408d32344070a7aadc255;
nNIKAL100_mExportSymbol(_185d92a4d0b408d32344070a7aadc255);
/* _ZN10nNIMBDC10032tUSBConfigurationDescriptorProxy13___CPPKRLCastEPKS0_PKPv=_7d4ae534261abdc83310d8b422579d40 */
extern int _7d4ae534261abdc83310d8b422579d40;
nNIKAL100_mExportSymbol(_7d4ae534261abdc83310d8b422579d40);
/* _ZN10nNIMBDC10032tUSBConfigurationDescriptorProxy13setDescriptorEPNS_27iUSBConfigurationDescriptorERi=_0641c60f98efa9e4352e58502fc9a8da */
extern int _0641c60f98efa9e4352e58502fc9a8da;
nNIKAL100_mExportSymbol(_0641c60f98efa9e4352e58502fc9a8da);
extern int _ZN10nNIMBDC10032tUSBConfigurationDescriptorProxyC2Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10032tUSBConfigurationDescriptorProxyC2Ev);
extern int _ZN10nNIMBDC10032tUSBConfigurationDescriptorProxyC1Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10032tUSBConfigurationDescriptorProxyC1Ev);
/* _ZN10nNIMBDC10032tUSBConfigurationDescriptorProxyC1ERKS0_=_57b2509182031ada31261be44b445a8b */
extern int _57b2509182031ada31261be44b445a8b;
nNIKAL100_mExportSymbol(_57b2509182031ada31261be44b445a8b);
/* _ZN10nNIMBDC10032tUSBConfigurationDescriptorProxyC2ERKS0_=_04e264c111a5945254d751ca3c8802ba */
extern int _04e264c111a5945254d751ca3c8802ba;
nNIKAL100_mExportSymbol(_04e264c111a5945254d751ca3c8802ba);
/* _ZNK10nNIMBDC10028tUSBInterfaceDescriptorProxy3getENS_23tUSBInterfaceAttributesERi=_b0b660c3d025172cef55237b9272852e */
extern int _b0b660c3d025172cef55237b9272852e;
nNIKAL100_mExportSymbol(_b0b660c3d025172cef55237b9272852e);
/* _ZNK10nNIMBDC10028tUSBInterfaceDescriptorProxy26populateEndpointDescriptorEjRNS_22iUSBEndpointDescriptorERi=_695049fd7cba60806f5fab41bbf53d8a */
extern int _695049fd7cba60806f5fab41bbf53d8a;
nNIKAL100_mExportSymbol(_695049fd7cba60806f5fab41bbf53d8a);
/* _ZNK10nNIMBDC10028tUSBInterfaceDescriptorProxy25populateEndpointAddressesERN4_STL6vectorIjNS1_13tPALAllocatorIjL19tMemAllocationFlags4EEEEERi=_5f6cf05f9561ba3b725a793734073792 */
extern int _5f6cf05f9561ba3b725a793734073792;
nNIKAL100_mExportSymbol(_5f6cf05f9561ba3b725a793734073792);
/* _ZNK10nNIMBDC10028tUSBInterfaceDescriptorProxy24populateStringDescriptorEjjRNS_20iUSBStringDescriptorERi=_9724fbee91663582235abea5be0e1202 */
extern int _9724fbee91663582235abea5be0e1202;
nNIKAL100_mExportSymbol(_9724fbee91663582235abea5be0e1202);
extern int _ZN10nNIMBDC10028tUSBInterfaceDescriptorProxyD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10028tUSBInterfaceDescriptorProxyD1Ev);
extern int _ZN10nNIMBDC10028tUSBInterfaceDescriptorProxyD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10028tUSBInterfaceDescriptorProxyD2Ev);
extern int _ZN10nNIMBDC10028tUSBInterfaceDescriptorProxyD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10028tUSBInterfaceDescriptorProxyD0Ev);
/* _ZN10nNIMBDC10028tUSBInterfaceDescriptorProxy20___CPPKRLDynamicCastEPKPv=_699003da76e12228b284d22c6b1459ca */
extern int _699003da76e12228b284d22c6b1459ca;
nNIKAL100_mExportSymbol(_699003da76e12228b284d22c6b1459ca);
/* _ZNK10nNIMBDC10028tUSBInterfaceDescriptorProxy20___CPPKRLDynamicCastEPKPv=_80d854654eb172dea20be7515717077f */
extern int _80d854654eb172dea20be7515717077f;
nNIKAL100_mExportSymbol(_80d854654eb172dea20be7515717077f);
/* _ZN10nNIMBDC10028tUSBInterfaceDescriptorProxy13___CPPKRLCastEPS0_PKPv=_8190b16c7493532767648990aa440bc9 */
extern int _8190b16c7493532767648990aa440bc9;
nNIKAL100_mExportSymbol(_8190b16c7493532767648990aa440bc9);
/* _ZN10nNIMBDC10028tUSBInterfaceDescriptorProxy13___CPPKRLCastEPKS0_PKPv=_a82ed03973c6a63b779d837e4419ad45 */
extern int _a82ed03973c6a63b779d837e4419ad45;
nNIKAL100_mExportSymbol(_a82ed03973c6a63b779d837e4419ad45);
/* _ZN10nNIMBDC10028tUSBInterfaceDescriptorProxy13setDescriptorEPNS_23iUSBInterfaceDescriptorERi=_969f3d398e5e8b6238847563d8e9abc6 */
extern int _969f3d398e5e8b6238847563d8e9abc6;
nNIKAL100_mExportSymbol(_969f3d398e5e8b6238847563d8e9abc6);
extern int _ZN10nNIMBDC10028tUSBInterfaceDescriptorProxyC1Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10028tUSBInterfaceDescriptorProxyC1Ev);
extern int _ZN10nNIMBDC10028tUSBInterfaceDescriptorProxyC2Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10028tUSBInterfaceDescriptorProxyC2Ev);
extern int _ZN10nNIMBDC10028tUSBInterfaceDescriptorProxyC2ERKS0_;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10028tUSBInterfaceDescriptorProxyC2ERKS0_);
extern int _ZN10nNIMBDC10028tUSBInterfaceDescriptorProxyC1ERKS0_;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10028tUSBInterfaceDescriptorProxyC1ERKS0_);
/* _ZNK10nNIMBDC10027tUSBEndpointDescriptorProxy3getENS_22tUSBEndpointAttributesERi=_c3ffe4d88cf71c56138a774dc1838f04 */
extern int _c3ffe4d88cf71c56138a774dc1838f04;
nNIKAL100_mExportSymbol(_c3ffe4d88cf71c56138a774dc1838f04);
/* _ZNK10nNIMBDC10027tUSBEndpointDescriptorProxy7getTypeERi=_1ce01c517c2e33114ca8a92d0d544862 */
extern int _1ce01c517c2e33114ca8a92d0d544862;
nNIKAL100_mExportSymbol(_1ce01c517c2e33114ca8a92d0d544862);
extern int _ZN10nNIMBDC10027tUSBEndpointDescriptorProxyD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10027tUSBEndpointDescriptorProxyD2Ev);
extern int _ZN10nNIMBDC10027tUSBEndpointDescriptorProxyD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10027tUSBEndpointDescriptorProxyD1Ev);
extern int _ZN10nNIMBDC10027tUSBEndpointDescriptorProxyD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10027tUSBEndpointDescriptorProxyD0Ev);
/* _ZNK10nNIMBDC10027tUSBEndpointDescriptorProxy20___CPPKRLDynamicCastEPKPv=_b4eff110586891a7772ee033c0a325ee */
extern int _b4eff110586891a7772ee033c0a325ee;
nNIKAL100_mExportSymbol(_b4eff110586891a7772ee033c0a325ee);
/* _ZN10nNIMBDC10027tUSBEndpointDescriptorProxy20___CPPKRLDynamicCastEPKPv=_246973496a97cac1bf57779bf9eb13b6 */
extern int _246973496a97cac1bf57779bf9eb13b6;
nNIKAL100_mExportSymbol(_246973496a97cac1bf57779bf9eb13b6);
/* _ZN10nNIMBDC10027tUSBEndpointDescriptorProxy13___CPPKRLCastEPS0_PKPv=_76bd9680abdde49c9634bf4d616dcf93 */
extern int _76bd9680abdde49c9634bf4d616dcf93;
nNIKAL100_mExportSymbol(_76bd9680abdde49c9634bf4d616dcf93);
/* _ZN10nNIMBDC10027tUSBEndpointDescriptorProxy13___CPPKRLCastEPKS0_PKPv=_534cf621d24ecf82923d09e2bd9c0d2f */
extern int _534cf621d24ecf82923d09e2bd9c0d2f;
nNIKAL100_mExportSymbol(_534cf621d24ecf82923d09e2bd9c0d2f);
/* _ZN10nNIMBDC10027tUSBEndpointDescriptorProxy13setDescriptorEPNS_22iUSBEndpointDescriptorERi=_5306e636a925a59e290ec38f13e94b55 */
extern int _5306e636a925a59e290ec38f13e94b55;
nNIKAL100_mExportSymbol(_5306e636a925a59e290ec38f13e94b55);
extern int _ZN10nNIMBDC10027tUSBEndpointDescriptorProxyC2Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10027tUSBEndpointDescriptorProxyC2Ev);
extern int _ZN10nNIMBDC10027tUSBEndpointDescriptorProxyC1Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10027tUSBEndpointDescriptorProxyC1Ev);
extern int _ZN10nNIMBDC10027tUSBEndpointDescriptorProxyC2ERKS0_;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10027tUSBEndpointDescriptorProxyC2ERKS0_);
extern int _ZN10nNIMBDC10027tUSBEndpointDescriptorProxyC1ERKS0_;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10027tUSBEndpointDescriptorProxyC1ERKS0_);
extern int _ZNK10nNIMBDC10025tUSBStringDescriptorProxy8getIndexERi;
nNIKAL100_mExportSymbol(_ZNK10nNIMBDC10025tUSBStringDescriptorProxy8getIndexERi);
/* _ZNK10nNIMBDC10025tUSBStringDescriptorProxy13getLanguageIDERi=_91f209539ba0a1af7e1d2b7939cfb5c7 */
extern int _91f209539ba0a1af7e1d2b7939cfb5c7;
nNIKAL100_mExportSymbol(_91f209539ba0a1af7e1d2b7939cfb5c7);
/* _ZNK10nNIMBDC10025tUSBStringDescriptorProxy14getSizeInBytesERi=_74d5b3c3d5741ee12189f9b4b33baa12 */
extern int _74d5b3c3d5741ee12189f9b4b33baa12;
nNIKAL100_mExportSymbol(_74d5b3c3d5741ee12189f9b4b33baa12);
extern int _ZNK10nNIMBDC10025tUSBStringDescriptorProxy7getTextERi;
nNIKAL100_mExportSymbol(_ZNK10nNIMBDC10025tUSBStringDescriptorProxy7getTextERi);
extern int _ZN10nNIMBDC10025tUSBStringDescriptorProxyD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10025tUSBStringDescriptorProxyD2Ev);
extern int _ZN10nNIMBDC10025tUSBStringDescriptorProxyD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10025tUSBStringDescriptorProxyD1Ev);
extern int _ZN10nNIMBDC10025tUSBStringDescriptorProxyD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10025tUSBStringDescriptorProxyD0Ev);
/* _ZN10nNIMBDC10025tUSBStringDescriptorProxy20___CPPKRLDynamicCastEPKPv=_25e2e4d02be792fc33c74a746f1ff22c */
extern int _25e2e4d02be792fc33c74a746f1ff22c;
nNIKAL100_mExportSymbol(_25e2e4d02be792fc33c74a746f1ff22c);
/* _ZNK10nNIMBDC10025tUSBStringDescriptorProxy20___CPPKRLDynamicCastEPKPv=_0bfe0610fdb19e61c4606e15d288473f */
extern int _0bfe0610fdb19e61c4606e15d288473f;
nNIKAL100_mExportSymbol(_0bfe0610fdb19e61c4606e15d288473f);
/* _ZN10nNIMBDC10025tUSBStringDescriptorProxy13___CPPKRLCastEPS0_PKPv=_70ab32ccb92f83b8f0da9ccce5364e06 */
extern int _70ab32ccb92f83b8f0da9ccce5364e06;
nNIKAL100_mExportSymbol(_70ab32ccb92f83b8f0da9ccce5364e06);
/* _ZN10nNIMBDC10025tUSBStringDescriptorProxy13___CPPKRLCastEPKS0_PKPv=_2b3cb38802892ae7cf486874342114eb */
extern int _2b3cb38802892ae7cf486874342114eb;
nNIKAL100_mExportSymbol(_2b3cb38802892ae7cf486874342114eb);
/* _ZN10nNIMBDC10025tUSBStringDescriptorProxy13setDescriptorEPNS_20iUSBStringDescriptorERi=_6feca9405115dd385d8ca7de4d03e1af */
extern int _6feca9405115dd385d8ca7de4d03e1af;
nNIKAL100_mExportSymbol(_6feca9405115dd385d8ca7de4d03e1af);
extern int _ZN10nNIMBDC10025tUSBStringDescriptorProxyC2Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10025tUSBStringDescriptorProxyC2Ev);
extern int _ZN10nNIMBDC10025tUSBStringDescriptorProxyC1Ev;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10025tUSBStringDescriptorProxyC1Ev);
extern int _ZN10nNIMBDC10025tUSBStringDescriptorProxyC1ERKS0_;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10025tUSBStringDescriptorProxyC1ERKS0_);
extern int _ZN10nNIMBDC10025tUSBStringDescriptorProxyC2ERKS0_;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10025tUSBStringDescriptorProxyC2ERKS0_);
/* _ZNK10nNIMBDC10035tAsynchronousStreamParameterIPv4UDP20___CPPKRLDynamicCastEPKPv=_2cd997294c0b10d5f3eefc3a2cfb0dd5 */
extern int _2cd997294c0b10d5f3eefc3a2cfb0dd5;
nNIKAL100_mExportSymbol(_2cd997294c0b10d5f3eefc3a2cfb0dd5);
/* _ZN10nNIMBDC10035tAsynchronousStreamParameterIPv4UDP20___CPPKRLDynamicCastEPKPv=_6298805613fa0e51e156ea7b202074a6 */
extern int _6298805613fa0e51e156ea7b202074a6;
nNIKAL100_mExportSymbol(_6298805613fa0e51e156ea7b202074a6);
/* _ZN10nNIMBDC10035tAsynchronousStreamParameterIPv4UDP13___CPPKRLCastEPS0_PKPv=_cb7ea65942eb7aafaa70dc29e22f11e8 */
extern int _cb7ea65942eb7aafaa70dc29e22f11e8;
nNIKAL100_mExportSymbol(_cb7ea65942eb7aafaa70dc29e22f11e8);
/* _ZN10nNIMBDC10035tAsynchronousStreamParameterIPv4UDP13___CPPKRLCastEPKS0_PKPv=_d245374e3df746e4d873008951c9c80b */
extern int _d245374e3df746e4d873008951c9c80b;
nNIKAL100_mExportSymbol(_d245374e3df746e4d873008951c9c80b);
/* _ZN10nNIMBDC10044tAsynchronousStreamParameterIPv4UDPMulticast20___CPPKRLDynamicCastEPKPv=_4db72f55165c9fae2403324c8f5652ab */
extern int _4db72f55165c9fae2403324c8f5652ab;
nNIKAL100_mExportSymbol(_4db72f55165c9fae2403324c8f5652ab);
/* _ZNK10nNIMBDC10044tAsynchronousStreamParameterIPv4UDPMulticast20___CPPKRLDynamicCastEPKPv=_48af573a56be85a10e00cffbef8c0178 */
extern int _48af573a56be85a10e00cffbef8c0178;
nNIKAL100_mExportSymbol(_48af573a56be85a10e00cffbef8c0178);
/* _ZN10nNIMBDC10044tAsynchronousStreamParameterIPv4UDPMulticast13___CPPKRLCastEPS0_PKPv=_4c247501a3b8c2bd7a2c390c6e44d7d9 */
extern int _4c247501a3b8c2bd7a2c390c6e44d7d9;
nNIKAL100_mExportSymbol(_4c247501a3b8c2bd7a2c390c6e44d7d9);
/* _ZN10nNIMBDC10044tAsynchronousStreamParameterIPv4UDPMulticast13___CPPKRLCastEPKS0_PKPv=_51f1b9efa4b2225a911cd4f67d8b10a8 */
extern int _51f1b9efa4b2225a911cd4f67d8b10a8;
nNIKAL100_mExportSymbol(_51f1b9efa4b2225a911cd4f67d8b10a8);
/* _ZN10nNIMBDC10032tTransferParameterIPv4UDPReceive20___CPPKRLDynamicCastEPKPv=_b47bab7fcc95da15920766eb3a22eeb8 */
extern int _b47bab7fcc95da15920766eb3a22eeb8;
nNIKAL100_mExportSymbol(_b47bab7fcc95da15920766eb3a22eeb8);
/* _ZNK10nNIMBDC10032tTransferParameterIPv4UDPReceive20___CPPKRLDynamicCastEPKPv=_a3d98a20e1899cda25b4075d82804d89 */
extern int _a3d98a20e1899cda25b4075d82804d89;
nNIKAL100_mExportSymbol(_a3d98a20e1899cda25b4075d82804d89);
/* _ZN10nNIMBDC10032tTransferParameterIPv4UDPReceive13___CPPKRLCastEPS0_PKPv=_e4111d1f7627994ed8035c9832267406 */
extern int _e4111d1f7627994ed8035c9832267406;
nNIKAL100_mExportSymbol(_e4111d1f7627994ed8035c9832267406);
/* _ZN10nNIMBDC10032tTransferParameterIPv4UDPReceive13___CPPKRLCastEPKS0_PKPv=_1593f8eb8b6a77009a2bd046f292bfea */
extern int _1593f8eb8b6a77009a2bd046f292bfea;
nNIKAL100_mExportSymbol(_1593f8eb8b6a77009a2bd046f292bfea);
/* _ZNK10nNIMBDC10029tTransferParameterIPv4UDPSend20___CPPKRLDynamicCastEPKPv=_a5904df8391e5860d7868ff6f9419f4b */
extern int _a5904df8391e5860d7868ff6f9419f4b;
nNIKAL100_mExportSymbol(_a5904df8391e5860d7868ff6f9419f4b);
/* _ZN10nNIMBDC10029tTransferParameterIPv4UDPSend20___CPPKRLDynamicCastEPKPv=_bd36ccf2fad172ba7411a64a5dad10a3 */
extern int _bd36ccf2fad172ba7411a64a5dad10a3;
nNIKAL100_mExportSymbol(_bd36ccf2fad172ba7411a64a5dad10a3);
/* _ZN10nNIMBDC10029tTransferParameterIPv4UDPSend13___CPPKRLCastEPS0_PKPv=_14d1f7e5cd241ffccce38b8fc3e605e0 */
extern int _14d1f7e5cd241ffccce38b8fc3e605e0;
nNIKAL100_mExportSymbol(_14d1f7e5cd241ffccce38b8fc3e605e0);
/* _ZN10nNIMBDC10029tTransferParameterIPv4UDPSend13___CPPKRLCastEPKS0_PKPv=_29314063cc1fc20c2bf7d38058bf5439 */
extern int _29314063cc1fc20c2bf7d38058bf5439;
nNIKAL100_mExportSymbol(_29314063cc1fc20c2bf7d38058bf5439);
/* _ZN10nNIMBDC10037tTransferParameterIPv4UDPEventReceive20___CPPKRLDynamicCastEPKPv=_dc8fa0d91e4799d8b408f321c71886bc */
extern int _dc8fa0d91e4799d8b408f321c71886bc;
nNIKAL100_mExportSymbol(_dc8fa0d91e4799d8b408f321c71886bc);
/* _ZNK10nNIMBDC10037tTransferParameterIPv4UDPEventReceive20___CPPKRLDynamicCastEPKPv=_26fbc5b49b68bac2ab060c8abf0fb2f7 */
extern int _26fbc5b49b68bac2ab060c8abf0fb2f7;
nNIKAL100_mExportSymbol(_26fbc5b49b68bac2ab060c8abf0fb2f7);
/* _ZN10nNIMBDC10037tTransferParameterIPv4UDPEventReceive13___CPPKRLCastEPS0_PKPv=_d9ee0aa6f0631d0f0281bc70d96b21e5 */
extern int _d9ee0aa6f0631d0f0281bc70d96b21e5;
nNIKAL100_mExportSymbol(_d9ee0aa6f0631d0f0281bc70d96b21e5);
/* _ZN10nNIMBDC10037tTransferParameterIPv4UDPEventReceive13___CPPKRLCastEPKS0_PKPv=_ec2cd77870eed27a75c02b4f940eafe8 */
extern int _ec2cd77870eed27a75c02b4f940eafe8;
nNIKAL100_mExportSymbol(_ec2cd77870eed27a75c02b4f940eafe8);
/* _ZN10nNIMBDC10035tAsynchronousStreamParameterIPv4TCP20___CPPKRLDynamicCastEPKPv=_4a22ff33e5a6e4c97137db48241c0650 */
extern int _4a22ff33e5a6e4c97137db48241c0650;
nNIKAL100_mExportSymbol(_4a22ff33e5a6e4c97137db48241c0650);
/* _ZNK10nNIMBDC10035tAsynchronousStreamParameterIPv4TCP20___CPPKRLDynamicCastEPKPv=_f894b087b6d20ce65326399d20d6182e */
extern int _f894b087b6d20ce65326399d20d6182e;
nNIKAL100_mExportSymbol(_f894b087b6d20ce65326399d20d6182e);
/* _ZN10nNIMBDC10035tAsynchronousStreamParameterIPv4TCP13___CPPKRLCastEPS0_PKPv=_f6a60c0e439024610a6df1a40e4aa36a */
extern int _f6a60c0e439024610a6df1a40e4aa36a;
nNIKAL100_mExportSymbol(_f6a60c0e439024610a6df1a40e4aa36a);
/* _ZN10nNIMBDC10035tAsynchronousStreamParameterIPv4TCP13___CPPKRLCastEPKS0_PKPv=_0790b5f054eea18a879d4484728dd393 */
extern int _0790b5f054eea18a879d4484728dd393;
nNIKAL100_mExportSymbol(_0790b5f054eea18a879d4484728dd393);
/* _ZNK10nNIMBDC10032tTransferParameterIPv4TCPReceive20___CPPKRLDynamicCastEPKPv=_b5e256208b0503e903bcacb6f1a5b3a5 */
extern int _b5e256208b0503e903bcacb6f1a5b3a5;
nNIKAL100_mExportSymbol(_b5e256208b0503e903bcacb6f1a5b3a5);
/* _ZN10nNIMBDC10032tTransferParameterIPv4TCPReceive20___CPPKRLDynamicCastEPKPv=_715356716208b67b9e6817c3a78b9951 */
extern int _715356716208b67b9e6817c3a78b9951;
nNIKAL100_mExportSymbol(_715356716208b67b9e6817c3a78b9951);
/* _ZN10nNIMBDC10032tTransferParameterIPv4TCPReceive13___CPPKRLCastEPS0_PKPv=_528298bc13d1c4facd60daf1c590d842 */
extern int _528298bc13d1c4facd60daf1c590d842;
nNIKAL100_mExportSymbol(_528298bc13d1c4facd60daf1c590d842);
/* _ZN10nNIMBDC10032tTransferParameterIPv4TCPReceive13___CPPKRLCastEPKS0_PKPv=_c0f03199d3224f32474ccc8035b68bab */
extern int _c0f03199d3224f32474ccc8035b68bab;
nNIKAL100_mExportSymbol(_c0f03199d3224f32474ccc8035b68bab);
/* _ZNK10nNIMBDC10029tTransferParameterIPv4TCPSend20___CPPKRLDynamicCastEPKPv=_704c9675b2778314b37ff973c9410630 */
extern int _704c9675b2778314b37ff973c9410630;
nNIKAL100_mExportSymbol(_704c9675b2778314b37ff973c9410630);
/* _ZN10nNIMBDC10029tTransferParameterIPv4TCPSend20___CPPKRLDynamicCastEPKPv=_f87be72d77100d27fc7a74c5327a371b */
extern int _f87be72d77100d27fc7a74c5327a371b;
nNIKAL100_mExportSymbol(_f87be72d77100d27fc7a74c5327a371b);
/* _ZN10nNIMBDC10029tTransferParameterIPv4TCPSend13___CPPKRLCastEPS0_PKPv=_a88a52148b773822d2ecf12674c540b4 */
extern int _a88a52148b773822d2ecf12674c540b4;
nNIKAL100_mExportSymbol(_a88a52148b773822d2ecf12674c540b4);
/* _ZN10nNIMBDC10029tTransferParameterIPv4TCPSend13___CPPKRLCastEPKS0_PKPv=_81b3cfdd71ebd045c1b11b293e67c957 */
extern int _81b3cfdd71ebd045c1b11b293e67c957;
nNIKAL100_mExportSymbol(_81b3cfdd71ebd045c1b11b293e67c957);
extern int _ZN9nNIPAL17020setHeapCheckIntervalEjRi;
nNIKAL100_mExportSymbol(_ZN9nNIPAL17020setHeapCheckIntervalEjRi);
extern int _ZN9nNIPAL17020getHeapCheckIntervalERi;
nNIKAL100_mExportSymbol(_ZN9nNIPAL17020getHeapCheckIntervalERi);
extern int _ZN17tSGLNodeMITEShort16getDeviceAddressEPi;
nNIKAL100_mExportSymbol(_ZN17tSGLNodeMITEShort16getDeviceAddressEPi);
extern int _ZN17tSGLNodeMITEShort16setDeviceAddressEmPi;
nNIKAL100_mExportSymbol(_ZN17tSGLNodeMITEShort16setDeviceAddressEmPi);
extern int _ZN16tSGLNodeMITELongD1Ev;
nNIKAL100_mExportSymbol(_ZN16tSGLNodeMITELongD1Ev);
extern int _ZN16tSGLNodeMITELongD2Ev;
nNIKAL100_mExportSymbol(_ZN16tSGLNodeMITELongD2Ev);
extern int _ZN17tSGLNodeMITEShortD2Ev;
nNIKAL100_mExportSymbol(_ZN17tSGLNodeMITEShortD2Ev);
extern int _ZN17tSGLNodeMITEShortD1Ev;
nNIKAL100_mExportSymbol(_ZN17tSGLNodeMITEShortD1Ev);
extern int _ZN16tSGLNodeMITELongD0Ev;
nNIKAL100_mExportSymbol(_ZN16tSGLNodeMITELongD0Ev);
extern int _ZN17tSGLNodeMITEShortD0Ev;
nNIKAL100_mExportSymbol(_ZN17tSGLNodeMITEShortD0Ev);
extern int _ZN16tSGLNodeMITELong22getNodePhysicalAddressEPi;
nNIKAL100_mExportSymbol(_ZN16tSGLNodeMITELong22getNodePhysicalAddressEPi);
extern int _ZN17tSGLNodeMITEShort22getNodePhysicalAddressEPi;
nNIKAL100_mExportSymbol(_ZN17tSGLNodeMITEShort22getNodePhysicalAddressEPi);
extern int _ZN16tSGLNodeMITELong23setMemoryLogicalAddressEPvPi;
nNIKAL100_mExportSymbol(_ZN16tSGLNodeMITELong23setMemoryLogicalAddressEPvPi);
extern int _ZN17tSGLNodeMITEShort23setMemoryLogicalAddressEPvPi;
nNIKAL100_mExportSymbol(_ZN17tSGLNodeMITEShort23setMemoryLogicalAddressEPvPi);
extern int _ZN16tSGLNodeMITELong22setNodePhysicalAddressEmPi;
nNIKAL100_mExportSymbol(_ZN16tSGLNodeMITELong22setNodePhysicalAddressEmPi);
extern int _ZN16tSGLNodeMITELong26setNextNodePhysicalAddressEmPi;
nNIKAL100_mExportSymbol(_ZN16tSGLNodeMITELong26setNextNodePhysicalAddressEmPi);
extern int _ZN16tSGLNodeMITELong7setSizeEjPi;
nNIKAL100_mExportSymbol(_ZN16tSGLNodeMITELong7setSizeEjPi);
extern int _ZN17tSGLNodeMITEShort26getNextNodePhysicalAddressEPi;
nNIKAL100_mExportSymbol(_ZN17tSGLNodeMITEShort26getNextNodePhysicalAddressEPi);
extern int _ZN17tSGLNodeMITEShort26setNextNodePhysicalAddressEmPi;
nNIKAL100_mExportSymbol(_ZN17tSGLNodeMITEShort26setNextNodePhysicalAddressEmPi);
extern int _ZN16tSGLNodeMITELong23getMemoryLogicalAddressEPi;
nNIKAL100_mExportSymbol(_ZN16tSGLNodeMITELong23getMemoryLogicalAddressEPi);
extern int _ZN17tSGLNodeMITEShort23getMemoryLogicalAddressEPi;
nNIKAL100_mExportSymbol(_ZN17tSGLNodeMITEShort23getMemoryLogicalAddressEPi);
extern int _ZN16tSGLNodeMITELong16getDeviceAddressEPi;
nNIKAL100_mExportSymbol(_ZN16tSGLNodeMITELong16getDeviceAddressEPi);
extern int _ZN17tSGLNodeMITEShort24getMemoryPhysicalAddressEPi;
nNIKAL100_mExportSymbol(_ZN17tSGLNodeMITEShort24getMemoryPhysicalAddressEPi);
extern int _ZN16tSGLNodeMITELong24getMemoryPhysicalAddressEPi;
nNIKAL100_mExportSymbol(_ZN16tSGLNodeMITELong24getMemoryPhysicalAddressEPi);
extern int _ZN16tSGLNodeMITELong20getSelfConfigAddressEPi;
nNIKAL100_mExportSymbol(_ZN16tSGLNodeMITELong20getSelfConfigAddressEPi);
extern int _ZN16tSGLNodeMITELong7getSizeEPi;
nNIKAL100_mExportSymbol(_ZN16tSGLNodeMITELong7getSizeEPi);
extern int _ZN17tSGLNodeMITEShort20getSelfConfigAddressEPi;
nNIKAL100_mExportSymbol(_ZN17tSGLNodeMITEShort20getSelfConfigAddressEPi);
extern int _ZN17tSGLNodeMITEShort7getSizeEPi;
nNIKAL100_mExportSymbol(_ZN17tSGLNodeMITEShort7getSizeEPi);
extern int _ZN17tSGLNodeMITEShort22setNodePhysicalAddressEmPi;
nNIKAL100_mExportSymbol(_ZN17tSGLNodeMITEShort22setNodePhysicalAddressEmPi);
extern int _ZN16tSGLNodeMITELong24setMemoryPhysicalAddressEmPi;
nNIKAL100_mExportSymbol(_ZN16tSGLNodeMITELong24setMemoryPhysicalAddressEmPi);
extern int _ZN16tSGLNodeMITELong16isSelfConfigNodeEPi;
nNIKAL100_mExportSymbol(_ZN16tSGLNodeMITELong16isSelfConfigNodeEPi);
extern int _ZN16tSGLNodeMITELong16setDeviceAddressEmPi;
nNIKAL100_mExportSymbol(_ZN16tSGLNodeMITELong16setDeviceAddressEmPi);
extern int _ZN17tSGLNodeMITEShort16isSelfConfigNodeEPi;
nNIKAL100_mExportSymbol(_ZN17tSGLNodeMITEShort16isSelfConfigNodeEPi);
extern int _ZN17tSGLNodeMITEShort24setMemoryPhysicalAddressEmPi;
nNIKAL100_mExportSymbol(_ZN17tSGLNodeMITEShort24setMemoryPhysicalAddressEmPi);
extern int _ZN17tSGLNodeMITEShort7setSizeEjPi;
nNIKAL100_mExportSymbol(_ZN17tSGLNodeMITEShort7setSizeEjPi);
extern int _ZN17tSGLNodeMITEShort20setSelfConfigAddressEmPi;
nNIKAL100_mExportSymbol(_ZN17tSGLNodeMITEShort20setSelfConfigAddressEmPi);
extern int _ZN16tSGLNodeMITELong20setSelfConfigAddressEmPi;
nNIKAL100_mExportSymbol(_ZN16tSGLNodeMITELong20setSelfConfigAddressEmPi);
extern int _ZN16tSGLNodeMITELong26getNextNodePhysicalAddressEPi;
nNIKAL100_mExportSymbol(_ZN16tSGLNodeMITELong26getNextNodePhysicalAddressEPi);
extern int _Z12libQueryLoadRKN4iLib10tParamLoadEPi;
nNIKAL100_mExportSymbol(_Z12libQueryLoadRKN4iLib10tParamLoadEPi);
extern int _Z7libLoadRKN4iLib10tParamLoadEPi;
nNIKAL100_mExportSymbol(_Z7libLoadRKN4iLib10tParamLoadEPi);
extern int _Z9libUnloadP4iLibPi;
nNIKAL100_mExportSymbol(_Z9libUnloadP4iLibPi);
extern int _ZN11iDeviceTree13getDeviceTreeEv;
nNIKAL100_mExportSymbol(_ZN11iDeviceTree13getDeviceTreeEv);
/* _ZN7tDevice31translateNewBusTypeToOldBusTypeE24tDevEnumeratedAttributesPi=_9f0d4c898810863e6034741cf31a48cd */
extern int _9f0d4c898810863e6034741cf31a48cd;
nNIKAL100_mExportSymbol(_9f0d4c898810863e6034741cf31a48cd);
extern int _ZN7tDevice31translateOldBusTypeToNewBusTypeEjPi;
nNIKAL100_mExportSymbol(_ZN7tDevice31translateOldBusTypeToNewBusTypeEjPi);
extern int _ZN11tDeviceTree19suspendDeviceObjectEP7iDevicejPi;
nNIKAL100_mExportSymbol(_ZN11tDeviceTree19suspendDeviceObjectEP7iDevicejPi);
/* _ZN11tDeviceTree27queryDeviceObjectForSuspendEP7iDevicejPi=_606c57269f5bb636c6f83cdc51762a00 */
extern int _606c57269f5bb636c6f83cdc51762a00;
nNIKAL100_mExportSymbol(_606c57269f5bb636c6f83cdc51762a00);
extern int _ZN11tDeviceTree24queryDeviceObjectForStopEP7iDevicePi;
nNIKAL100_mExportSymbol(_ZN11tDeviceTree24queryDeviceObjectForStopEP7iDevicePi);
extern int _ZN7tDevice25notifyObserversOfBusResetEjPi;
nNIKAL100_mExportSymbol(_ZN7tDevice25notifyObserversOfBusResetEjPi);
/* _ZN11tDeviceTree37suspendDeviceObjectForLegacyObserversEP7iDevicejPi=_1a6637ff4b968d00e6131b6deb0d1cd2 */
extern int _1a6637ff4b968d00e6131b6deb0d1cd2;
nNIKAL100_mExportSymbol(_1a6637ff4b968d00e6131b6deb0d1cd2);
/* _ZN11tDeviceTree37restoreDeviceObjectForLegacyObserversEP7iDevicePi=_49584cb7ee227eb2bc29866eee7c8599 */
extern int _49584cb7ee227eb2bc29866eee7c8599;
nNIKAL100_mExportSymbol(_49584cb7ee227eb2bc29866eee7c8599);
extern int _ZN11tDeviceTree19restoreDeviceObjectEP7iDevicePi;
nNIKAL100_mExportSymbol(_ZN11tDeviceTree19restoreDeviceObjectEP7iDevicePi);
extern int _ZN11tDeviceTree16cancelDeviceStopEP7iDevicePi;
nNIKAL100_mExportSymbol(_ZN11tDeviceTree16cancelDeviceStopEP7iDevicePi);
extern int _ZN15tInterruptGroup31_createSecondaryInterruptCookieEv;
nNIKAL100_mExportSymbol(_ZN15tInterruptGroup31_createSecondaryInterruptCookieEv);
/* _ZN15tInterruptGroup32_destroySecondaryInterruptCookieERPv=_0559a1723854c90813812e1189bfa525 */
extern int _0559a1723854c90813812e1189bfa525;
nNIKAL100_mExportSymbol(_0559a1723854c90813812e1189bfa525);
/* _ZN15tInterruptGroup25_serviceSoftwareInterruptEPNS_8tISRDataE=_d771e9568b100af5ac9ef25aad22c2f7 */
extern int _d771e9568b100af5ac9ef25aad22c2f7;
nNIKAL100_mExportSymbol(_d771e9568b100af5ac9ef25aad22c2f7);
/* _ZN15tInterruptGroup23_postSecondaryInterruptEPNS_8tISRDataE=_72d35a2e6a9abb41a154e4a1e1da720c */
extern int _72d35a2e6a9abb41a154e4a1e1da720c;
nNIKAL100_mExportSymbol(_72d35a2e6a9abb41a154e4a1e1da720c);
extern int _ZN15tInterruptGroupnwEmj;
nNIKAL100_mExportSymbol(_ZN15tInterruptGroupnwEmj);
/* _ZN15tInterruptGroup18runAtomicOperationER19iBusAtomicOperation=_11757c44d975cce7c1808d0af2b2e72e */
extern int _11757c44d975cce7c1808d0af2b2e72e;
nNIKAL100_mExportSymbol(_11757c44d975cce7c1808d0af2b2e72e);
extern int _ZN15tInterruptGroup4findEj;
nNIKAL100_mExportSymbol(_ZN15tInterruptGroup4findEj);
/* _ZN15tInterruptGroup32_extractSecondaryInterruptCookieEPNS_8tISRDataE=_aaeceb2037bb7bd7aff67eaf5bce7ec7 */
extern int _aaeceb2037bb7bd7aff67eaf5bce7ec7;
nNIKAL100_mExportSymbol(_aaeceb2037bb7bd7aff67eaf5bce7ec7);
extern int _ZN15tInterruptGroup13_setLockStateEj;
nNIKAL100_mExportSymbol(_ZN15tInterruptGroup13_setLockStateEj);
extern int _ZN15tInterruptGroupC2Ev;
nNIKAL100_mExportSymbol(_ZN15tInterruptGroupC2Ev);
extern int _ZN15tInterruptGroupC1Ev;
nNIKAL100_mExportSymbol(_ZN15tInterruptGroupC1Ev);
extern int _ZN15tInterruptGroupD1Ev;
nNIKAL100_mExportSymbol(_ZN15tInterruptGroupD1Ev);
extern int _ZN15tInterruptGroupD2Ev;
nNIKAL100_mExportSymbol(_ZN15tInterruptGroupD2Ev);
extern int _ZN15tInterruptGroupD0Ev;
nNIKAL100_mExportSymbol(_ZN15tInterruptGroupD0Ev);
/* _ZN15tInterruptGroup25_serviceHardwareInterruptENS_27tInterruptGroupServiceLevelE=_3b9846f690d27167028a77774e995110 */
extern int _3b9846f690d27167028a77774e995110;
nNIKAL100_mExportSymbol(_3b9846f690d27167028a77774e995110);
extern int _Z18busDeleteBusObjectRP4iBus;
nNIKAL100_mExportSymbol(_Z18busDeleteBusObjectRP4iBus);
extern int _ZN21iBusInterruptResolverD2Ev;
nNIKAL100_mExportSymbol(_ZN21iBusInterruptResolverD2Ev);
extern int _ZN21iBusInterruptResolverD1Ev;
nNIKAL100_mExportSymbol(_ZN21iBusInterruptResolverD1Ev);
extern int _ZN21iBusInterruptResolverD0Ev;
nNIKAL100_mExportSymbol(_ZN21iBusInterruptResolverD0Ev);
extern int _ZN19iBusAtomicOperationD2Ev;
nNIKAL100_mExportSymbol(_ZN19iBusAtomicOperationD2Ev);
extern int _ZN19iBusAtomicOperationD1Ev;
nNIKAL100_mExportSymbol(_ZN19iBusAtomicOperationD1Ev);
extern int _ZN19iBusAtomicOperationD0Ev;
nNIKAL100_mExportSymbol(_ZN19iBusAtomicOperationD0Ev);
extern int _Z15busNewBusObjectj;
nNIKAL100_mExportSymbol(_Z15busNewBusObjectj);
extern int _Z15busNewBusObjectjPi;
nNIKAL100_mExportSymbol(_Z15busNewBusObjectjPi);
extern int _ZN12iBusAccessor6write8EPKhjj;
nNIKAL100_mExportSymbol(_ZN12iBusAccessor6write8EPKhjj);
extern int _ZN12iBusAccessor7write16EPKtjj;
nNIKAL100_mExportSymbol(_ZN12iBusAccessor7write16EPKtjj);
extern int _ZN12iBusAccessor7write32EPKjjj;
nNIKAL100_mExportSymbol(_ZN12iBusAccessor7write32EPKjjj);
extern int _ZN12iBusAccessor5read8EPKhj;
nNIKAL100_mExportSymbol(_ZN12iBusAccessor5read8EPKhj);
extern int _ZN12iBusAccessor6read16EPKtj;
nNIKAL100_mExportSymbol(_ZN12iBusAccessor6read16EPKtj);
extern int _ZN12iBusAccessor6read32EPKjj;
nNIKAL100_mExportSymbol(_ZN12iBusAccessor6read32EPKjj);
extern int _ZN12iBusAccessor10_moveBlockEjjmmmjRi;
nNIKAL100_mExportSymbol(_ZN12iBusAccessor10_moveBlockEjjmmmjRi);
extern int _ZN18iBusAccessorAtomic6_writeEv;
nNIKAL100_mExportSymbol(_ZN18iBusAccessorAtomic6_writeEv);
extern int _ZN18iBusAccessorAtomic5_readEv;
nNIKAL100_mExportSymbol(_ZN18iBusAccessorAtomic5_readEv);
extern int _ZN12iBusAccessor5writeEv;
nNIKAL100_mExportSymbol(_ZN12iBusAccessor5writeEv);
extern int _ZN12iBusAccessor4readEv;
nNIKAL100_mExportSymbol(_ZN12iBusAccessor4readEv);
extern int _ZN10tBusFlavor5flushEv;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor5flushEv);
extern int _ZN10tBusFlavor15getFirmwareDataEjPhRj;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor15getFirmwareDataEjPhRj);
extern int _ZN10tBusFlavor18isDMAChannelSharedEj;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor18isDMAChannelSharedEj);
/* _ZN10tBusFlavor20createDeviceAccessorEP4iBus14tBusWindowType=_1240a1a56f6755d3e3ee3deca0f6cfef */
extern int _1240a1a56f6755d3e3ee3deca0f6cfef;
nNIKAL100_mExportSymbol(_1240a1a56f6755d3e3ee3deca0f6cfef);
extern int _ZN10tBusFlavor20createInterruptGroupEj;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor20createInterruptGroupEj);
extern int _ZN10tBusFlavor16createDMAChannelEjj;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor16createDMAChannelEjj);
extern int _ZN10tBusFlavor16createDMAChannelEP11iDMAChannelS1_;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor16createDMAChannelEP11iDMAChannelS1_);
extern int _ZN10tBusFlavor16getBusParametersERjjj;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor16getBusParametersERjjj);
extern int _ZN10tBusFlavor16setBusParametersEjjj;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor16setBusParametersEjjj);
extern int _ZN13tBusFlavorPCI15getDefaultSpaceER14tBusWindowTypeRj;
nNIKAL100_mExportSymbol(_ZN13tBusFlavorPCI15getDefaultSpaceER14tBusWindowTypeRj);
/* _ZN19tBusFlavorSimulated20createDeviceAccessorEP4iBus14tBusWindowType=_b4197db383d4966cade0967c940e8532 */
extern int _b4197db383d4966cade0967c940e8532;
nNIKAL100_mExportSymbol(_b4197db383d4966cade0967c940e8532);
extern int _ZN18iBusAccessorAtomic6write8ERKmjjRi;
nNIKAL100_mExportSymbol(_ZN18iBusAccessorAtomic6write8ERKmjjRi);
extern int _ZN18iBusAccessorAtomic7write16ERKmjjRi;
nNIKAL100_mExportSymbol(_ZN18iBusAccessorAtomic7write16ERKmjjRi);
extern int _ZN18iBusAccessorAtomic7write32ERKmjjRi;
nNIKAL100_mExportSymbol(_ZN18iBusAccessorAtomic7write32ERKmjjRi);
extern int _ZN18iBusAccessorAtomic7write64ERKmmjRi;
nNIKAL100_mExportSymbol(_ZN18iBusAccessorAtomic7write64ERKmmjRi);
/* _ZN18iBusAccessorAtomic10copyMemoryEP12iBusAccessorjjPK19tBusMemoryReferencemS4_mPKjjmRi=_61d57f2e6552fd8f7b0bfc86cfb94cef */
extern int _61d57f2e6552fd8f7b0bfc86cfb94cef;
nNIKAL100_mExportSymbol(_61d57f2e6552fd8f7b0bfc86cfb94cef);
extern int _ZN18iBusAccessorAtomic9moveBlockEjjmmmjRi;
nNIKAL100_mExportSymbol(_ZN18iBusAccessorAtomic9moveBlockEjjmmmjRi);
extern int _ZN18iBusAccessorAtomic5read8ERKmjRi;
nNIKAL100_mExportSymbol(_ZN18iBusAccessorAtomic5read8ERKmjRi);
extern int _ZN18iBusAccessorAtomic6read16ERKmjRi;
nNIKAL100_mExportSymbol(_ZN18iBusAccessorAtomic6read16ERKmjRi);
extern int _ZN18iBusAccessorAtomic6read32ERKmjRi;
nNIKAL100_mExportSymbol(_ZN18iBusAccessorAtomic6read32ERKmjRi);
extern int _ZN18iBusAccessorAtomic6read64ERKmjRi;
nNIKAL100_mExportSymbol(_ZN18iBusAccessorAtomic6read64ERKmjRi);
extern int _ZN21iDeviceAtomicAccessor6write8EPKhjj;
nNIKAL100_mExportSymbol(_ZN21iDeviceAtomicAccessor6write8EPKhjj);
extern int _ZN21iDeviceAtomicAccessor7write16EPKtjj;
nNIKAL100_mExportSymbol(_ZN21iDeviceAtomicAccessor7write16EPKtjj);
extern int _ZN21iDeviceAtomicAccessor7write32EPKjjj;
nNIKAL100_mExportSymbol(_ZN21iDeviceAtomicAccessor7write32EPKjjj);
extern int _ZN21iDeviceAtomicAccessor5read8EPKhj;
nNIKAL100_mExportSymbol(_ZN21iDeviceAtomicAccessor5read8EPKhj);
extern int _ZN21iDeviceAtomicAccessor6read16EPKtj;
nNIKAL100_mExportSymbol(_ZN21iDeviceAtomicAccessor6read16EPKtj);
extern int _ZN21iDeviceAtomicAccessor6read32EPKjj;
nNIKAL100_mExportSymbol(_ZN21iDeviceAtomicAccessor6read32EPKjj);
extern int _ZN10tBusFlavor3setEjjPv;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor3setEjjPv);
extern int _ZN12iBusAccessor9moveBlockEjjmmmjRi;
nNIKAL100_mExportSymbol(_ZN12iBusAccessor9moveBlockEjjmmmjRi);
/* _ZN10tBusFlavor10copyMemoryEP12iBusAccessorPK19tBusMemoryReferencemS1_S4_mPKjjPi=_550785491c5b0470809abf7c31d6c7c4 */
extern int _550785491c5b0470809abf7c31d6c7c4;
nNIKAL100_mExportSymbol(_550785491c5b0470809abf7c31d6c7c4);
extern int _ZN10tBusFlavor17destroyDMAChannelEP11iDMAChannel;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor17destroyDMAChannelEP11iDMAChannel);
extern int _ZN10tBusFlavor17_locateIngredientEjm;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor17_locateIngredientEjm);
extern int _ZN10tBusFlavor17_removeIngredientEjm;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor17_removeIngredientEjm);
extern int _ZN10tBusFlavor14_addIngredientEjmPv;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor14_addIngredientEjmPv);
extern int _ZN10tBusFlavor16_getDeviceHandleEv;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor16_getDeviceHandleEv);
extern int _ZN10tBusFlavor20_getWindowDescriptorEv;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor20_getWindowDescriptorEv);
extern int _ZN10tBusFlavor13_getBusObjectEv;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor13_getBusObjectEv);
extern int _ZN10tBusFlavor16_getDeviceObjectEv;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor16_getDeviceObjectEv);
extern int _ZN15iDeviceAccessorD1Ev;
nNIKAL100_mExportSymbol(_ZN15iDeviceAccessorD1Ev);
extern int _ZN15iDeviceAccessorD2Ev;
nNIKAL100_mExportSymbol(_ZN15iDeviceAccessorD2Ev);
extern int _ZN12iBusAccessorD2Ev;
nNIKAL100_mExportSymbol(_ZN12iBusAccessorD2Ev);
extern int _ZN12iBusAccessorD1Ev;
nNIKAL100_mExportSymbol(_ZN12iBusAccessorD1Ev);
extern int _ZN12iBusAccessorD0Ev;
nNIKAL100_mExportSymbol(_ZN12iBusAccessorD0Ev);
extern int _ZN18iBusAccessorAtomicD2Ev;
nNIKAL100_mExportSymbol(_ZN18iBusAccessorAtomicD2Ev);
extern int _ZN18iBusAccessorAtomicD1Ev;
nNIKAL100_mExportSymbol(_ZN18iBusAccessorAtomicD1Ev);
extern int _ZN18iBusAccessorAtomicD0Ev;
nNIKAL100_mExportSymbol(_ZN18iBusAccessorAtomicD0Ev);
extern int _ZN29iBusAccessorAtomicConfigSpaceD2Ev;
nNIKAL100_mExportSymbol(_ZN29iBusAccessorAtomicConfigSpaceD2Ev);
extern int _ZN29iBusAccessorAtomicConfigSpaceD1Ev;
nNIKAL100_mExportSymbol(_ZN29iBusAccessorAtomicConfigSpaceD1Ev);
extern int _ZN29iBusAccessorAtomicConfigSpaceD0Ev;
nNIKAL100_mExportSymbol(_ZN29iBusAccessorAtomicConfigSpaceD0Ev);
extern int _ZN25iBusAccessorAtomicIOSpaceD2Ev;
nNIKAL100_mExportSymbol(_ZN25iBusAccessorAtomicIOSpaceD2Ev);
extern int _ZN25iBusAccessorAtomicIOSpaceD1Ev;
nNIKAL100_mExportSymbol(_ZN25iBusAccessorAtomicIOSpaceD1Ev);
extern int _ZN25iBusAccessorAtomicIOSpaceD0Ev;
nNIKAL100_mExportSymbol(_ZN25iBusAccessorAtomicIOSpaceD0Ev);
extern int _ZN29iBusAccessorAtomicMemorySpaceD2Ev;
nNIKAL100_mExportSymbol(_ZN29iBusAccessorAtomicMemorySpaceD2Ev);
extern int _ZN29iBusAccessorAtomicMemorySpaceD1Ev;
nNIKAL100_mExportSymbol(_ZN29iBusAccessorAtomicMemorySpaceD1Ev);
extern int _ZN29iBusAccessorAtomicMemorySpaceD0Ev;
nNIKAL100_mExportSymbol(_ZN29iBusAccessorAtomicMemorySpaceD0Ev);
extern int _ZN23iBusAccessorConfigSpaceD1Ev;
nNIKAL100_mExportSymbol(_ZN23iBusAccessorConfigSpaceD1Ev);
extern int _ZN23iBusAccessorConfigSpaceD2Ev;
nNIKAL100_mExportSymbol(_ZN23iBusAccessorConfigSpaceD2Ev);
extern int _ZN23iBusAccessorConfigSpaceD0Ev;
nNIKAL100_mExportSymbol(_ZN23iBusAccessorConfigSpaceD0Ev);
extern int _ZN19iBusAccessorIOSpaceD1Ev;
nNIKAL100_mExportSymbol(_ZN19iBusAccessorIOSpaceD1Ev);
extern int _ZN19iBusAccessorIOSpaceD2Ev;
nNIKAL100_mExportSymbol(_ZN19iBusAccessorIOSpaceD2Ev);
extern int _ZN19iBusAccessorIOSpaceD0Ev;
nNIKAL100_mExportSymbol(_ZN19iBusAccessorIOSpaceD0Ev);
extern int _ZN23iBusAccessorMemorySpaceD2Ev;
nNIKAL100_mExportSymbol(_ZN23iBusAccessorMemorySpaceD2Ev);
extern int _ZN23iBusAccessorMemorySpaceD1Ev;
nNIKAL100_mExportSymbol(_ZN23iBusAccessorMemorySpaceD1Ev);
extern int _ZN23iBusAccessorMemorySpaceD0Ev;
nNIKAL100_mExportSymbol(_ZN23iBusAccessorMemorySpaceD0Ev);
extern int _ZN21tBusAccessorSimulatedD2Ev;
nNIKAL100_mExportSymbol(_ZN21tBusAccessorSimulatedD2Ev);
extern int _ZN21tBusAccessorSimulatedD1Ev;
nNIKAL100_mExportSymbol(_ZN21tBusAccessorSimulatedD1Ev);
extern int _ZN21tBusAccessorSimulatedD0Ev;
nNIKAL100_mExportSymbol(_ZN21tBusAccessorSimulatedD0Ev);
extern int _ZN15iDeviceAccessorD0Ev;
nNIKAL100_mExportSymbol(_ZN15iDeviceAccessorD0Ev);
extern int _ZN21iDeviceAtomicAccessorD1Ev;
nNIKAL100_mExportSymbol(_ZN21iDeviceAtomicAccessorD1Ev);
extern int _ZN21iDeviceAtomicAccessorD2Ev;
nNIKAL100_mExportSymbol(_ZN21iDeviceAtomicAccessorD2Ev);
extern int _ZN21iDeviceAtomicAccessorD0Ev;
nNIKAL100_mExportSymbol(_ZN21iDeviceAtomicAccessorD0Ev);
extern int _ZN20iConfigSpaceAccessorD2Ev;
nNIKAL100_mExportSymbol(_ZN20iConfigSpaceAccessorD2Ev);
extern int _ZN20iConfigSpaceAccessorD1Ev;
nNIKAL100_mExportSymbol(_ZN20iConfigSpaceAccessorD1Ev);
extern int _ZN20iConfigSpaceAccessorD0Ev;
nNIKAL100_mExportSymbol(_ZN20iConfigSpaceAccessorD0Ev);
extern int _ZN16iIOSpaceAccessorD1Ev;
nNIKAL100_mExportSymbol(_ZN16iIOSpaceAccessorD1Ev);
extern int _ZN16iIOSpaceAccessorD2Ev;
nNIKAL100_mExportSymbol(_ZN16iIOSpaceAccessorD2Ev);
extern int _ZN16iIOSpaceAccessorD0Ev;
nNIKAL100_mExportSymbol(_ZN16iIOSpaceAccessorD0Ev);
extern int _ZN20iMemorySpaceAccessorD1Ev;
nNIKAL100_mExportSymbol(_ZN20iMemorySpaceAccessorD1Ev);
extern int _ZN20iMemorySpaceAccessorD2Ev;
nNIKAL100_mExportSymbol(_ZN20iMemorySpaceAccessorD2Ev);
extern int _ZN20iMemorySpaceAccessorD0Ev;
nNIKAL100_mExportSymbol(_ZN20iMemorySpaceAccessorD0Ev);
extern int _ZN26iConfigSpaceAtomicAccessorD1Ev;
nNIKAL100_mExportSymbol(_ZN26iConfigSpaceAtomicAccessorD1Ev);
extern int _ZN26iConfigSpaceAtomicAccessorD2Ev;
nNIKAL100_mExportSymbol(_ZN26iConfigSpaceAtomicAccessorD2Ev);
extern int _ZN26iConfigSpaceAtomicAccessorD0Ev;
nNIKAL100_mExportSymbol(_ZN26iConfigSpaceAtomicAccessorD0Ev);
extern int _ZN22iIOSpaceAtomicAccessorD2Ev;
nNIKAL100_mExportSymbol(_ZN22iIOSpaceAtomicAccessorD2Ev);
extern int _ZN22iIOSpaceAtomicAccessorD1Ev;
nNIKAL100_mExportSymbol(_ZN22iIOSpaceAtomicAccessorD1Ev);
extern int _ZN22iIOSpaceAtomicAccessorD0Ev;
nNIKAL100_mExportSymbol(_ZN22iIOSpaceAtomicAccessorD0Ev);
extern int _ZN26iMemorySpaceAtomicAccessorD2Ev;
nNIKAL100_mExportSymbol(_ZN26iMemorySpaceAtomicAccessorD2Ev);
extern int _ZN26iMemorySpaceAtomicAccessorD1Ev;
nNIKAL100_mExportSymbol(_ZN26iMemorySpaceAtomicAccessorD1Ev);
extern int _ZN26iMemorySpaceAtomicAccessorD0Ev;
nNIKAL100_mExportSymbol(_ZN26iMemorySpaceAtomicAccessorD0Ev);
extern int _ZN10tBusFlavorC2EP4iBusP7iDevice;
nNIKAL100_mExportSymbol(_ZN10tBusFlavorC2EP4iBusP7iDevice);
extern int _ZN10tBusFlavorC1EP4iBusP7iDevice;
nNIKAL100_mExportSymbol(_ZN10tBusFlavorC1EP4iBusP7iDevice);
extern int _ZN10tBusFlavor3getEjjPv;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor3getEjjPv);
/* _ZN12iBusAccessor10copyMemoryEPS_jjPK19tBusMemoryReferencemS3_mPKjjmRi=_6531c808dfc2f5b6c4f603853737ecec */
extern int _6531c808dfc2f5b6c4f603853737ecec;
nNIKAL100_mExportSymbol(_6531c808dfc2f5b6c4f603853737ecec);
/* _ZN12iBusAccessor11_copyMemoryEjPK19tBusMemoryReferencemmmRi=_298e94bd49840f6fde6749858e8f0e86 */
extern int _298e94bd49840f6fde6749858e8f0e86;
nNIKAL100_mExportSymbol(_298e94bd49840f6fde6749858e8f0e86);
/* _ZN12iBusAccessor11_copyMemoryEjPK19tBusMemoryReferencemS2_mmRi=_e0e023f1af582dc6dca0c6b533170547 */
extern int _e0e023f1af582dc6dca0c6b533170547;
nNIKAL100_mExportSymbol(_e0e023f1af582dc6dca0c6b533170547);
/* _ZN12iBusAccessor11_copyMemoryEPS_PK19tBusMemoryReferencemS3_mmRi=_60f8e811a22c82d5eec2ae24c58c29cf */
extern int _60f8e811a22c82d5eec2ae24c58c29cf;
nNIKAL100_mExportSymbol(_60f8e811a22c82d5eec2ae24c58c29cf);
extern int _ZN10tBusFlavor3getE14tBusWindowTypejPi;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor3getE14tBusWindowTypejPi);
/* _ZN10tBusFlavor16translateAddressEPK19tBusMemoryReferencemmRjP21tBusMemoryTranslationPi=_ad64c5367380289aed307a085b4ee26e */
extern int _ad64c5367380289aed307a085b4ee26e;
nNIKAL100_mExportSymbol(_ad64c5367380289aed307a085b4ee26e);
/* _ZN10tBusFlavor3getE18tBusAttribute64Bit14tBusWindowTypejPi=_6aef5e8d9e1ca8bbb361b08a187f2de4 */
extern int _6aef5e8d9e1ca8bbb361b08a187f2de4;
nNIKAL100_mExportSymbol(_6aef5e8d9e1ca8bbb361b08a187f2de4);
extern int _ZN13tBusFlavorPCI23getFirmwareCapabilitiesERi;
nNIKAL100_mExportSymbol(_ZN13tBusFlavorPCI23getFirmwareCapabilitiesERi);
extern int _ZN13tBusFlavorPCI10getRomSizeEPi;
nNIKAL100_mExportSymbol(_ZN13tBusFlavorPCI10getRomSizeEPi);
extern int _ZN13tBusFlavorPCI15getFirmwareDataEjPhRj;
nNIKAL100_mExportSymbol(_ZN13tBusFlavorPCI15getFirmwareDataEjPhRj);
extern int _ZN13tBusFlavorPCI24getMITEConfigurationTailEPi;
nNIKAL100_mExportSymbol(_ZN13tBusFlavorPCI24getMITEConfigurationTailEPi);
/* _ZN10tBusFlavor25_populateWindowDescriptorEP15iDeviceAccessorS1_S1_=_47b4bb333afec10d58b3775850961d81 */
extern int _47b4bb333afec10d58b3775850961d81;
nNIKAL100_mExportSymbol(_47b4bb333afec10d58b3775850961d81);
/* _ZN19tBusFlavorSimulated25_populateWindowDescriptorEP15iDeviceAccessorS1_S1_=_cced3624eaf129ea1451c5477dcbd323 */
extern int _cced3624eaf129ea1451c5477dcbd323;
nNIKAL100_mExportSymbol(_cced3624eaf129ea1451c5477dcbd323);
extern int _ZN10tBusFlavor11unmapWindowERPmPi;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor11unmapWindowERPmPi);
extern int _ZN10tBusFlavor11unmapMemoryERP19tBusMemoryReferencePi;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor11unmapMemoryERP19tBusMemoryReferencePi);
extern int _ZN10tBusFlavorD1Ev;
nNIKAL100_mExportSymbol(_ZN10tBusFlavorD1Ev);
extern int _ZN10tBusFlavorD2Ev;
nNIKAL100_mExportSymbol(_ZN10tBusFlavorD2Ev);
extern int _ZN10tBusFlavorD0Ev;
nNIKAL100_mExportSymbol(_ZN10tBusFlavorD0Ev);
extern int _ZN13tBusFlavorPCID1Ev;
nNIKAL100_mExportSymbol(_ZN13tBusFlavorPCID1Ev);
extern int _ZN13tBusFlavorPCID2Ev;
nNIKAL100_mExportSymbol(_ZN13tBusFlavorPCID2Ev);
extern int _ZN13tBusFlavorPCID0Ev;
nNIKAL100_mExportSymbol(_ZN13tBusFlavorPCID0Ev);
extern int _ZN19tBusFlavorSimulatedD1Ev;
nNIKAL100_mExportSymbol(_ZN19tBusFlavorSimulatedD1Ev);
extern int _ZN19tBusFlavorSimulatedD2Ev;
nNIKAL100_mExportSymbol(_ZN19tBusFlavorSimulatedD2Ev);
extern int _ZN19tBusFlavorSimulatedD0Ev;
nNIKAL100_mExportSymbol(_ZN19tBusFlavorSimulatedD0Ev);
extern int _ZN13tBusFlavorPCI16createDMAChannelEjj;
nNIKAL100_mExportSymbol(_ZN13tBusFlavorPCI16createDMAChannelEjj);
extern int _ZN10tBusFlavor15getDefaultSpaceER14tBusWindowTypeRj;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor15getDefaultSpaceER14tBusWindowTypeRj);
/* _ZN19tBusFlavorSimulated15getDefaultSpaceER14tBusWindowTypeRj=_41bf44963d45c72025e3c207b4cff9de */
extern int _41bf44963d45c72025e3c207b4cff9de;
nNIKAL100_mExportSymbol(_41bf44963d45c72025e3c207b4cff9de);
extern int _ZN10tBusFlavor15_getWindowCountE14tBusWindowType;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor15_getWindowCountE14tBusWindowType);
extern int _ZN13tBusFlavorPCI15_getWindowCountE14tBusWindowType;
nNIKAL100_mExportSymbol(_ZN13tBusFlavorPCI15_getWindowCountE14tBusWindowType);
/* _ZN13tBusFlavorPCI25_populateWindowDescriptorEP15iDeviceAccessorS1_S1_=_210db4cc0556c4e943d8e16b2acee2c9 */
extern int _210db4cc0556c4e943d8e16b2acee2c9;
nNIKAL100_mExportSymbol(_210db4cc0556c4e943d8e16b2acee2c9);
/* _ZN19tBusFlavorSimulated15_getWindowCountE14tBusWindowType=_ef2ab0bad2a65a180ceb17d228cb50cf */
extern int _ef2ab0bad2a65a180ceb17d228cb50cf;
nNIKAL100_mExportSymbol(_ef2ab0bad2a65a180ceb17d228cb50cf);
/* _ZN10tBusFlavor22deactivateBusInterfaceEP15iDeviceAccessorS1_S1_=_86a7994ddf2ee54e23fffa4d33ac53f8 */
extern int _86a7994ddf2ee54e23fffa4d33ac53f8;
nNIKAL100_mExportSymbol(_86a7994ddf2ee54e23fffa4d33ac53f8);
/* _ZN13tBusFlavorPCI22deactivateBusInterfaceEP15iDeviceAccessorS1_S1_=_5201b18a3f737bbcd336cae588d8c203 */
extern int _5201b18a3f737bbcd336cae588d8c203;
nNIKAL100_mExportSymbol(_5201b18a3f737bbcd336cae588d8c203);
extern int _ZN10tBusFlavor9mapWindowEjjj14tBusWindowTypejmmPi;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor9mapWindowEjjj14tBusWindowTypejmmPi);
/* _ZN10tBusFlavor9mapMemoryEjjRK9tSSVectorI11tDevAddress12tSSAllocatorIS1_EEPi=_f601917f8dd39f690280b899e37a259c */
extern int _f601917f8dd39f690280b899e37a259c;
nNIKAL100_mExportSymbol(_f601917f8dd39f690280b899e37a259c);
/* _ZN10tBusFlavor20activateBusInterfaceEP15iDeviceAccessorS1_S1_=_cc454218a9704d6611da1f9b326041d9 */
extern int _cc454218a9704d6611da1f9b326041d9;
nNIKAL100_mExportSymbol(_cc454218a9704d6611da1f9b326041d9);
extern int _ZN10tBusFlavor3getE23tBusAttributeEnumeratedjPi;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor3getE23tBusAttributeEnumeratedjPi);
extern int _ZN10tBusFlavor3getE18tBusAttribute32BitjPi;
nNIKAL100_mExportSymbol(_ZN10tBusFlavor3getE18tBusAttribute32BitjPi);
/* _ZN13tBusFlavorPCI20activateBusInterfaceEP15iDeviceAccessorS1_S1_=_5aa11c50151432af6ff43c0b4aed014d */
extern int _5aa11c50151432af6ff43c0b4aed014d;
nNIKAL100_mExportSymbol(_5aa11c50151432af6ff43c0b4aed014d);
extern int _ZN11tDMAChannel15getMasterObjectEv;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel15getMasterObjectEv);
extern int _ZNK11tDMAChannel14tInactiveState5stateEv;
nNIKAL100_mExportSymbol(_ZNK11tDMAChannel14tInactiveState5stateEv);
extern int _ZNK11tDMAChannel14tInactiveState5startEPS_Pi;
nNIKAL100_mExportSymbol(_ZNK11tDMAChannel14tInactiveState5startEPS_Pi);
extern int _ZNK11tDMAChannel14tInactiveState5resetEPS_Pi;
nNIKAL100_mExportSymbol(_ZNK11tDMAChannel14tInactiveState5resetEPS_Pi);
extern int _ZNK11tDMAChannel14tInactiveState4stopEPS_Pi;
nNIKAL100_mExportSymbol(_ZNK11tDMAChannel14tInactiveState4stopEPS_Pi);
extern int _ZNK11tDMAChannel14tInactiveState5pauseEPS_Pi;
nNIKAL100_mExportSymbol(_ZNK11tDMAChannel14tInactiveState5pauseEPS_Pi);
extern int _ZNK11tDMAChannel11tPauseState5stateEv;
nNIKAL100_mExportSymbol(_ZNK11tDMAChannel11tPauseState5stateEv);
extern int _ZNK11tDMAChannel11tPauseState5startEPS_Pi;
nNIKAL100_mExportSymbol(_ZNK11tDMAChannel11tPauseState5startEPS_Pi);
extern int _ZNK11tDMAChannel11tPauseState5pauseEPS_Pi;
nNIKAL100_mExportSymbol(_ZNK11tDMAChannel11tPauseState5pauseEPS_Pi);
extern int _ZNK11tDMAChannel11tPauseState4stopEPS_Pi;
nNIKAL100_mExportSymbol(_ZNK11tDMAChannel11tPauseState4stopEPS_Pi);
extern int _ZNK11tDMAChannel13tRunningState5stateEv;
nNIKAL100_mExportSymbol(_ZNK11tDMAChannel13tRunningState5stateEv);
extern int _ZNK11tDMAChannel13tRunningState5startEPS_Pi;
nNIKAL100_mExportSymbol(_ZNK11tDMAChannel13tRunningState5startEPS_Pi);
extern int _ZNK11tDMAChannel13tRunningState5pauseEPS_Pi;
nNIKAL100_mExportSymbol(_ZNK11tDMAChannel13tRunningState5pauseEPS_Pi);
extern int _ZNK11tDMAChannel13tRunningState4stopEPS_Pi;
nNIKAL100_mExportSymbol(_ZNK11tDMAChannel13tRunningState4stopEPS_Pi);
extern int _ZNK11tDMAChannel11tPauseState5resetEPS_Pi;
nNIKAL100_mExportSymbol(_ZNK11tDMAChannel11tPauseState5resetEPS_Pi);
extern int _ZNK11tDMAChannel13tRunningState5resetEPS_Pi;
nNIKAL100_mExportSymbol(_ZNK11tDMAChannel13tRunningState5resetEPS_Pi);
/* _ZN11tDMAChannel28_preSetPhysicalAddressOffsetER11iDMAChannelRKjPi=_d2b06cc7151a73f41ac0c22ecaf469b3 */
extern int _d2b06cc7151a73f41ac0c22ecaf469b3;
nNIKAL100_mExportSymbol(_d2b06cc7151a73f41ac0c22ecaf469b3);
extern int _ZN11tDMAChannel8_controlE11tDMAControlRjPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel8_controlE11tDMAControlRjPi);
extern int _ZN11tDMAChannel17_enableInterruptsEPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel17_enableInterruptsEPi);
extern int _ZN11tDMAChannel12_setDefaultsEPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel12_setDefaultsEPi);
extern int _ZN11tDMAChannel8_releaseEPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel8_releaseEPi);
extern int _ZN11tDMAChannel8_acquireEPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel8_acquireEPi);
extern int _ZN11tDMAChannel8_programEPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel8_programEPi);
extern int _ZN11tDMAChannel13_dmaReserved4Ev;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel13_dmaReserved4Ev);
extern int _ZN11tDMAChannel13_dmaReserved6Ev;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel13_dmaReserved6Ev);
extern int _ZN11tDMAChannel13_dmaReserved3Ev;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel13_dmaReserved3Ev);
extern int _ZN11tDMAChannel13_dmaReserved9Ev;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel13_dmaReserved9Ev);
extern int _ZN11tDMAChannel13_dmaReserved5Ev;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel13_dmaReserved5Ev);
extern int _ZN11tDMAChannel13_dmaReserved7Ev;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel13_dmaReserved7Ev);
extern int _ZN11tDMAChannel13_dmaReserved8Ev;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel13_dmaReserved8Ev);
extern int _ZN11tDMAChannel13_dmaReserved2Ev;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel13_dmaReserved2Ev);
/* _ZN11tDMAChannel14removeObserverERK25tDMAObserverSpecificationPi=_f3c3867be12c6493307ba0ec34c26ad4 */
extern int _f3c3867be12c6493307ba0ec34c26ad4;
nNIKAL100_mExportSymbol(_f3c3867be12c6493307ba0ec34c26ad4);
extern int _ZN11tDMAChannel24_hasAnyAttributesChangedEv;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel24_hasAnyAttributesChangedEv);
extern int _ZN11tDMAChannel26_clearAllChangedAttributesEv;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel26_clearAllChangedAttributesEv);
extern int _ZN11tDMAChannel32_notifyTransferCompleteObserversEv;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel32_notifyTransferCompleteObserversEv);
extern int _ZN11tDMAChannel25_notifyInterruptObserversEv;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel25_notifyInterruptObserversEv);
extern int _ZN11tDMAChannel21_notifyPauseObserversEm;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel21_notifyPauseObserversEm);
extern int _ZN11tDMAChannel21_notifyErrorObserversEi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel21_notifyErrorObserversEi);
extern int _ZN11tDMAChannel33_notifySampleTransferredObserversEm;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel33_notifySampleTransferredObserversEm);
extern int _ZN11tDMAChannelD2Ev;
nNIKAL100_mExportSymbol(_ZN11tDMAChannelD2Ev);
extern int _ZN11tDMAChannelD1Ev;
nNIKAL100_mExportSymbol(_ZN11tDMAChannelD1Ev);
extern int _ZN11tDMAChannelD0Ev;
nNIKAL100_mExportSymbol(_ZN11tDMAChannelD0Ev);
extern int _ZN11tDMAChannel7controlE11tDMAControlPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel7controlE11tDMAControlPi);
/* _ZN11tDMAChannel11addObserverERK25tDMAObserverSpecificationPi=_5360ea4e00076721ea79ce827261f42f */
extern int _5360ea4e00076721ea79ce827261f42f;
nNIKAL100_mExportSymbol(_5360ea4e00076721ea79ce827261f42f);
extern int _ZN11tDMAChannel3getE8tDMAAttrPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel3getE8tDMAAttrPi);
extern int _ZN11tDMAChannel4_getE8tDMAAttrPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel4_getE8tDMAAttrPi);
extern int _ZN11tDMAChannel3setE8tDMAAttrRK11tDMAAttrValPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel3setE8tDMAAttrRK11tDMAAttrValPi);
extern int _ZN11tDMAChannel4_setE8tDMAAttrRK11tDMAAttrValPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel4_setE8tDMAAttrRK11tDMAAttrValPi);
/* _ZN11tDMAChannel18_registerAttributeE8tDMAAttr11tDMAAttrValPijPFS1_R11iDMAChannelRKS1_S2_ES8_PFvS4_S6_S2_ESA_=_952f7c47db4b6ec444738a2d951f85d9 */
extern int _952f7c47db4b6ec444738a2d951f85d9;
nNIKAL100_mExportSymbol(_952f7c47db4b6ec444738a2d951f85d9);
extern int _ZN11tDMAChannel3getE11tDMAU32AttrPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel3getE11tDMAU32AttrPi);
extern int _ZN11tDMAChannel4_getE11tDMAU32AttrPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel4_getE11tDMAU32AttrPi);
extern int _ZN11tDMAChannel3setE11tDMAU32AttrRKjPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel3setE11tDMAU32AttrRKjPi);
extern int _ZN11tDMAChannel4_setE11tDMAU32AttrRKjPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel4_setE11tDMAU32AttrRKjPi);
/* _ZN11tDMAChannel18_registerAttributeE11tDMAU32AttrjPijPFjR11iDMAChannelRKjS1_ES7_PFvS3_S5_S1_ES9_=_e374d5a3ff9901a67bc4b7fc5ebd5880 */
extern int _e374d5a3ff9901a67bc4b7fc5ebd5880;
nNIKAL100_mExportSymbol(_e374d5a3ff9901a67bc4b7fc5ebd5880);
extern int _ZN11tDMAChannel3getE11tDMAU64AttrPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel3getE11tDMAU64AttrPi);
extern int _ZN11tDMAChannel4_getE11tDMAU64AttrPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel4_getE11tDMAU64AttrPi);
extern int _ZN11tDMAChannel3setE11tDMAU64AttrRKmPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel3setE11tDMAU64AttrRKmPi);
extern int _ZN11tDMAChannel4_setE11tDMAU64AttrRKmPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel4_setE11tDMAU64AttrRKmPi);
/* _ZN11tDMAChannel18_registerAttributeE11tDMAU64AttrRKmPijPFmR11iDMAChannelS2_S3_ES7_PFvS5_S2_S3_ES9_=_b19ad841e0f6b969f81e50c1c4a9e0e9 */
extern int _b19ad841e0f6b969f81e50c1c4a9e0e9;
nNIKAL100_mExportSymbol(_b19ad841e0f6b969f81e50c1c4a9e0e9);
extern int _ZN11tDMAChannel3getE16tDMABlockRefAttrPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel3getE16tDMABlockRefAttrPi);
extern int _ZN11tDMAChannel4_getE16tDMABlockRefAttrPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel4_getE16tDMABlockRefAttrPi);
/* _ZN11tDMAChannel3setE16tDMABlockRefAttrRK27tPIMMtemplateBlockReferenceIcEPi=_db93e46ca691e98c9e9326c77a223bf9 */
extern int _db93e46ca691e98c9e9326c77a223bf9;
nNIKAL100_mExportSymbol(_db93e46ca691e98c9e9326c77a223bf9);
/* _ZN11tDMAChannel4_setE16tDMABlockRefAttrRK27tPIMMtemplateBlockReferenceIcEPi=_bd1a4b16f8a847215e72088cde5d90af */
extern int _bd1a4b16f8a847215e72088cde5d90af;
nNIKAL100_mExportSymbol(_bd1a4b16f8a847215e72088cde5d90af);
extern int _ZN11tDMAChannel3getEjPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel3getEjPi);
extern int _ZN11tDMAChannel4_getEjPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel4_getEjPi);
extern int _ZN11tDMAChannel3setEjRKPvPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel3setEjRKPvPi);
extern int _ZN11tDMAChannel4_setEjRKPvPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannel4_setEjRKPvPi);
/* _ZN11tDMAChannel18_registerAttributeEjRKPvPijPFS0_R11iDMAChannelS2_S3_ES7_PFvS5_S2_S3_ES9_=_a4ead46772fd24552a3c41f517d25efa */
extern int _a4ead46772fd24552a3c41f517d25efa;
nNIKAL100_mExportSymbol(_a4ead46772fd24552a3c41f517d25efa);
/* _ZN11tDMAChannel18_registerAttributeE16tDMABlockRefAttrRK27tPIMMtemplateBlockReferenceIcEPijPFS2_R11iDMAChannelS4_S5_ES9_PFvS7_S4_S5_ESB_=_15ae7d32f472f5613d3525656295ec0d */
extern int _15ae7d32f472f5613d3525656295ec0d;
nNIKAL100_mExportSymbol(_15ae7d32f472f5613d3525656295ec0d);
extern int _ZN11tDMAChannelC1EP4iBusPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannelC1EP4iBusPi);
extern int _ZN11tDMAChannelC2EP4iBusPi;
nNIKAL100_mExportSymbol(_ZN11tDMAChannelC2EP4iBusPi);
extern int _ZN16tDMAChannelShell7controlE11tDMAControlPi;
nNIKAL100_mExportSymbol(_ZN16tDMAChannelShell7controlE11tDMAControlPi);
extern int _ZN16tDMAChannelShell3getE8tDMAAttrPi;
nNIKAL100_mExportSymbol(_ZN16tDMAChannelShell3getE8tDMAAttrPi);
extern int _ZN16tDMAChannelShell3getE11tDMAU32AttrPi;
nNIKAL100_mExportSymbol(_ZN16tDMAChannelShell3getE11tDMAU32AttrPi);
extern int _ZN16tDMAChannelShell3getE11tDMAU64AttrPi;
nNIKAL100_mExportSymbol(_ZN16tDMAChannelShell3getE11tDMAU64AttrPi);
extern int _ZN16tDMAChannelShell3getE16tDMABlockRefAttrPi;
nNIKAL100_mExportSymbol(_ZN16tDMAChannelShell3getE16tDMABlockRefAttrPi);
extern int _ZN16tDMAChannelShell3getEjPi;
nNIKAL100_mExportSymbol(_ZN16tDMAChannelShell3getEjPi);
extern int _ZN16tDMAChannelShell3setE11tDMAU64AttrRKmPi;
nNIKAL100_mExportSymbol(_ZN16tDMAChannelShell3setE11tDMAU64AttrRKmPi);
extern int _ZN16tDMAChannelShell3setE11tDMAU32AttrRKjPi;
nNIKAL100_mExportSymbol(_ZN16tDMAChannelShell3setE11tDMAU32AttrRKjPi);
/* _ZN16tDMAChannelShell3setE16tDMABlockRefAttrRK27tPIMMtemplateBlockReferenceIcEPi=_2e9f56f8076026be26b448889525e0ae */
extern int _2e9f56f8076026be26b448889525e0ae;
nNIKAL100_mExportSymbol(_2e9f56f8076026be26b448889525e0ae);
extern int _ZN16tDMAChannelShell3setEjRKPvPi;
nNIKAL100_mExportSymbol(_ZN16tDMAChannelShell3setEjRKPvPi);
extern int _ZN16tDMAChannelShell3setE8tDMAAttrRK11tDMAAttrValPi;
nNIKAL100_mExportSymbol(_ZN16tDMAChannelShell3setE8tDMAAttrRK11tDMAAttrValPi);
/* _ZN16tDMAChannelShell11addObserverERK25tDMAObserverSpecificationPi=_2e37e9b6c2d005e60961196287e5603a */
extern int _2e37e9b6c2d005e60961196287e5603a;
nNIKAL100_mExportSymbol(_2e37e9b6c2d005e60961196287e5603a);
/* _ZN16tDMAChannelShell14removeObserverERK25tDMAObserverSpecificationPi=_1a7898b32f1798cb1c52c6ba36728969 */
extern int _1a7898b32f1798cb1c52c6ba36728969;
nNIKAL100_mExportSymbol(_1a7898b32f1798cb1c52c6ba36728969);
extern int _ZN16tDMAChannelShell25_dmaChannelShellReserved3Ev;
nNIKAL100_mExportSymbol(_ZN16tDMAChannelShell25_dmaChannelShellReserved3Ev);
extern int _ZN16tDMAChannelShell25_dmaChannelShellReserved1Ev;
nNIKAL100_mExportSymbol(_ZN16tDMAChannelShell25_dmaChannelShellReserved1Ev);
extern int _ZN16tDMAChannelShell25_dmaChannelShellReserved8Ev;
nNIKAL100_mExportSymbol(_ZN16tDMAChannelShell25_dmaChannelShellReserved8Ev);
extern int _ZN16tDMAChannelShell25_dmaChannelShellReserved6Ev;
nNIKAL100_mExportSymbol(_ZN16tDMAChannelShell25_dmaChannelShellReserved6Ev);
extern int _ZN16tDMAChannelShell25_dmaChannelShellReserved4Ev;
nNIKAL100_mExportSymbol(_ZN16tDMAChannelShell25_dmaChannelShellReserved4Ev);
extern int _ZN16tDMAChannelShell25_dmaChannelShellReserved9Ev;
nNIKAL100_mExportSymbol(_ZN16tDMAChannelShell25_dmaChannelShellReserved9Ev);
extern int _ZN16tDMAChannelShell25_dmaChannelShellReserved2Ev;
nNIKAL100_mExportSymbol(_ZN16tDMAChannelShell25_dmaChannelShellReserved2Ev);
extern int _ZN16tDMAChannelShell25_dmaChannelShellReserved7Ev;
nNIKAL100_mExportSymbol(_ZN16tDMAChannelShell25_dmaChannelShellReserved7Ev);
extern int _ZN16tDMAChannelShell25_dmaChannelShellReserved0Ev;
nNIKAL100_mExportSymbol(_ZN16tDMAChannelShell25_dmaChannelShellReserved0Ev);
extern int _ZN16tDMAChannelShell25_dmaChannelShellReserved5Ev;
nNIKAL100_mExportSymbol(_ZN16tDMAChannelShell25_dmaChannelShellReserved5Ev);
extern int _ZN16tDMAChannelShellD1Ev;
nNIKAL100_mExportSymbol(_ZN16tDMAChannelShellD1Ev);
extern int _ZN16tDMAChannelShellD2Ev;
nNIKAL100_mExportSymbol(_ZN16tDMAChannelShellD2Ev);
extern int _ZN16tDMAChannelShellD0Ev;
nNIKAL100_mExportSymbol(_ZN16tDMAChannelShellD0Ev);
extern int _ZN16tDMAChannelShellC2EP4iBusPi;
nNIKAL100_mExportSymbol(_ZN16tDMAChannelShellC2EP4iBusPi);
extern int _ZN16tDMAChannelShellC1EP4iBusPi;
nNIKAL100_mExportSymbol(_ZN16tDMAChannelShellC1EP4iBusPi);
/* _ZNK18tMITEFamilyChannel17tMITERunningState5pauseEP11tDMAChannelPi=_67ae180abc5f7aeaa6efb502522a5f2b */
extern int _67ae180abc5f7aeaa6efb502522a5f2b;
nNIKAL100_mExportSymbol(_67ae180abc5f7aeaa6efb502522a5f2b);
/* _ZN18tMITEFamilyChannel24tAtomicAdjustForRollover17operateAtomicallyEv=_2e1baf09b94015d835de8eaa67e6b5a1 */
extern int _2e1baf09b94015d835de8eaa67e6b5a1;
nNIKAL100_mExportSymbol(_2e1baf09b94015d835de8eaa67e6b5a1);
/* _ZN18tMITEFamilyChannel25_activateSecondaryISRLockER11iDMAChannelRKPvPi=_e391a22b20bffc037b99d1eef11217cc */
extern int _e391a22b20bffc037b99d1eef11217cc;
nNIKAL100_mExportSymbol(_e391a22b20bffc037b99d1eef11217cc);
/* _ZN18tMITEFamilyChannel21_preSetSnapshotMethodER11iDMAChannelRK11tDMAAttrValPi=_df9e21a330640b399b3ecd4e5306a1f6 */
extern int _df9e21a330640b399b3ecd4e5306a1f6;
nNIKAL100_mExportSymbol(_df9e21a330640b399b3ecd4e5306a1f6);
/* _ZN18tMITEFamilyChannel46_setBytesPerTransferBetweenDeviceAndControllerER11iDMAChannelRKjPi=_d0540371d504a9e2310aab7cea3e9bcd */
extern int _d0540371d504a9e2310aab7cea3e9bcd;
nNIKAL100_mExportSymbol(_d0540371d504a9e2310aab7cea3e9bcd);
/* _ZN18tMITEFamilyChannel46_setBytesPerTransferBetweenMemoryAndControllerER11iDMAChannelRKjPi=_1c6da33607507f851755f992d7a2a2bf */
extern int _1c6da33607507f851755f992d7a2a2bf;
nNIKAL100_mExportSymbol(_1c6da33607507f851755f992d7a2a2bf);
extern int _ZN18tMITEFamilyChannel8_setLKARER11iDMAChannelRKjPi;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel8_setLKARER11iDMAChannelRKjPi);
/* _ZN18tMITEFamilyChannel18_setSnapshotMethodER11iDMAChannelRK11tDMAAttrValPi=_5219a1116d4d02e501161fec0a0a203a */
extern int _5219a1116d4d02e501161fec0a0a203a;
nNIKAL100_mExportSymbol(_5219a1116d4d02e501161fec0a0a203a);
extern int _ZN18tMITEFamilyChannel22_staticSecondaryELCisrEPv;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel22_staticSecondaryELCisrEPv);
extern int _ZN18tMITEFamilyChannel17_enableInterruptsEPi;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel17_enableInterruptsEPi);
extern int _ZN18tMITEFamilyChannel14_buildDMACBitsEv;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel14_buildDMACBitsEv);
extern int _ZN18tMITEFamilyChannel18_clearELCInterruptEv;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel18_clearELCInterruptEv);
extern int _ZN18tMITEFamilyChannel22_convertBytesToSamplesEm;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel22_convertBytesToSamplesEm);
extern int _ZN18tMITEFamilyChannel22_convertSamplesToBytesEm;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel22_convertSamplesToBytesEm);
extern int _ZN18tMITEFamilyChannel14_getMiteFlavorEv;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel14_getMiteFlavorEv);
extern int _ZN18tMITEFamilyChannel11_installISREv;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel11_installISREv);
/* _ZN18tMITEFamilyChannel33_notifySampleTransferredObserversEm=_24b93ee8ffcc4fea54378c01579cf48f */
extern int _24b93ee8ffcc4fea54378c01579cf48f;
nNIKAL100_mExportSymbol(_24b93ee8ffcc4fea54378c01579cf48f);
extern int _ZN18tMITEFamilyChannel19_performDARsnapshotEv;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel19_performDARsnapshotEv);
extern int _ZN18tMITEFamilyChannel8_readDAREv;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel8_readDAREv);
extern int _ZN18tMITEFamilyChannel21_adjustForDARRolloverERm;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel21_adjustForDARRolloverERm);
extern int _ZN18tMITEFamilyChannel21_adjustForMARRolloverEmRm;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel21_adjustForMARRolloverEmRm);
extern int _ZN18tMITEFamilyChannel20_MITEFamilyReserved7Ev;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel20_MITEFamilyReserved7Ev);
extern int _ZN18tMITEFamilyChannel13_sendDMACBitsEv;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel13_sendDMACBitsEv);
extern int _ZN18tMITEFamilyChannel13_registerDumpEv;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel13_registerDumpEv);
extern int _ZN18tMITEFamilyChannel20_MITEFamilyReserved3Ev;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel20_MITEFamilyReserved3Ev);
extern int _ZN18tMITEFamilyChannel20_MITEFamilyReserved8Ev;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel20_MITEFamilyReserved8Ev);
extern int _ZN18tMITEFamilyChannel20_MITEFamilyReserved4Ev;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel20_MITEFamilyReserved4Ev);
extern int _ZN18tMITEFamilyChannel8_sglDumpEv;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel8_sglDumpEv);
extern int _ZN18tMITEFamilyChannel20_MITEFamilyReserved6Ev;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel20_MITEFamilyReserved6Ev);
extern int _ZN18tMITEFamilyChannel20_MITEFamilyReserved9Ev;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel20_MITEFamilyReserved9Ev);
extern int _ZN18tMITEFamilyChannel20_MITEFamilyReserved5Ev;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel20_MITEFamilyReserved5Ev);
extern int _ZN18tMITEFamilyChannel21_serviceELCinterruptsEv;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel21_serviceELCinterruptsEv);
extern int _ZN18tMITEFamilyChannel18_adjustForRolloverEmRm;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel18_adjustForRolloverEmRm);
/* _ZNK18tMITEFamilyChannel15tMITEPauseState5startEP11tDMAChannelPi=_ca2a71f97e5890f2515997e57ff8c842 */
extern int _ca2a71f97e5890f2515997e57ff8c842;
nNIKAL100_mExportSymbol(_ca2a71f97e5890f2515997e57ff8c842);
/* _ZN18tMITEFamilyChannel19_getBytesLeftInFIFOER11iDMAChannelRKjPi=_ae2cbfeea8f48fcc7da76575955a73d0 */
extern int _ae2cbfeea8f48fcc7da76575955a73d0;
nNIKAL100_mExportSymbol(_ae2cbfeea8f48fcc7da76575955a73d0);
/* _ZN18tMITEFamilyChannel23_setHardwareDestinationER11iDMAChannelRKjPi=_ed67f7ca8bf2445802eaa4eb45bdefca */
extern int _ed67f7ca8bf2445802eaa4eb45bdefca;
nNIKAL100_mExportSymbol(_ed67f7ca8bf2445802eaa4eb45bdefca);
/* _ZN18tMITEFamilyChannel18_setHardwareSourceER11iDMAChannelRKjPi=_8a51248238325b56cc7acbe054d990c7 */
extern int _8a51248238325b56cc7acbe054d990c7;
nNIKAL100_mExportSymbol(_8a51248238325b56cc7acbe054d990c7);
/* _ZN18tMITEFamilyChannel16_setTransferModeER11iDMAChannelRK11tDMAAttrValPi=_cd5bcbc575bca563c55098ba690c5e31 */
extern int _cd5bcbc575bca563c55098ba690c5e31;
nNIKAL100_mExportSymbol(_cd5bcbc575bca563c55098ba690c5e31);
/* _ZN18tMITEFamilyChannel21_setScatterGatherListER11iDMAChannelRKPvPi=_9f13c90ca04483f0992591c1a9768560 */
extern int _9f13c90ca04483f0992591c1a9768560;
nNIKAL100_mExportSymbol(_9f13c90ca04483f0992591c1a9768560);
extern int _ZN18tMITEFamilyChannel19_getAndStoreELCdataEjPi;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel19_getAndStoreELCdataEjPi);
/* _ZN18tMITEFamilyChannel20_setBytesPerTransferER11iDMAChannelRKjPi=_8d64ca5aa0929ec862c01a65b57323c7 */
extern int _8d64ca5aa0929ec862c01a65b57323c7;
nNIKAL100_mExportSymbol(_8d64ca5aa0929ec862c01a65b57323c7);
/* _ZN18tMITEFamilyChannel17_setPauseAtSampleER11iDMAChannelRKmPi=_bb7e379c2b8f0288064adb027a409482 */
extern int _bb7e379c2b8f0288064adb027a409482;
nNIKAL100_mExportSymbol(_bb7e379c2b8f0288064adb027a409482);
/* _ZN18tMITEFamilyChannel27_getTotalSamplesTransferredER11iDMAChannelRKmPi=_a762d9a2c5dadd74a5cec3fe682748d7 */
extern int _a762d9a2c5dadd74a5cec3fe682748d7;
nNIKAL100_mExportSymbol(_a762d9a2c5dadd74a5cec3fe682748d7);
/* _ZN18tMITEFamilyChannel21_setBufferDestinationER11iDMAChannelRK27tPIMMtemplateBlockReferenceIcEPi=_0ae46ce3c619ec3713970d1a5ae38e5a */
extern int _0ae46ce3c619ec3713970d1a5ae38e5a;
nNIKAL100_mExportSymbol(_0ae46ce3c619ec3713970d1a5ae38e5a);
/* _ZN18tMITEFamilyChannel16_setBufferSourceER11iDMAChannelRK27tPIMMtemplateBlockReferenceIcEPi=_8710cd152d861a5a03a1d3669f98ac78 */
extern int _8710cd152d861a5a03a1d3669f98ac78;
nNIKAL100_mExportSymbol(_8710cd152d861a5a03a1d3669f98ac78);
/* _ZN18tMITEFamilyChannel33_notifySampleTransferredObserversEmm=_565a0d8d532763f9fb0cc45d13814ef0 */
extern int _565a0d8d532763f9fb0cc45d13814ef0;
nNIKAL100_mExportSymbol(_565a0d8d532763f9fb0cc45d13814ef0);
/* _ZN18tMITEFamilyChannel22_makeScatterGatherListE27tPIMMtemplateBlockReferenceIcEPi=_34eed08ef92e204b92c72ae58fad1ea6 */
extern int _34eed08ef92e204b92c72ae58fad1ea6;
nNIKAL100_mExportSymbol(_34eed08ef92e204b92c72ae58fad1ea6);
/* _ZN18tMITEFamilyChannel18_setAppendedBufferER11iDMAChannelRK27tPIMMtemplateBlockReferenceIcEPi=_3f7282b36545ad8cb1b6d4015cb883c0 */
extern int _3f7282b36545ad8cb1b6d4015cb883c0;
nNIKAL100_mExportSymbol(_3f7282b36545ad8cb1b6d4015cb883c0);
/* _ZN18tMITEFamilyChannel22_cacheSelfConfigMacrosER11iDMAChannelRK11tDMAAttrValPi=_4436cc243b698afd88af499a72ba046b */
extern int _4436cc243b698afd88af499a72ba046b;
nNIKAL100_mExportSymbol(_4436cc243b698afd88af499a72ba046b);
extern int _ZN18tMITEFamilyChannel7controlE11tDMAControlPi;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel7controlE11tDMAControlPi);
extern int _ZN18tMITEFamilyChannel8_programEPi;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel8_programEPi);
extern int _ZN18tMITEFamilyChannel13_addLinkEventEmPi;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel13_addLinkEventEmPi);
extern int _ZN18tMITEFamilyChannel19_addLinkEventEveryNEjjPi;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel19_addLinkEventEveryNEjjPi);
/* _ZN18tMITEFamilyChannel28_translateU32DREQToAttributeEjPi=_c693519a8dfc428a231fa0fa99c90893 */
extern int _c693519a8dfc428a231fa0fa99c90893;
nNIKAL100_mExportSymbol(_c693519a8dfc428a231fa0fa99c90893);
/* _ZN18tMITEFamilyChannel17_preSetDREQSourceER11iDMAChannelRK11tDMAAttrValPi=_19c6484cb027813a840d5372160d5de9 */
extern int _19c6484cb027813a840d5372160d5de9;
nNIKAL100_mExportSymbol(_19c6484cb027813a840d5372160d5de9);
extern int _ZN18tMITEFamilyChannel18_actualMiniMITEisrEv;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel18_actualMiniMITEisrEv);
extern int _ZN18tMITEFamilyChannel18_staticMiniMITEisrEPv;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel18_staticMiniMITEisrEPv);
extern int _ZN18tMITEFamilyChannel13_actualELCisrEv;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel13_actualELCisrEv);
extern int _ZN18tMITEFamilyChannel13_staticELCisrEPv;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel13_staticELCisrEPv);
extern int _ZN18tMITEFamilyChannel27_actualSecondaryMiniMITEisrEv;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel27_actualSecondaryMiniMITEisrEv);
extern int _ZN18tMITEFamilyChannel27_staticSecondaryMiniMITEisrEPv;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel27_staticSecondaryMiniMITEisrEPv);
extern int _ZN18tMITEFamilyChannel19_getAndStoreDARDataEPi;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel19_getAndStoreDARDataEPi);
extern int _ZN18tMITEFamilyChannel18_clearDARInterruptEv;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel18_clearDARInterruptEv);
extern int _ZN18tMITEFamilyChannel12_setDefaultsEPi;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel12_setDefaultsEPi);
extern int _ZN18tMITEFamilyChannel13_actualDARISREv;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel13_actualDARISREv);
extern int _ZN18tMITEFamilyChannel13_staticDARISREPv;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel13_staticDARISREPv);
extern int _ZN18tMITEFamilyChannel15_buildLinkArrayEPi;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel15_buildLinkArrayEPi);
/* _ZNK18tMITEFamilyChannel15tMITEPauseState4stopEP11tDMAChannelPi=_5fda8875ef998129cfae69ad1eb5b275 */
extern int _5fda8875ef998129cfae69ad1eb5b275;
nNIKAL100_mExportSymbol(_5fda8875ef998129cfae69ad1eb5b275);
/* _ZNK18tMITEFamilyChannel15tMITEPauseState5resetEP11tDMAChannelPi=_7c6dd2787f3123d6338304d2f2aff9a2 */
extern int _7c6dd2787f3123d6338304d2f2aff9a2;
nNIKAL100_mExportSymbol(_7c6dd2787f3123d6338304d2f2aff9a2);
/* _ZNK18tMITEFamilyChannel17tMITERunningState4stopEP11tDMAChannelPi=_60ef74672dc9a1e5daca43dfa1b7a6a5 */
extern int _60ef74672dc9a1e5daca43dfa1b7a6a5;
nNIKAL100_mExportSymbol(_60ef74672dc9a1e5daca43dfa1b7a6a5);
/* _ZNK18tMITEFamilyChannel17tMITERunningState5resetEP11tDMAChannelPi=_8a2207df87c50889e24461e11ea7bf7f */
extern int _8a2207df87c50889e24461e11ea7bf7f;
nNIKAL100_mExportSymbol(_8a2207df87c50889e24461e11ea7bf7f);
extern int _ZN18tMITEFamilyChannel10_flushFIFOEPi;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel10_flushFIFOEPi);
extern int _ZN18tMITEFamilyChannel19_performMARsnapshotEv;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel19_performMARsnapshotEv);
/* _ZNK18tMITEFamilyChannel18tMITEInactiveState5startEP11tDMAChannelPi=_ebd65c83265e52d98f7fe7c39f6cf883 */
extern int _ebd65c83265e52d98f7fe7c39f6cf883;
nNIKAL100_mExportSymbol(_ebd65c83265e52d98f7fe7c39f6cf883);
extern int _ZN18tMITEFamilyChannelC1EP4iBusjjjjPi;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannelC1EP4iBusjjjjPi);
extern int _ZN18tMITEFamilyChannelC2EP4iBusjjjjPi;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannelC2EP4iBusjjjjPi);
/* _ZN18tMITEFamilyChannel11addObserverERK25tDMAObserverSpecificationPi=_a0f6085d0b94dc48a828a76d26d0d6e7 */
extern int _a0f6085d0b94dc48a828a76d26d0d6e7;
nNIKAL100_mExportSymbol(_a0f6085d0b94dc48a828a76d26d0d6e7);
/* _ZN18tMITEFamilyChannel14removeObserverERK25tDMAObserverSpecificationPi=_0a957ae5a321f1a2dd7c47683947f398 */
extern int _0a957ae5a321f1a2dd7c47683947f398;
nNIKAL100_mExportSymbol(_0a957ae5a321f1a2dd7c47683947f398);
extern int _ZN18tMITEFamilyChannel10_removeISREv;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannel10_removeISREv);
extern int _ZN18tMITEFamilyChannelD1Ev;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannelD1Ev);
extern int _ZN18tMITEFamilyChannelD2Ev;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannelD2Ev);
extern int _ZN18tMITEFamilyChannelD0Ev;
nNIKAL100_mExportSymbol(_ZN18tMITEFamilyChannelD0Ev);
extern int _ZN12tMITEChannel8_readDAREv;
nNIKAL100_mExportSymbol(_ZN12tMITEChannel8_readDAREv);
extern int _ZN12tMITEChannel13_sendDMACBitsEv;
nNIKAL100_mExportSymbol(_ZN12tMITEChannel13_sendDMACBitsEv);
extern int _ZN12tMITEChannel14_MITEReserved8Ev;
nNIKAL100_mExportSymbol(_ZN12tMITEChannel14_MITEReserved8Ev);
extern int _ZN12tMITEChannel14_MITEReserved6Ev;
nNIKAL100_mExportSymbol(_ZN12tMITEChannel14_MITEReserved6Ev);
extern int _ZN12tMITEChannel14_MITEReserved4Ev;
nNIKAL100_mExportSymbol(_ZN12tMITEChannel14_MITEReserved4Ev);
extern int _ZN12tMITEChannel14_MITEReserved2Ev;
nNIKAL100_mExportSymbol(_ZN12tMITEChannel14_MITEReserved2Ev);
extern int _ZN12tMITEChannel14_MITEReserved9Ev;
nNIKAL100_mExportSymbol(_ZN12tMITEChannel14_MITEReserved9Ev);
extern int _ZN12tMITEChannel14_MITEReserved7Ev;
nNIKAL100_mExportSymbol(_ZN12tMITEChannel14_MITEReserved7Ev);
extern int _ZN12tMITEChannel14_MITEReserved5Ev;
nNIKAL100_mExportSymbol(_ZN12tMITEChannel14_MITEReserved5Ev);
extern int _ZN12tMITEChannel14_MITEReserved3Ev;
nNIKAL100_mExportSymbol(_ZN12tMITEChannel14_MITEReserved3Ev);
extern int _ZN12tMITEChannelD2Ev;
nNIKAL100_mExportSymbol(_ZN12tMITEChannelD2Ev);
extern int _ZN12tMITEChannelD1Ev;
nNIKAL100_mExportSymbol(_ZN12tMITEChannelD1Ev);
extern int _ZN12tMITEChannelD0Ev;
nNIKAL100_mExportSymbol(_ZN12tMITEChannelD0Ev);
extern int _ZN12tMITEChannel12_setDefaultsEPi;
nNIKAL100_mExportSymbol(_ZN12tMITEChannel12_setDefaultsEPi);
extern int _ZN12tMITEChannel14_buildDMACBitsEv;
nNIKAL100_mExportSymbol(_ZN12tMITEChannel14_buildDMACBitsEv);
extern int _ZN12tMITEChannelC2EP4iBusjjjjPi;
nNIKAL100_mExportSymbol(_ZN12tMITEChannelC2EP4iBusjjjjPi);
extern int _ZN12tMITEChannelC1EP4iBusjjjjPi;
nNIKAL100_mExportSymbol(_ZN12tMITEChannelC1EP4iBusjjjjPi);
/* _ZN12tMITEChannel22_makeScatterGatherListE27tPIMMtemplateBlockReferenceIcEPi=_600bd014b6594814a8cf5f5737ceaa88 */
extern int _600bd014b6594814a8cf5f5737ceaa88;
nNIKAL100_mExportSymbol(_600bd014b6594814a8cf5f5737ceaa88);
extern int _ZN16tMiniMITEChannel13_sendDMACBitsEv;
nNIKAL100_mExportSymbol(_ZN16tMiniMITEChannel13_sendDMACBitsEv);
extern int _ZN16tMiniMITEChannel18_miniMITEReserved8Ev;
nNIKAL100_mExportSymbol(_ZN16tMiniMITEChannel18_miniMITEReserved8Ev);
extern int _ZN16tMiniMITEChannel18_miniMITEReserved1Ev;
nNIKAL100_mExportSymbol(_ZN16tMiniMITEChannel18_miniMITEReserved1Ev);
extern int _ZN16tMiniMITEChannel18_miniMITEReserved3Ev;
nNIKAL100_mExportSymbol(_ZN16tMiniMITEChannel18_miniMITEReserved3Ev);
extern int _ZN16tMiniMITEChannel18_miniMITEReserved5Ev;
nNIKAL100_mExportSymbol(_ZN16tMiniMITEChannel18_miniMITEReserved5Ev);
extern int _ZN16tMiniMITEChannel18_miniMITEReserved7Ev;
nNIKAL100_mExportSymbol(_ZN16tMiniMITEChannel18_miniMITEReserved7Ev);
extern int _ZN16tMiniMITEChannel18_miniMITEReserved9Ev;
nNIKAL100_mExportSymbol(_ZN16tMiniMITEChannel18_miniMITEReserved9Ev);
extern int _ZN16tMiniMITEChannel18_miniMITEReserved4Ev;
nNIKAL100_mExportSymbol(_ZN16tMiniMITEChannel18_miniMITEReserved4Ev);
extern int _ZN16tMiniMITEChannel18_miniMITEReserved2Ev;
nNIKAL100_mExportSymbol(_ZN16tMiniMITEChannel18_miniMITEReserved2Ev);
extern int _ZN16tMiniMITEChannel18_miniMITEReserved6Ev;
nNIKAL100_mExportSymbol(_ZN16tMiniMITEChannel18_miniMITEReserved6Ev);
extern int _ZN16tMiniMITEChannelD2Ev;
nNIKAL100_mExportSymbol(_ZN16tMiniMITEChannelD2Ev);
extern int _ZN16tMiniMITEChannelD1Ev;
nNIKAL100_mExportSymbol(_ZN16tMiniMITEChannelD1Ev);
extern int _ZN16tMiniMITEChannelD0Ev;
nNIKAL100_mExportSymbol(_ZN16tMiniMITEChannelD0Ev);
extern int _ZN16tMiniMITEChannel12_setDefaultsEPi;
nNIKAL100_mExportSymbol(_ZN16tMiniMITEChannel12_setDefaultsEPi);
extern int _ZN16tMiniMITEChannel14_buildDMACBitsEv;
nNIKAL100_mExportSymbol(_ZN16tMiniMITEChannel14_buildDMACBitsEv);
extern int _ZN16tMiniMITEChannelC1EP4iBusjjjjPi;
nNIKAL100_mExportSymbol(_ZN16tMiniMITEChannelC1EP4iBusjjjjPi);
extern int _ZN16tMiniMITEChannelC2EP4iBusjjjjPi;
nNIKAL100_mExportSymbol(_ZN16tMiniMITEChannelC2EP4iBusjjjjPi);
extern int _palGetCallStack;
nNIKAL100_mExportSymbol(_palGetCallStack);
extern int _palPrintToLog;
nNIKAL100_mExportSymbol(_palPrintToLog);
extern int ssGetPortSetting;
nNIKAL100_mExportSymbol(ssGetPortSetting);
extern int _ZN14tTimedNotifier11setDurationEm14tTimerTimeUnitPi;
nNIKAL100_mExportSymbol(_ZN14tTimedNotifier11setDurationEm14tTimerTimeUnitPi);
extern int _ZN14tTimedNotifier11isScheduledEPi;
nNIKAL100_mExportSymbol(_ZN14tTimedNotifier11isScheduledEPi);
extern int _ZN14tTimedNotifier6cancelEPi;
nNIKAL100_mExportSymbol(_ZN14tTimedNotifier6cancelEPi);
extern int _ZN14tTimedNotifierC1EP22iTimedNotifierObserverjPi;
nNIKAL100_mExportSymbol(_ZN14tTimedNotifierC1EP22iTimedNotifierObserverjPi);
extern int _ZN14tTimedNotifierC2EP22iTimedNotifierObserverjPi;
nNIKAL100_mExportSymbol(_ZN14tTimedNotifierC2EP22iTimedNotifierObserverjPi);
extern int _ZN14tTimedNotifierD1Ev;
nNIKAL100_mExportSymbol(_ZN14tTimedNotifierD1Ev);
extern int _ZN14tTimedNotifierD2Ev;
nNIKAL100_mExportSymbol(_ZN14tTimedNotifierD2Ev);
extern int _ZN14tTimedNotifier8scheduleEPi;
nNIKAL100_mExportSymbol(_ZN14tTimedNotifier8scheduleEPi);
/* _ZN14tTimedNotifierC2EP22iTimedNotifierObserverjm14tTimerTimeUnitjPi=_305cd270d5d44c5ccfd916fd2242be9a */
extern int _305cd270d5d44c5ccfd916fd2242be9a;
nNIKAL100_mExportSymbol(_305cd270d5d44c5ccfd916fd2242be9a);
/* _ZN14tTimedNotifierC1EP22iTimedNotifierObserverjm14tTimerTimeUnitjPi=_4a2d1bf3bbd90a49da33fa09df90dfbf */
extern int _4a2d1bf3bbd90a49da33fa09df90dfbf;
nNIKAL100_mExportSymbol(_4a2d1bf3bbd90a49da33fa09df90dfbf);
extern int _ZN11tPALSysInfo7getTimeEPi;
nNIKAL100_mExportSymbol(_ZN11tPALSysInfo7getTimeEPi);
extern int _ZN11tPALSysInfo21getPhysicalMemorySizeEPi;
nNIKAL100_mExportSymbol(_ZN11tPALSysInfo21getPhysicalMemorySizeEPi);
extern int _ZN11tPALSysInfo19getActiveProcessorsEPi;
nNIKAL100_mExportSymbol(_ZN11tPALSysInfo19getActiveProcessorsEPi);
extern int _ZN11tPALSysInfo17getTimeResolutionEPi;
nNIKAL100_mExportSymbol(_ZN11tPALSysInfo17getTimeResolutionEPi);
extern int _ZN13tTimerUtility7convertEm14tTimerTimeUnitS0_Pi;
nNIKAL100_mExportSymbol(_ZN13tTimerUtility7convertEm14tTimerTimeUnitS0_Pi);
extern int _ZNV14tSyncAtomicI32ppEv;
nNIKAL100_mExportSymbol(_ZNV14tSyncAtomicI32ppEv);
extern int _ZNV14tSyncAtomicI32ppEi;
nNIKAL100_mExportSymbol(_ZNV14tSyncAtomicI32ppEi);
extern int _ZNV14tSyncAtomicI32mmEv;
nNIKAL100_mExportSymbol(_ZNV14tSyncAtomicI32mmEv);
extern int _ZNV14tSyncAtomicI32mmEi;
nNIKAL100_mExportSymbol(_ZNV14tSyncAtomicI32mmEi);
extern int _ZNV14tSyncAtomicI32aSEi;
nNIKAL100_mExportSymbol(_ZNV14tSyncAtomicI32aSEi);
extern int _ZNV14tSyncAtomicI32aSERKS_;
nNIKAL100_mExportSymbol(_ZNV14tSyncAtomicI32aSERKS_);
extern int _ZNV14tSyncAtomicU32ppEv;
nNIKAL100_mExportSymbol(_ZNV14tSyncAtomicU32ppEv);
extern int _ZNV14tSyncAtomicU32ppEi;
nNIKAL100_mExportSymbol(_ZNV14tSyncAtomicU32ppEi);
extern int _ZNV14tSyncAtomicU32mmEv;
nNIKAL100_mExportSymbol(_ZNV14tSyncAtomicU32mmEv);
extern int _ZNV14tSyncAtomicU32mmEi;
nNIKAL100_mExportSymbol(_ZNV14tSyncAtomicU32mmEi);
extern int _ZNV14tSyncAtomicU32aSEj;
nNIKAL100_mExportSymbol(_ZNV14tSyncAtomicU32aSEj);
extern int _ZNV14tSyncAtomicU32aSERKS_;
nNIKAL100_mExportSymbol(_ZNV14tSyncAtomicU32aSERKS_);
extern int _ZN14tSyncAtomicI32C1Ei;
nNIKAL100_mExportSymbol(_ZN14tSyncAtomicI32C1Ei);
extern int _ZN14tSyncAtomicI32C2Ei;
nNIKAL100_mExportSymbol(_ZN14tSyncAtomicI32C2Ei);
extern int _ZN14tSyncAtomicI32C1ERKS_;
nNIKAL100_mExportSymbol(_ZN14tSyncAtomicI32C1ERKS_);
extern int _ZN14tSyncAtomicI32C2ERKS_;
nNIKAL100_mExportSymbol(_ZN14tSyncAtomicI32C2ERKS_);
extern int _ZN14tSyncAtomicI32D2Ev;
nNIKAL100_mExportSymbol(_ZN14tSyncAtomicI32D2Ev);
extern int _ZN14tSyncAtomicI32D1Ev;
nNIKAL100_mExportSymbol(_ZN14tSyncAtomicI32D1Ev);
extern int _ZN14tSyncAtomicU32C2Ej;
nNIKAL100_mExportSymbol(_ZN14tSyncAtomicU32C2Ej);
extern int _ZN14tSyncAtomicU32C1Ej;
nNIKAL100_mExportSymbol(_ZN14tSyncAtomicU32C1Ej);
extern int _ZN14tSyncAtomicU32C1ERKS_;
nNIKAL100_mExportSymbol(_ZN14tSyncAtomicU32C1ERKS_);
extern int _ZN14tSyncAtomicU32C2ERKS_;
nNIKAL100_mExportSymbol(_ZN14tSyncAtomicU32C2ERKS_);
extern int _ZN14tSyncAtomicU32D2Ev;
nNIKAL100_mExportSymbol(_ZN14tSyncAtomicU32D2Ev);
extern int _ZN14tSyncAtomicU32D1Ev;
nNIKAL100_mExportSymbol(_ZN14tSyncAtomicU32D1Ev);
extern int _ZnwmPv;
nNIKAL100_mExportSymbol(_ZnwmPv);
extern int __pure_virtual;
nNIKAL100_mExportSymbol(__pure_virtual);
extern int __cxa_pure_virtual;
nNIKAL100_mExportSymbol(__cxa_pure_virtual);
extern int __gxx_personality_v0;
nNIKAL100_mExportSymbol(__gxx_personality_v0);
extern int _Unwind_Resume;
nNIKAL100_mExportSymbol(_Unwind_Resume);
/* _Z28libUnregisterModuleWithNIPALP20_tLibLinuxModuleInfoPi=_a9a2283055d30caf0ff2acc860485888 */
extern int _a9a2283055d30caf0ff2acc860485888;
nNIKAL100_mExportSymbol(_a9a2283055d30caf0ff2acc860485888);
extern int _Z26libRegisterModuleWithNIPALP20_tLibLinuxModuleInfoPi;
nNIKAL100_mExportSymbol(_Z26libRegisterModuleWithNIPALP20_tLibLinuxModuleInfoPi);
extern int _ZN15tProcessUtility19getCurrentProcessIdEv;
nNIKAL100_mExportSymbol(_ZN15tProcessUtility19getCurrentProcessIdEv);
/* _ZN18tPIMMmemoryManager20getScatterGatherListERK22tMemBlockReferenceBaseP8tSGL8237=_aacfd4145fff45f7ecedc81820be7fc1 */
extern int _aacfd4145fff45f7ecedc81820be7fc1;
nNIKAL100_mExportSymbol(_aacfd4145fff45f7ecedc81820be7fc1);
/* _ZN18tPIMMmemoryManager20getScatterGatherListERK22tMemBlockReferenceBaseP4iSGL=_ee229398689ed750195d05e3d273e00e */
extern int _ee229398689ed750195d05e3d273e00e;
nNIKAL100_mExportSymbol(_ee229398689ed750195d05e3d273e00e);
extern int _ZNK23tTimerTimebaseEfficient21getResolutionTimeUnitEPi;
nNIKAL100_mExportSymbol(_ZNK23tTimerTimebaseEfficient21getResolutionTimeUnitEPi);
extern int _ZNK23tTimerTimebaseEfficient18getResolutionValueEPi;
nNIKAL100_mExportSymbol(_ZNK23tTimerTimebaseEfficient18getResolutionValueEPi);
extern int _ZNK23tTimerTimebaseEfficient15getCounterValueEPi;
nNIKAL100_mExportSymbol(_ZNK23tTimerTimebaseEfficient15getCounterValueEPi);
extern int _ZNK21tTimerTimebasePrecise21getResolutionTimeUnitEPi;
nNIKAL100_mExportSymbol(_ZNK21tTimerTimebasePrecise21getResolutionTimeUnitEPi);
extern int _ZNK21tTimerTimebasePrecise18getResolutionValueEPi;
nNIKAL100_mExportSymbol(_ZNK21tTimerTimebasePrecise18getResolutionValueEPi);
extern int _ZNK21tTimerTimebasePrecise15getCounterValueEPi;
nNIKAL100_mExportSymbol(_ZNK21tTimerTimebasePrecise15getCounterValueEPi);
extern int _ZNK21tTimerTimeWasterSleep21getResolutionTimeUnitEPi;
nNIKAL100_mExportSymbol(_ZNK21tTimerTimeWasterSleep21getResolutionTimeUnitEPi);
extern int _ZNK21tTimerTimeWasterSleep22getResolutionTimeValueEPi;
nNIKAL100_mExportSymbol(_ZNK21tTimerTimeWasterSleep22getResolutionTimeValueEPi);
extern int _ZNK21tTimerTimeWasterSleep11canSleepNowEPi;
nNIKAL100_mExportSymbol(_ZNK21tTimerTimeWasterSleep11canSleepNowEPi);
extern int _ZNK21tTimerTimeWasterSleep5sleepEm14tTimerTimeUnitPi;
nNIKAL100_mExportSymbol(_ZNK21tTimerTimeWasterSleep5sleepEm14tTimerTimeUnitPi);
extern int _ZN14tThreadUtility5yieldEP17iThreadControllerPi;
nNIKAL100_mExportSymbol(_ZN14tThreadUtility5yieldEP17iThreadControllerPi);
extern int _ZN14tThreadUtility18getCurrentThreadIdEv;
nNIKAL100_mExportSymbol(_ZN14tThreadUtility18getCurrentThreadIdEv);
extern int _Z11threadGetIDPi;
nNIKAL100_mExportSymbol(_Z11threadGetIDPi);
extern int _Z24threadGetCurrentThreadIdv;
nNIKAL100_mExportSymbol(_Z24threadGetCurrentThreadIdv);
extern int _ZN10nNIMBDC10019iAsynchronousStream10___classIDE;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10019iAsynchronousStream10___classIDE);
extern int _ZN10nNIMBDC10016iObserverContext10___classIDE;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10016iObserverContext10___classIDE);
extern int _ZN10nNIMBDC1007iStream10___classIDE;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC1007iStream10___classIDE);
extern int _ZN10nNIMBDC10016tStreamParameter10___classIDE;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10016tStreamParameter10___classIDE);
extern int _ZN10nNIMBDC10025iTransferCompleteObserver10___classIDE;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10025iTransferCompleteObserver10___classIDE);
/* _ZN10nNIMBDC10030iConfigurationCompleteObserver10___classIDE=_9f2f90d3bde917e4892c81b58545d997 */
extern int _9f2f90d3bde917e4892c81b58545d997;
nNIKAL100_mExportSymbol(_9f2f90d3bde917e4892c81b58545d997);
extern int _ZN10nNIMBDC10019iTransferDescriptor10___classIDE;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10019iTransferDescriptor10___classIDE);
/* _ZN10nNIMBDC10032tAsynchronousStreamParameter139410___classIDE=_818a16c26ac27aeb80f47eee97da737e */
extern int _818a16c26ac27aeb80f47eee97da737e;
nNIKAL100_mExportSymbol(_818a16c26ac27aeb80f47eee97da737e);
extern int _ZN10nNIMBDC10019tStreamParameterUSB10___classIDE;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10019tStreamParameterUSB10___classIDE);
extern int _ZN10nNIMBDC10023tBulkStreamParameterUSB10___classIDE;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10023tBulkStreamParameterUSB10___classIDE);
/* _ZN10nNIMBDC10026tControlStreamParameterUSB10___classIDE=_66975be6b78d47fab8a77955ceb2443e */
extern int _66975be6b78d47fab8a77955ceb2443e;
nNIKAL100_mExportSymbol(_66975be6b78d47fab8a77955ceb2443e);
/* _ZN10nNIMBDC10028tInterruptStreamParameterUSB10___classIDE=_f5eba3a9032dfdc90477b5de20d1edcf */
extern int _f5eba3a9032dfdc90477b5de20d1edcf;
nNIKAL100_mExportSymbol(_f5eba3a9032dfdc90477b5de20d1edcf);
/* _ZN10nNIMBDC10031tIsochronousStreamParameter139410___classIDE=_ae914339b573641fa7823355f41d8154 */
extern int _ae914339b573641fa7823355f41d8154;
nNIKAL100_mExportSymbol(_ae914339b573641fa7823355f41d8154);
extern int _ZN10nNIMBDC10018tTransferParameter10___classIDE;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10018tTransferParameter10___classIDE);
extern int _ZN10nNIMBDC10022tTransferParameter139410___classIDE;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10022tTransferParameter139410___classIDE);
extern int _ZN10nNIMBDC10021tTransferParameterUSB10___classIDE;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10021tTransferParameterUSB10___classIDE);
/* _ZN10nNIMBDC10028tTransferParameterUSBControl10___classIDE=_7a80723f875c0b62c60b40c18e0b835e */
extern int _7a80723f875c0b62c60b40c18e0b835e;
nNIKAL100_mExportSymbol(_7a80723f875c0b62c60b40c18e0b835e);
extern int _ZN10nNIMBDC10025tTransferParameterUSBBulk10___classIDE;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10025tTransferParameterUSBBulk10___classIDE);
/* _ZN10nNIMBDC10030tTransferParameterUSBInterrupt10___classIDE=_d17b95327e812e92d1426701edee1ed4 */
extern int _d17b95327e812e92d1426701edee1ed4;
nNIKAL100_mExportSymbol(_d17b95327e812e92d1426701edee1ed4);
/* _ZN10nNIMBDC10034iIsochronousBufferCompleteObserver10___classIDE=_87f5c67b1b6c75723fb8139f90826931 */
extern int _87f5c67b1b6c75723fb8139f90826931;
nNIKAL100_mExportSymbol(_87f5c67b1b6c75723fb8139f90826931);
/* _ZN10nNIMBDC10027tIsochronousBufferParameter10___classIDE=_4302e3ad304ef0bbacfdf20346963348 */
extern int _4302e3ad304ef0bbacfdf20346963348;
nNIKAL100_mExportSymbol(_4302e3ad304ef0bbacfdf20346963348);
/* _ZN10nNIMBDC10031tIsochronousBufferParameter139410___classIDE=_403308a9564fa148a66399f2be581fe8 */
extern int _403308a9564fa148a66399f2be581fe8;
nNIKAL100_mExportSymbol(_403308a9564fa148a66399f2be581fe8);
/* _ZN10nNIMBDC10035iIsochronousCommandCompleteObserver10___classIDE=_5d44c20d957259a4c9ce49f1fb39a2d8 */
extern int _5d44c20d957259a4c9ce49f1fb39a2d8;
nNIKAL100_mExportSymbol(_5d44c20d957259a4c9ce49f1fb39a2d8);
/* _ZN10nNIMBDC10028tIsochronousCommandParameter10___classIDE=_0beb1898bb526eeeff32cec0a21b1faa */
extern int _0beb1898bb526eeeff32cec0a21b1faa;
nNIKAL100_mExportSymbol(_0beb1898bb526eeeff32cec0a21b1faa);
/* _ZN10nNIMBDC10044tIsochronousCommandParameterAttachBuffer139410___classIDE=_9a55a45232e6b19230d8cf33de591184 */
extern int _9a55a45232e6b19230d8cf33de591184;
nNIKAL100_mExportSymbol(_9a55a45232e6b19230d8cf33de591184);
/* _ZN10nNIMBDC10044tIsochronousCommandParameterDetachBuffer139410___classIDE=_73545d58ecfab5e15ff69c1887331063 */
extern int _73545d58ecfab5e15ff69c1887331063;
nNIKAL100_mExportSymbol(_73545d58ecfab5e15ff69c1887331063);
/* _ZN10nNIMBDC10037tIsochronousCommandParameterStart139410___classIDE=_fa39bd4babe7cecc3349c1c4c876251c */
extern int _fa39bd4babe7cecc3349c1c4c876251c;
nNIKAL100_mExportSymbol(_fa39bd4babe7cecc3349c1c4c876251c);
/* _ZN10nNIMBDC10036tIsochronousCommandParameterStop139410___classIDE=_07c69c1e89f7c27ab2b373b474cb475b */
extern int _07c69c1e89f7c27ab2b373b474cb475b;
nNIKAL100_mExportSymbol(_07c69c1e89f7c27ab2b373b474cb475b);
extern int _ZN10nNIMBDC10017tReserveParameter10___classIDE;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10017tReserveParameter10___classIDE);
extern int _ZN10nNIMBDC10020tRelinquishParameter10___classIDE;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10020tRelinquishParameter10___classIDE);
/* _ZN10nNIMBDC10030tReserveParameterBandwidth139410___classIDE=_676c3d5d6ed06d5be5c6c2b818f1b4a1 */
extern int _676c3d5d6ed06d5be5c6c2b818f1b4a1;
nNIKAL100_mExportSymbol(_676c3d5d6ed06d5be5c6c2b818f1b4a1);
/* _ZN10nNIMBDC10028tReserveParameterChannel139410___classIDE=_dfd8fc9eca1f176e81b255fb0c99bca4 */
extern int _dfd8fc9eca1f176e81b255fb0c99bca4;
nNIKAL100_mExportSymbol(_dfd8fc9eca1f176e81b255fb0c99bca4);
/* _ZN10nNIMBDC10030tReserveParameterResources139410___classIDE=_e3262b4e65784fe4b0fa74df4c9a19f9 */
extern int _e3262b4e65784fe4b0fa74df4c9a19f9;
nNIKAL100_mExportSymbol(_e3262b4e65784fe4b0fa74df4c9a19f9);
/* _ZN10nNIMBDC10033tRelinquishParameterBandwidth139410___classIDE=_2f23682ed9e490d684cad9bea7cec9c0 */
extern int _2f23682ed9e490d684cad9bea7cec9c0;
nNIKAL100_mExportSymbol(_2f23682ed9e490d684cad9bea7cec9c0);
/* _ZN10nNIMBDC10031tRelinquishParameterChannel139410___classIDE=_c596410835f2c21c62bfd9a594218132 */
extern int _c596410835f2c21c62bfd9a594218132;
nNIKAL100_mExportSymbol(_c596410835f2c21c62bfd9a594218132);
/* _ZN10nNIMBDC10033tRelinquishParameterResources139410___classIDE=_b271e510526f40c11fb605e8e4dc2f8d */
extern int _b271e510526f40c11fb605e8e4dc2f8d;
nNIKAL100_mExportSymbol(_b271e510526f40c11fb605e8e4dc2f8d);
extern int _ZN10nNIMBDC10021t1394DeviceDescriptor10___classIDE;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10021t1394DeviceDescriptor10___classIDE);
extern int _ZN10nNIMBDC10025tUSBDeviceDescriptorProxy10___classIDE;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10025tUSBDeviceDescriptorProxy10___classIDE);
/* _ZN10nNIMBDC10032tUSBConfigurationDescriptorProxy10___classIDE=_4e390c47e14cfe4d3009b208d9d2972f */
extern int _4e390c47e14cfe4d3009b208d9d2972f;
nNIKAL100_mExportSymbol(_4e390c47e14cfe4d3009b208d9d2972f);
/* _ZN10nNIMBDC10028tUSBInterfaceDescriptorProxy10___classIDE=_39c3faea51f80e8651503b24eb78a2de */
extern int _39c3faea51f80e8651503b24eb78a2de;
nNIKAL100_mExportSymbol(_39c3faea51f80e8651503b24eb78a2de);
/* _ZN10nNIMBDC10027tUSBEndpointDescriptorProxy10___classIDE=_ed511f9894d81c56acf778146d9cf45a */
extern int _ed511f9894d81c56acf778146d9cf45a;
nNIKAL100_mExportSymbol(_ed511f9894d81c56acf778146d9cf45a);
extern int _ZN10nNIMBDC10025tUSBStringDescriptorProxy10___classIDE;
nNIKAL100_mExportSymbol(_ZN10nNIMBDC10025tUSBStringDescriptorProxy10___classIDE);
/* _ZN10nNIMBDC10035tAsynchronousStreamParameterIPv4UDP10___classIDE=_9cd1a4214d8639f7f22ebb83bbfb9a12 */
extern int _9cd1a4214d8639f7f22ebb83bbfb9a12;
nNIKAL100_mExportSymbol(_9cd1a4214d8639f7f22ebb83bbfb9a12);
/* _ZN10nNIMBDC10044tAsynchronousStreamParameterIPv4UDPMulticast10___classIDE=_c2546192711a97d763861db102decf62 */
extern int _c2546192711a97d763861db102decf62;
nNIKAL100_mExportSymbol(_c2546192711a97d763861db102decf62);
/* _ZN10nNIMBDC10032tTransferParameterIPv4UDPReceive10___classIDE=_98adad1755342ad30dc468e36a5995c9 */
extern int _98adad1755342ad30dc468e36a5995c9;
nNIKAL100_mExportSymbol(_98adad1755342ad30dc468e36a5995c9);
/* _ZN10nNIMBDC10029tTransferParameterIPv4UDPSend10___classIDE=_8d1fa1c375f9c9c26846170938fc1f7c */
extern int _8d1fa1c375f9c9c26846170938fc1f7c;
nNIKAL100_mExportSymbol(_8d1fa1c375f9c9c26846170938fc1f7c);
/* _ZN10nNIMBDC10037tTransferParameterIPv4UDPEventReceive10___classIDE=_9118ce3c5593c8b8bb9993cedc661ad1 */
extern int _9118ce3c5593c8b8bb9993cedc661ad1;
nNIKAL100_mExportSymbol(_9118ce3c5593c8b8bb9993cedc661ad1);
/* _ZN10nNIMBDC10035tAsynchronousStreamParameterIPv4TCP10___classIDE=_f1b0e325d420b35380d1d7362e41686c */
extern int _f1b0e325d420b35380d1d7362e41686c;
nNIKAL100_mExportSymbol(_f1b0e325d420b35380d1d7362e41686c);
/* _ZN10nNIMBDC10032tTransferParameterIPv4TCPReceive10___classIDE=_07936ae05ba04cd2f90776dc485d6af7 */
extern int _07936ae05ba04cd2f90776dc485d6af7;
nNIKAL100_mExportSymbol(_07936ae05ba04cd2f90776dc485d6af7);
/* _ZN10nNIMBDC10029tTransferParameterIPv4TCPSend10___classIDE=_db84b4fe804aff16a56675f31ec4d6da */
extern int _db84b4fe804aff16a56675f31ec4d6da;
nNIKAL100_mExportSymbol(_db84b4fe804aff16a56675f31ec4d6da);
extern int _ZTV7iThread;
nNIKAL100_mExportSymbol(_ZTV7iThread);
extern int _ZTVN10nNIMBDC10016iObserverContextE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10016iObserverContextE);
extern int _ZTVN10nNIMBDC10016tStreamParameterE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10016tStreamParameterE);
extern int _ZTVN10nNIMBDC10017tReserveParameterE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10017tReserveParameterE);
extern int _ZTVN10nNIMBDC10018tTransferParameterE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10018tTransferParameterE);
extern int _ZTVN10nNIMBDC10019tStreamParameterUSBE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10019tStreamParameterUSBE);
extern int _ZTVN10nNIMBDC10021tTransferParameterUSBE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10021tTransferParameterUSBE);
extern int _ZTVN10nNIMBDC10022tTransferParameter1394E;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10022tTransferParameter1394E);
extern int _ZTVN10nNIMBDC10023tBulkStreamParameterUSBE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10023tBulkStreamParameterUSBE);
extern int _ZTVN10nNIMBDC10025iTransferCompleteObserverE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10025iTransferCompleteObserverE);
extern int _ZTVN10nNIMBDC10025tTransferParameterUSBBulkE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10025tTransferParameterUSBBulkE);
extern int _ZTVN10nNIMBDC10026tControlStreamParameterUSBE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10026tControlStreamParameterUSBE);
extern int _ZTVN10nNIMBDC10027tIsochronousBufferParameterE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10027tIsochronousBufferParameterE);
extern int _ZTVN10nNIMBDC10028tInterruptStreamParameterUSBE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10028tInterruptStreamParameterUSBE);
extern int _ZTVN10nNIMBDC10028tIsochronousCommandParameterE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10028tIsochronousCommandParameterE);
extern int _ZTVN10nNIMBDC10028tReserveParameterChannel1394E;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10028tReserveParameterChannel1394E);
extern int _ZTVN10nNIMBDC10028tTransferParameterUSBControlE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10028tTransferParameterUSBControlE);
extern int _ZTVN10nNIMBDC10029tTransferParameterIPv4UDPSendE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10029tTransferParameterIPv4UDPSendE);
extern int _ZTVN10nNIMBDC10029tTransferParameterIPv4TCPSendE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10029tTransferParameterIPv4TCPSendE);
extern int _ZTVN10nNIMBDC10030iConfigurationCompleteObserverE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10030iConfigurationCompleteObserverE);
extern int _ZTVN10nNIMBDC10030tReserveParameterBandwidth1394E;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10030tReserveParameterBandwidth1394E);
extern int _ZTVN10nNIMBDC10030tReserveParameterResources1394E;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10030tReserveParameterResources1394E);
extern int _ZTVN10nNIMBDC10030tTransferParameterUSBInterruptE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10030tTransferParameterUSBInterruptE);
extern int _ZTVN10nNIMBDC10031tIsochronousBufferParameter1394E;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10031tIsochronousBufferParameter1394E);
extern int _ZTVN10nNIMBDC10031tIsochronousStreamParameter1394E;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10031tIsochronousStreamParameter1394E);
extern int _ZTVN10nNIMBDC10032tAsynchronousStreamParameter1394E;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10032tAsynchronousStreamParameter1394E);
extern int _ZTVN10nNIMBDC10032tTransferParameterIPv4UDPReceiveE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10032tTransferParameterIPv4UDPReceiveE);
extern int _ZTVN10nNIMBDC10032tTransferParameterIPv4TCPReceiveE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10032tTransferParameterIPv4TCPReceiveE);
extern int _ZTVN10nNIMBDC10034iIsochronousBufferCompleteObserverE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10034iIsochronousBufferCompleteObserverE);
extern int _ZTVN10nNIMBDC10035iIsochronousCommandCompleteObserverE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10035iIsochronousCommandCompleteObserverE);
extern int _ZTVN10nNIMBDC10035tAsynchronousStreamParameterIPv4UDPE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10035tAsynchronousStreamParameterIPv4UDPE);
extern int _ZTVN10nNIMBDC10035tAsynchronousStreamParameterIPv4TCPE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10035tAsynchronousStreamParameterIPv4TCPE);
/* _ZTVN10nNIMBDC10036tIsochronousCommandParameterStop1394E=_b70a1501f48cc84caf0500500832ba11 */
extern int _b70a1501f48cc84caf0500500832ba11;
nNIKAL100_mExportSymbol(_b70a1501f48cc84caf0500500832ba11);
/* _ZTVN10nNIMBDC10037tIsochronousCommandParameterStart1394E=_51efdbac09bbf7bf6baa9666532c7c4b */
extern int _51efdbac09bbf7bf6baa9666532c7c4b;
nNIKAL100_mExportSymbol(_51efdbac09bbf7bf6baa9666532c7c4b);
/* _ZTVN10nNIMBDC10044tAsynchronousStreamParameterIPv4UDPMulticastE=_f0cc52a913401a3fa3fb44cae27d086e */
extern int _f0cc52a913401a3fa3fb44cae27d086e;
nNIKAL100_mExportSymbol(_f0cc52a913401a3fa3fb44cae27d086e);
/* _ZTVN10nNIMBDC10044tIsochronousCommandParameterAttachBuffer1394E=_87769118304a6e6e8df7a25dce4419fa */
extern int _87769118304a6e6e8df7a25dce4419fa;
nNIKAL100_mExportSymbol(_87769118304a6e6e8df7a25dce4419fa);
/* _ZTVN10nNIMBDC10044tIsochronousCommandParameterDetachBuffer1394E=_5f8f644d2877279bb10499d726fd7164 */
extern int _5f8f644d2877279bb10499d726fd7164;
nNIKAL100_mExportSymbol(_5f8f644d2877279bb10499d726fd7164);
/* _ZTVN10nNIMBDC10037tTransferParameterIPv4UDPEventReceiveE=_6cd82e44c34ebe34271f52afa758a47d */
extern int _6cd82e44c34ebe34271f52afa758a47d;
nNIKAL100_mExportSymbol(_6cd82e44c34ebe34271f52afa758a47d);
extern int _ZTVN10nNIMBDC1007iStreamE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC1007iStreamE);
extern int _ZTVN10nNIMBDC10019iAsynchronousStreamE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10019iAsynchronousStreamE);
extern int _ZTVN10nNIMBDC10019iTransferDescriptorE;
nNIKAL100_mExportSymbol(_ZTVN10nNIMBDC10019iTransferDescriptorE);
/* _ZN16tSGLNodePoolMITEI16tSGLNodeMITELong20tSGLNodeMITELongLinkE10_freePagesEv=_e9c477b332d01704bb2835fcfb8c9ffa */
extern int _e9c477b332d01704bb2835fcfb8c9ffa;
nNIKAL100_mExportSymbol(_e9c477b332d01704bb2835fcfb8c9ffa);
/* _ZN16tSGLNodePoolMITEI17tSGLNodeMITEShort21tSGLNodeMITEShortLinkE10_freePagesEv=_f5a67cace01adb0706d76ca17d432e8b */
extern int _f5a67cace01adb0706d76ca17d432e8b;
nNIKAL100_mExportSymbol(_f5a67cace01adb0706d76ca17d432e8b);
/* _ZN8tSGLMITEI16tSGLNodeMITELong20tSGLNodeMITELongLinkE3endEv=_04b6f76e95a1cc4418fef42df4dcb241 */
extern int _04b6f76e95a1cc4418fef42df4dcb241;
nNIKAL100_mExportSymbol(_04b6f76e95a1cc4418fef42df4dcb241);
/* _ZN8tSGLMITEI16tSGLNodeMITELong20tSGLNodeMITELongLinkE5beginEv=_8681d4881751b5cf861412178a384da0 */
extern int _8681d4881751b5cf861412178a384da0;
nNIKAL100_mExportSymbol(_8681d4881751b5cf861412178a384da0);
/* _ZN8tSGLMITEI16tSGLNodeMITELong20tSGLNodeMITELongLinkED0Ev=_56bd5237a6e4d075ab27de836df3c3f3 */
extern int _56bd5237a6e4d075ab27de836df3c3f3;
nNIKAL100_mExportSymbol(_56bd5237a6e4d075ab27de836df3c3f3);
/* _ZN8tSGLMITEI16tSGLNodeMITELong20tSGLNodeMITELongLinkED1Ev=_e26dbea927b7b78cff07a53632690556 */
extern int _e26dbea927b7b78cff07a53632690556;
nNIKAL100_mExportSymbol(_e26dbea927b7b78cff07a53632690556);
/* _ZN8tSGLMITEI17tSGLNodeMITEShort21tSGLNodeMITEShortLinkE3endEv=_35b973358ca7c68baf754c497d03eef6 */
extern int _35b973358ca7c68baf754c497d03eef6;
nNIKAL100_mExportSymbol(_35b973358ca7c68baf754c497d03eef6);
/* _ZN8tSGLMITEI17tSGLNodeMITEShort21tSGLNodeMITEShortLinkE5beginEv=_03385d678cabf297a0f424f96bff49c9 */
extern int _03385d678cabf297a0f424f96bff49c9;
nNIKAL100_mExportSymbol(_03385d678cabf297a0f424f96bff49c9);
/* _ZN8tSGLMITEI17tSGLNodeMITEShort21tSGLNodeMITEShortLinkED0Ev=_e1fd3a63a87c0c35d11ce4c9e7849b70 */
extern int _e1fd3a63a87c0c35d11ce4c9e7849b70;
nNIKAL100_mExportSymbol(_e1fd3a63a87c0c35d11ce4c9e7849b70);
/* _ZN8tSGLMITEI17tSGLNodeMITEShort21tSGLNodeMITEShortLinkED1Ev=_fcb5da0e84b40ab49b185e8485327e1b */
extern int _fcb5da0e84b40ab49b185e8485327e1b;
nNIKAL100_mExportSymbol(_fcb5da0e84b40ab49b185e8485327e1b);
/* _ZNK8tSGLMITEI16tSGLNodeMITELong20tSGLNodeMITELongLinkE7isEmptyEv=_9507d910bdde9af868e9d3a0887f47ea */
extern int _9507d910bdde9af868e9d3a0887f47ea;
nNIKAL100_mExportSymbol(_9507d910bdde9af868e9d3a0887f47ea);
/* _ZNK8tSGLMITEI17tSGLNodeMITEShort21tSGLNodeMITEShortLinkE7isEmptyEv=_ca78358120e860ce6e3bcdba99f3e997 */
extern int _ca78358120e860ce6e3bcdba99f3e997;
nNIKAL100_mExportSymbol(_ca78358120e860ce6e3bcdba99f3e997);
extern int _ZTV16tSGLNodeMITELong;
nNIKAL100_mExportSymbol(_ZTV16tSGLNodeMITELong);
extern int _ZTV17tSGLNodeMITEShort;
nNIKAL100_mExportSymbol(_ZTV17tSGLNodeMITEShort);
/* _ZN16tSGLNodePoolMITEI16tSGLNodeMITELong20tSGLNodeMITELongLinkE13_growLinkListEPi=_7d42ebbfef6930fadbd998c62e39836e */
extern int _7d42ebbfef6930fadbd998c62e39836e;
nNIKAL100_mExportSymbol(_7d42ebbfef6930fadbd998c62e39836e);
/* _ZN16tSGLNodePoolMITEI17tSGLNodeMITEShort21tSGLNodeMITEShortLinkE13_growLinkListEPi=_e526e471d38c3a0c042eeec3c1ee074a */
extern int _e526e471d38c3a0c042eeec3c1ee074a;
nNIKAL100_mExportSymbol(_e526e471d38c3a0c042eeec3c1ee074a);
/* _ZN16tSGLNodePoolMITEI16tSGLNodeMITELong20tSGLNodeMITELongLinkE13_growNodeListEPi=_2f62089eedc35f818f6d78492670f800 */
extern int _2f62089eedc35f818f6d78492670f800;
nNIKAL100_mExportSymbol(_2f62089eedc35f818f6d78492670f800);
/* _ZN16tSGLNodePoolMITEI17tSGLNodeMITEShort21tSGLNodeMITEShortLinkE13_growNodeListEPi=_5820fb745585f7773fafe0faac2677b6 */
extern int _5820fb745585f7773fafe0faac2677b6;
nNIKAL100_mExportSymbol(_5820fb745585f7773fafe0faac2677b6);
/* _ZN8tSGLMITEI16tSGLNodeMITELong20tSGLNodeMITELongLinkE10removeListER12tSGLIteratorS4_Pi=_14893a19cbfa672fbc121c45a291bba8 */
extern int _14893a19cbfa672fbc121c45a291bba8;
nNIKAL100_mExportSymbol(_14893a19cbfa672fbc121c45a291bba8);
/* _ZN8tSGLMITEI16tSGLNodeMITELong20tSGLNodeMITELongLinkE10removeNodeER12tSGLIteratorPi=_9692dd04be7e8944591e5884d933c671 */
extern int _9692dd04be7e8944591e5884d933c671;
nNIKAL100_mExportSymbol(_9692dd04be7e8944591e5884d933c671);
/* _ZN8tSGLMITEI16tSGLNodeMITELong20tSGLNodeMITELongLinkE13copyAndAdjustERK22tMemBlockReferenceBasePi=_708e651ccc579083197d245c791bfcd4 */
extern int _708e651ccc579083197d245c791bfcd4;
nNIKAL100_mExportSymbol(_708e651ccc579083197d245c791bfcd4);
/* _ZN8tSGLMITEI16tSGLNodeMITELong20tSGLNodeMITELongLinkE16insertListBeforeER12tSGLIteratorP4iSGLPi=_151c481d8ec02bce85f9760f9a91199c */
extern int _151c481d8ec02bce85f9760f9a91199c;
nNIKAL100_mExportSymbol(_151c481d8ec02bce85f9760f9a91199c);
/* _ZN8tSGLMITEI16tSGLNodeMITELong20tSGLNodeMITELongLinkE16insertNodeBeforeER12tSGLIteratormPi=_a14fd67dc3d8e027b140608fcac6792c */
extern int _a14fd67dc3d8e027b140608fcac6792c;
nNIKAL100_mExportSymbol(_a14fd67dc3d8e027b140608fcac6792c);
/* _ZN8tSGLMITEI16tSGLNodeMITELong20tSGLNodeMITELongLinkE16insertNodeBeforeER12tSGLIteratormPvmjPi=_479ee0b6fbee563a901f7324011228d0 */
extern int _479ee0b6fbee563a901f7324011228d0;
nNIKAL100_mExportSymbol(_479ee0b6fbee563a901f7324011228d0);
/* _ZN8tSGLMITEI16tSGLNodeMITELong20tSGLNodeMITELongLinkE16insertNodeBeforeER12tSGLIteratorPvmjPi=_264c97bced3c16137721b21e76aa0b67 */
extern int _264c97bced3c16137721b21e76aa0b67;
nNIKAL100_mExportSymbol(_264c97bced3c16137721b21e76aa0b67);
/* _ZN8tSGLMITEI16tSGLNodeMITELong20tSGLNodeMITELongLinkE5clearEPi=_25ec7ff578322390b0d9620f87d8d86f */
extern int _25ec7ff578322390b0d9620f87d8d86f;
nNIKAL100_mExportSymbol(_25ec7ff578322390b0d9620f87d8d86f);
/* _ZN8tSGLMITEI16tSGLNodeMITELong20tSGLNodeMITELongLinkE8findNodeEmRjPi=_e0214ffd1402110aa3f96fdcf03d36d1 */
extern int _e0214ffd1402110aa3f96fdcf03d36d1;
nNIKAL100_mExportSymbol(_e0214ffd1402110aa3f96fdcf03d36d1);
/* _ZN8tSGLMITEI16tSGLNodeMITELong20tSGLNodeMITELongLinkE9splitNodeER12tSGLIteratorjPi=_9c7b07fa818ffb93bcb0391fc01e64a7 */
extern int _9c7b07fa818ffb93bcb0391fc01e64a7;
nNIKAL100_mExportSymbol(_9c7b07fa818ffb93bcb0391fc01e64a7);
/* _ZN8tSGLMITEI17tSGLNodeMITEShort21tSGLNodeMITEShortLinkE10removeListER12tSGLIteratorS4_Pi=_396a013b8f5d88b31df63920d4906586 */
extern int _396a013b8f5d88b31df63920d4906586;
nNIKAL100_mExportSymbol(_396a013b8f5d88b31df63920d4906586);
/* _ZN8tSGLMITEI17tSGLNodeMITEShort21tSGLNodeMITEShortLinkE10removeNodeER12tSGLIteratorPi=_5417d3fb8a5d11939bf35c35df903e6a */
extern int _5417d3fb8a5d11939bf35c35df903e6a;
nNIKAL100_mExportSymbol(_5417d3fb8a5d11939bf35c35df903e6a);
/* _ZN8tSGLMITEI17tSGLNodeMITEShort21tSGLNodeMITEShortLinkE13copyAndAdjustERK22tMemBlockReferenceBasePi=_4cf954317feb875c5a42c868f7470593 */
extern int _4cf954317feb875c5a42c868f7470593;
nNIKAL100_mExportSymbol(_4cf954317feb875c5a42c868f7470593);
/* _ZN8tSGLMITEI17tSGLNodeMITEShort21tSGLNodeMITEShortLinkE16insertListBeforeER12tSGLIteratorP4iSGLPi=_c8a4100683cd35dadafafb6eca989a0d */
extern int _c8a4100683cd35dadafafb6eca989a0d;
nNIKAL100_mExportSymbol(_c8a4100683cd35dadafafb6eca989a0d);
/* _ZN8tSGLMITEI17tSGLNodeMITEShort21tSGLNodeMITEShortLinkE16insertNodeBeforeER12tSGLIteratormPi=_96bad495ad899312ad845667da07471b */
extern int _96bad495ad899312ad845667da07471b;
nNIKAL100_mExportSymbol(_96bad495ad899312ad845667da07471b);
/* _ZN8tSGLMITEI17tSGLNodeMITEShort21tSGLNodeMITEShortLinkE16insertNodeBeforeER12tSGLIteratormPvmjPi=_775799050bd78e0967691920d7d9d6a2 */
extern int _775799050bd78e0967691920d7d9d6a2;
nNIKAL100_mExportSymbol(_775799050bd78e0967691920d7d9d6a2);
/* _ZN8tSGLMITEI17tSGLNodeMITEShort21tSGLNodeMITEShortLinkE16insertNodeBeforeER12tSGLIteratorPvmjPi=_6256af0eae4f3f16306463347f44aa32 */
extern int _6256af0eae4f3f16306463347f44aa32;
nNIKAL100_mExportSymbol(_6256af0eae4f3f16306463347f44aa32);
/* _ZN8tSGLMITEI17tSGLNodeMITEShort21tSGLNodeMITEShortLinkE5clearEPi=_97f58accb6d6dbab804c2a181c6901b9 */
extern int _97f58accb6d6dbab804c2a181c6901b9;
nNIKAL100_mExportSymbol(_97f58accb6d6dbab804c2a181c6901b9);
/* _ZN8tSGLMITEI17tSGLNodeMITEShort21tSGLNodeMITEShortLinkE8findNodeEmRjPi=_c394378ba29bd0fb095714fa4042fdba */
extern int _c394378ba29bd0fb095714fa4042fdba;
nNIKAL100_mExportSymbol(_c394378ba29bd0fb095714fa4042fdba);
/* _ZN8tSGLMITEI17tSGLNodeMITEShort21tSGLNodeMITEShortLinkE9splitNodeER12tSGLIteratorjPi=_bc39b4aa13b44fede71f11a3e558d5e1 */
extern int _bc39b4aa13b44fede71f11a3e558d5e1;
nNIKAL100_mExportSymbol(_bc39b4aa13b44fede71f11a3e558d5e1);
